unity (7.6.0+22.10.20220913-0ubuntu1) kinetic; urgency=medium

  [ Rudra Saraswat ]
  * Added transparent dash border
  * Replaced launcher bfb with Ubuntu Unity logo
  * Removed broken app info and ratings from dash
  * Simplified app preview in dash
  * Fixed the 'Empty Trash' button in the launcher
  * Fixed the standalone testing Unity7 launcher

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 13 Sep 2022 15:01:46 +0000

unity (7.5.1+22.10.20220818-0ubuntu1) kinetic; urgency=medium

  [ Alberts Muktupāvels ]
  * Fix build after Compiz changes

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 18 Aug 2022 10:35:27 +0000

unity (7.5.1+22.04.20211026.2-0ubuntu1) jammy; urgency=medium

  [ Uladzislau Nikalayevich ]
  * DecoratedWindow: Do not try to use shaped shadows on empty quads.
    Windows may have no shaped rectangles, but we're still trying to set
    them. This is because we might not initialize the shape size, leading
    to invalid values. (LP: #1904337)

  [ Marco Trevisan (Treviño) ]
  * DecorationsShape: Initialize parameters on missing rectangles.
    In such case the shape should just be empty, but we didn't really handle
    the case properly.
  * dummy-xorg-test-runner: Use command -v instead of deprecated which
  * TestSwitchController: Do not define FakeApplicationWindow as NiceMock twice.
    It's already used as ::Nice later, no need to define it initially,
    otherwise newer gtest won't compile

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 26 Oct 2021 17:36:55 +0000

unity (7.5.1+21.10.20210601.1-0ubuntu1) impish; urgency=medium

  * New upstream release
  * IntrospectionData: Keep Get() const as it should be.
    The builder is now invalid but unreffing will happne in the destructor
  * ResultRendererTile: Use proper casting to GdkPixbuf for drag icon
  * CompizUtils: Add missing iostream include
  * FileManager: Support timestamps and parent windows and implement for GNOME.
    Finally implement org.gnome.Nautilus.FileOperations2 so we can get rid
    of using our ubuntu patch in nautilus https://trello.com/c/ZVKL0Loz
  * ApplicationManager: Add ability to get window properties.
    A simple way to get properties through bamf, so that we don't have
    to compute the atom ourselves.
  * ApplicationManager: Add function to find a window by an (unique) property.
    This is relevant for unique property values, otherwise we'd just return
    the firs window matching it.
  * GnomeFileManager: Use upstream OpenWindowsWithLocations.
    Find nautilus application windows by their unique GTK window object path
    using the application manager, in this way we can drop the support to
    the ubuntu-only XUbuntuOpenLocationsXids property.
    As per this, recommends an higher version of nautilus.
  * VolumeLauncherIcons: Hide shadowed mounts
  * TestSoftwareCenterLauncherIcon: Expose proper virtual function.
    Compiler seems to be confused by using a base class implementation,
    so let's just point to the class one and leave it figure out which
    implementation to use at runtime.
  * TestGtkIconInfo: Ignore icons that gtk can't find.
    We still ensure that we've tested various, so the test is still valid
  * TestResultRenderer: Use a freedesktop icon for the test.
    So we can be sure that a theme will provide it
  * tests/dummy-xorg-test-runner.sh: Do not delete log files on failure
  * LauncherController: Move GetLastIconPriority into a private impl header.
    Being a template it must be defined for all its customers, so expose it
    to the test.
    Fixes linking issue on s390x.
  * tests/test_text_input: Initialize previews style

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 01 Jun 2021 19:58:38 +0000

unity (7.5.0+20.04.20200312-0ubuntu1) focal; urgency=medium

  [ Khurshid Alam ]
  * Bump dependency of unity-settings-daemon & unity-settings-daemon-
    schemas

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Mar 2020 10:58:27 +0000

unity (7.5.0+20.04.20200211-0ubuntu2) focal; urgency=medium

  [ Khurshid Alam ]
  * Drop libgnome-desktop for background drawing.
    Use libunity-settings-daemon instead. LP: #1863584

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 Feb 2020 21:28:09 +0100

unity (7.5.0+20.04.20200211-0ubuntu1) focal; urgency=medium

  [ Rik Mills ]
  * unity-autopilot: Remove python3-windowmocker dependency. Permits
    removal of window-mocker source, as part of Qt4 removal.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 11 Feb 2020 14:07:56 +0000

unity (7.5.0+19.10.20190924-0ubuntu1) eoan; urgency=medium

  [ Khurshid Alam ]
  * Port media keys to use com.canonical.unity.settings-daemon. LP:
    #1842324 (LP: #1842324)

  [ Tasos Sahanidis ]
  * Fix gcc 7.2 build errors

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 24 Sep 2019 09:46:52 +0000

unity (7.5.0+19.04.20190827-0ubuntu1) eoan; urgency=medium

  * Disable Werror. It doesn't make sense to fail on compiler warnings for the
    distro.
  * Rebuild against libgnome-desktop-3-18

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 27 Aug 2019 11:10:00 +0100

unity (7.5.0+19.04.20190304-0ubuntu1) disco; urgency=medium

  [ disco/unity: Failed to merge https://git.launchpad.net/unity. ]
  * Add missing includes for build w/o pch

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 04 Mar 2019 17:07:16 +0000

unity (7.5.0+19.04.20190217-0ubuntu1) disco; urgency=medium

  [ Andrea Azzarone ]
  * locksreen: cancel authentication if externally unlocked (LP:
    #1733557)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 17 Feb 2019 19:14:19 +0000

unity (7.5.0+19.04.20190208-0ubuntu1) disco; urgency=medium

  [ Alberts Muktupāvels ]
  * Install compiz configuration files.

  [ Khurshid Alam ]
  * Recommend nemo for unity. (LP: #1814506)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 08 Feb 2019 11:46:59 +0000

unity (7.5.0+19.04.20190103-0ubuntu1) disco; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/gbp.conf: add default settings to use gbp-buildpackage
  * debian: use native source format

  [ Alberts Muktupāvels ]
  * Port to Python 3. (LP: #1310794)

  [ Dmitry Shachnev ]
  * Use std::get instead of std::tr1::get for std::tuple.
  * Build-depend on yaru-theme-icon to fix the test failure.

  [ Aleksey Tulinov ]
  * Add missing includes for build w/o pch

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 03 Jan 2019 18:07:42 +0000

unity (7.5.0+18.10.20180926.2-0ubuntu1) cosmic; urgency=medium

  [ Alexander Hale ]
  * Update the Free Software Foundation address in license headers

  [ Marco Trevisan (Treviño) ]
  * Favorite migrations: add nautilus-home and nautilus-folder-handler

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 26 Sep 2018 10:29:04 +0000

unity (7.5.0+18.10.20180827-0ubuntu1) cosmic; urgency=medium

  [ Alberts Muktupāvels ]
  * Fix build.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 27 Aug 2018 12:50:33 +0000

unity (7.5.0+18.04.20180413-0ubuntu1) bionic; urgency=medium

  * unity_migrate_gnome_favorites: add evolution and gnome-tweaks

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 13 Apr 2018 21:33:45 +0000

unity (7.5.0+18.04.20180409-0ubuntu1) bionic; urgency=medium

  * unity.migrations: add migration script to rename GNOME desktop files

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 09 Apr 2018 20:23:54 +0000

unity (7.5.0+18.04.20180404-0ubuntu2) bionic; urgency=medium

  * Add "X-Ubuntu-Use-Langpack: yes" to debian/control now that this package is
    in Universe (LP: #1760435).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 07 Apr 2018 11:37:31 -0500

unity (7.5.0+18.04.20180321-0ubuntu1) bionic; urgency=medium

  [ Andrea Azzarone ]
  * Fix memory leak in UserAuthenticatorPam::AuthenticateStart and add
    some debug messages.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 21 Mar 2018 14:56:58 +0000

unity (7.5.0+18.04.20180221.1-0ubuntu1) bionic; urgency=medium

  * Unity use track_obj to safely connect to UScreen and Settings
    signals (LP: #1748330) (LP: #1748330)
  * CairoBaseWindow: don't try to compute the blur of an invalid texture
    (LP: #1290056)
  * Unity: use new definition of infinite CompRegion's (LP: #1749957)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 21 Feb 2018 15:27:45 +0000

unity (7.5.0+18.04.20171116-0ubuntu1) bionic; urgency=medium

  * tools: add migration script to set the default values for unity-
    lowgfx profile

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 16 Nov 2017 03:24:50 +0000

unity (7.5.0+17.10.20171010-0ubuntu1) artful; urgency=medium

  [ Andrea Azzarone ]
  * Avoid to show multiple "Authentication Failure" messages.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 10 Oct 2017 16:19:48 +0000

unity (7.5.0+17.10.20171004-0ubuntu1) artful; urgency=medium

  * UnitySettings: use the ubuntu-schemas path for scaling settings (LP:
    #1721082)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 04 Oct 2017 18:50:43 +0000

unity (7.5.0+17.10.20170925.1-0ubuntu1) artful; urgency=medium

  [ Andrea Azzarone ]
  * Fix build issues with gcc-7 and g++-7
  * Refactor the way UserAuthenticator is created and passed around.
    Handle failures to create new threads and fallback to a "Switch to
    greeter..." button in case of failure. (LP: #1311316)
  * Wait until the color buffer is cleared before suspending. (LP:
    #1532508)

  [ Marco Trevisan (Treviño) ]
  * Tests: split unit tests in single binaries, enable unstable tests
  * debian/rules: ignore warnings in armhf and ppc64el

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 25 Sep 2017 16:05:06 +0000

unity (7.5.0+17.10.20170721.1-0ubuntu1) artful; urgency=medium

  * GLibSignal: allow to block, unblock signals
  * UnitySettings: use glib::Signal blocking for ignoring setting
    changes
  * UnitySettings: listen to compiz profile status in order to set
    low_gfx value
  * Launcher: disable or reduce most icon effects on lowgfx (LP:
    #1700859)
  * PanelController: ensure we disconnect from signals on destruction
    (LP: #1504870)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 21 Jul 2017 08:53:17 +0000

unity (7.5.0+17.10.20170707-0ubuntu1) artful; urgency=medium

  [ Andrea Azzarone ]
  * Lockscreen: always draw the background-color in the lockscreen (LP:
    #1702701)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 07 Jul 2017 01:03:47 +0000

unity (7.5.0+17.10.20170703.1-0ubuntu1) artful; urgency=medium

  * BGHash, UnityScreen: get desktop averageColor from compiz

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 03 Jul 2017 15:39:06 +0000

unity (7.5.0+17.10.20170619-0ubuntu1) artful; urgency=medium

  * Rename ubuntu-session systemd target to unity-session to inline with
    new session name:
    - modify data/unity7.service.in and debian/unity.links to reflect new
      systemd target.
    - Breaks against older version of ubuntu-session, now that unity-session
      provides that new systemd target name.
  * Recommends unity-session, as ubuntu-session can't be a transitional package
    (it will be the Gnome Shell default ubuntu session), this is how we install
    that new session package again.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 19 Jun 2017 10:50:58 +0200

unity (7.5.0+17.10.20170609-0ubuntu1) artful; urgency=medium

  * Use g_mkdir_with_parents instead of mkdir.

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Fri, 09 Jun 2017 09:55:59 +0000

unity (7.5.0+17.10.20170601-0ubuntu1) artful; urgency=medium

  [ Iain Lane ]
  * Drop the default amazon launcher - we're moving to an alternative
    implementation in GNOME Shell.

 -- iain@orangesquash.org.uk <iain@orangesquash.org.uk>  Thu, 01 Jun 2017 19:15:28 +0000

unity (7.5.0+17.10.20170425.1-0ubuntu1) artful; urgency=medium

  [ Dimitri John Ledkov ]
  * Drop libupstart-dev dependency, and simply include verbantim dbus
    object paths.
  * Do not use upstart-dbus.h in compiz_config_profile_setter either.

  [ Eleni Maria Stea ]
  * removes lowgfx option from ccsm, reads the "lowgfx" gsetting
    (lp:~hikiko/unity-control-center/unity-control-center.lowgfx) (LP:
    #1668950)

  [ Marco Trevisan (Treviño) ]
  * Panel: ensure the menu-manager tracker is updated to match monitor
    (LP: #1671432)
  * compiz-profile-setter: tool to update the current profile and use in
    systemd and Unity settings (LP: #1668950)

  [ Nick Dedekind ]
  * Fixed tooltip scaling issues. (LP: #1673950)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 25 Apr 2017 17:59:20 +0000

unity (7.5.0+17.04.20170407.1-0ubuntu1) zesty; urgency=medium

  * Dash: fix the neko regression we have since a couple of cycles (LP:
    #1680927)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 07 Apr 2017 18:31:47 +0000

unity (7.5.0+17.04.20170301-0ubuntu1) zesty; urgency=medium

  * UnityWindow: safely check validity of UnityWindow from scaled one
    (LP: #1659847)
  * InputMonitor: don't try to deference an invalid Nux display (LP:
    #1632656)
  * unity7.service: set ups and BAMF as wanted, not required

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 01 Mar 2017 13:07:08 +0000

unity (7.5.0+17.04.20170222-0ubuntu1) zesty; urgency=medium

  * BackgroundSettings: use gnome-bg to generate textures with proper
    scaling (LP: #1666359)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 22 Feb 2017 01:52:54 +0000

unity (7.5.0+17.04.20170125-0ubuntu1) zesty; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * GnomeSessionManager: add gcancellable to instance and use it for
    calls with temporary proxies

  [ Michał Sawicz ]
  * Drop click scope from the default list of favourites

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 25 Jan 2017 16:55:08 +0000

unity (7.5.0+17.04.20170109-0ubuntu1) zesty; urgency=medium

  [ Andrea Azzarone ]
  * Round gtk scaling factor to closest integer. (LP: #1649736)
  * Keep the screen locked if rebooting with autologin. (LP: #1600389)

  [ Eleni Maria Stea ]
  * shouldn't create blur rectangles when there's no blur, skips the
    blur rects processing in low gfx.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 09 Jan 2017 15:10:02 +0000

unity (7.5.0+17.04.20161130-0ubuntu1) zesty; urgency=medium

  [ Kai-Heng Feng ]
  * UnitySettings: If scale-factor is not set, find and set right scale
    for HiDPI displays.

  [ Marco Trevisan (Treviño) ]
  * CMakeLists.txt: add support to compile with GTest 1.8 (LP: #1644062)
  * UnityScreen: toggle gestures recognition on lock (LP: #1645507)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 30 Nov 2016 11:06:58 +0000

unity (7.5.0+17.04.20161111.1-0ubuntu1) zesty; urgency=medium

  * LockScreenController: use InputMonitor to get all the events and
    hide the Blank Window (LP: #1321075)
  * LockScreenController: use input monitor to get the events to switch
    monitor (LP: #1316862)
  * LauncherOptions: use track_obj to manage option changes (LP:
    #1622995)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 11 Nov 2016 16:01:53 +0000

unity (7.5.0+17.04.20161107.2-0ubuntu1) zesty; urgency=medium

  [ Andrea Azzarone ]
  * Properly handle the file manager copy dialog in
    FileManagerLauncherIcon and in StorageLauncherIcon. (LP: #1575452,
    #1609845)
  * Correctly position the force quit dialog when scaling is different
    than 1.0 (LP: #1637991)
  * GnomeSession: Retrieve the session id using dbus if $XDG_SESSION_ID
    is not set

  [ Marco Trevisan (Treviño) ]
  * LockScreenController: ignore icon_paths_changed signal in
    menumanager for Lockscreen (LP: #1635625)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 07 Nov 2016 23:31:33 +0000

unity (7.5.0+17.04.20161107-0ubuntu1) zesty; urgency=medium

  * No-change rebuild against latest nux

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 07 Nov 2016 02:22:22 +0000

unity (7.5.0+17.04.20161027-0ubuntu1) zesty; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * TestXdndStartStopNotifierImp: enable some unstable tests by adding
    XTest support

  [ Martin Pitt ]
  * Add indicator-printers Wants to unity-panel-service.service
  * Disable fatal deprecation warnings to build with zesty's GTK 3.22
    without breaking backportability.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 27 Oct 2016 08:41:53 +0000

unity (7.5.0+16.10.20160906.1-0ubuntu1) yakkety; urgency=medium

  [ Marco Trevisan (Treviño), Ted Gould ]
  * Unity: add systemd units for the shell and related services, mark
    unity7 a requirement for ubuntu-session

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 06 Sep 2016 14:19:15 +0000

unity (7.5.0+16.10.20160901.2-0ubuntu1) yakkety; urgency=medium

  [ Andrea Azzarone ]
  * Disable menu discovery animation if MenusDiscoveryDuration is 0.
    (LP: #942962)
  * Redraw fake decorations on window resize. (LP: #940470)

  [ Marco Trevisan (Treviño) ]
  * InputMonitor: add an unity class that monitors XInput2 events and
    converts them to XEvent
  * EdgeBarrierController: use InputMonitor to get the barrier events
    instead of relying on its implementation
  * DecorationsMenuLayout: use input monitor for menu scrubbing (LP:
    #1614597)
  * PanelView: use InputMonitor to track menu events
  * LockScreenPanel: use InputMonitor events instead of mouse polling
    for menu scrubbing
  * MenuManager: add support for mouse trackers with triangle algorithm
    support (LP: #1618405)
  * PanelView: scale gradient refinement properly
  * PanelService: don't allow to deactivate menus if they've been opened
    too shortly
  * WindowButton: properly partially unmaximize a window when
    middle/left clicking in the restore button (LP: #1616136)
  * CMake: move data and setting files in proper folder, define shared
    libdir variables

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 01 Sep 2016 23:59:15 +0000

unity (7.5.0+16.10.20160819-0ubuntu1) yakkety; urgency=medium

  [ Andrea Azzarone ]
  * Use compiz::Window::serverNext instead of compiz::Window::next in
    IsWindowObscured as the latter can be outdated just after
    scale/spread terminates. (LP: #1614116)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 19 Aug 2016 13:15:09 +0000

unity (7.5.0+16.10.20160817.1-0ubuntu1) yakkety; urgency=medium

  [ Andrea Azzarone ]
  * Make sure the switcher detail view is properly scaled. Also scale
    the xy_offset to make sure the switcher and launcher do not overlap.
    (LP: #1605256)
  * Close session dialog on first ESC. (LP: #1521116)
  * Filter out scrolling envents for FilterExpanderLabel. (LP: #1604632)

  [ Marco Trevisan (Treviño) ]
  * OverlayRenderer: properly decorate launcher/panel when the launcher
    is at the bottom (LP: #1611694)
  * UserAuthenticatorPam: ensure pam_handle_ is null initialized and
    don't proceed if not set (LP: #1611668)
  * OverlayRenderer: don't use rotated textures, just rotate them at
    rendering time
  * DecorationStyle: set css name for Gtk 3.20
  * SpreadWidgets: add container for spread filter and new spread
    decorations (LP: #1283314)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 17 Aug 2016 14:03:22 +0000

unity (7.5.0+16.10.20160806-0ubuntu1) yakkety; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * DecoratedWindow: avoid deferencing an invalid shadow texture ptr,
    and split functions (LP: #1608464)
  * UnityWindowView: don't try to deference close_button_ if its' null
  * DecorationsForceQuitDialog: make CSS selectors work with gtk 3.20

  [ Andrea Azzarone, Marco Trevisan (Treviño) ]
  * DecoratedWindow: display unmaximize button if the window is
    vertically or horizontally maximized (LP: #1608480)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Sat, 06 Aug 2016 16:25:58 +0000

unity (7.5.0+16.10.20160727-0ubuntu1) yakkety; urgency=medium

  [ Andrea Azzarone ]
  * [LockSceen] Remove numlock warning. (LP: #1526322)
  * Make sure initiate and terminate callbacks are not empty before
    calling them. (LP: #1605012)
  * Properly destroy close_button_ to properly disconnect lambda. (LP:
    #1605010)
  * Use the standard notification-device-eject in the "device eject"
    notification. This allows us to scale it properly on high-dpi
    setups. (LP: #1605231)
  * Add tools to enforce unityshell plugin for the current profile and
    add "move" and "resize" plugins as requirements. (LP: #1506023,
    #1605007)
  * When locked discard damages from windows below lockscreen. (LP:
    #1605180)

  [ Eleni Maria Stea ]
  * DecoratedWindow: Added shadows for shaped windows

  [ Marco Trevisan (Treviño) ]
  * LockScreenAcceleratorController: ensure callbacks are valid before
    calling them (LP: #1605012)
  * DecoratedWindow: Cleanup shadows for shaped windows, reduce
    recomputation

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 27 Jul 2016 10:25:54 +0000

unity (7.5.0+16.10.20160715-0ubuntu1) yakkety; urgency=medium

  [ Eleni Maria Stea ]
  * Reverts fix for multimonitor because of problems in nvidia cards
    (see bug: #1602901) (LP: #1602901)

 -- iain@orangesquash.org.uk <iain@orangesquash.org.uk>  Fri, 15 Jul 2016 15:13:28 +0000

unity (7.5.0+16.10.20160714-0ubuntu1) yakkety; urgency=medium

  [ Andrea Azzarone ]
  * FileManagerLauncherIcon: Don't trust the Quirk::VISIBLE in the ctor.
    (LP: #1599133)
  * [TrashLauncherIcon] Create GFileMonitor in an idle to avoid blocking
    calls. (LP: #1602720)

  [ Marco Trevisan (Treviño) ]
  * Unity script: use result from unity_support_test to check the right
    COMPIZ_CONFIG_PROFILE to use (LP: #1602377)
  * SwitcherView: always disable animations when in lowgfx mode (LP:
    #1602784)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 14 Jul 2016 10:06:29 +0000

unity (7.5.0+16.10.20160705.4-0ubuntu1) yakkety; urgency=medium

  [ Andrea Azzarone ]
  * Add missing header to fix compilation error with -Duse_pch=OFF.
  * Filter out fullscreen window in show desktop mode to decide if unity
    must be displayed. (LP: #1597706)
  * Make sure file manager icon is not removed when unpinned. (LP:
    #1578792)
  * Properly calculate the intersection geometry in PanelView::Draw.
    This is needed to properly call SyncGeometries and to avoid problems
    such as lp:1595698. (LP: #1595698)

  [ Eleni Maria Stea ]
  * speeds up the showdesktop plugin in lowgfx mode
  * UnityScreen: only redraw parts of the screen visible in each output
    (LP: #1598770)

  [ Marco Trevisan (Treviño) ]
  * LockScreenAcceleratorController: check if a setting key is available
    instead of crashing
  * ApplicationLauncherIcon: ensure quirks are properly set on icon
    initialization
  * Views: Toggle animators durations based on low-gfx setting (LP:
    #1598770)
  * unity7.conf: use different compiz profile based on
    unity_support_test result (LP: #1598770)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 05 Jul 2016 10:24:14 +0000

unity (7.5.0+16.10.20160628.1-0ubuntu1) yakkety; urgency=medium

  [ Andrea Azzarone ]
  * UnitySettings: Add an option to enable/disable pam account checking.
    (LP: #1460649)
  * Lockscreen: Make sure warning and errors are properly shown to the
    user (LP: #1593696)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 28 Jun 2016 16:23:47 +0000

unity (7.5.0+16.10.20160621.1-0ubuntu1) yakkety; urgency=medium

  * LockScreenAcceleratorController: use key::Grabber to handle allowed
    bindings (LP: #1438754)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 21 Jun 2016 14:44:22 +0000

unity (7.5.0+16.10.20160606.1-0ubuntu1) yakkety; urgency=medium

  [ Alberto Milone ]
  * UnitySettings: Add dconf keys for disabling multitouch gestures (LP:
    #1589520)

  [ Andrea Azzarone ]
  * Do not trigger screensaver on session inactive. (LP: #1587507)
  * Use SwitcherController::SetDetail instead of detail=... (LP:
    #1587618)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 06 Jun 2016 14:29:04 +0000

unity (7.5.0+16.10.20160602-0ubuntu1) yakkety; urgency=medium

  [ Andrea Azzarone ]
  * Add whitelist for auto-repated keys. (LP: #1586491)
  * Fix scale window activation if in show desktop mode. (LP: #1582056)
  * Order matters in the rendering. Draw launcher shadow after the
    background in all cases. (LP: #1586374)
  * Fallback to volume name if no other identifier is available. (LP:
    #1103593)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 02 Jun 2016 01:02:19 +0000

unity (7.5.0+16.10.20160525-0ubuntu1) yakkety; urgency=medium

  [ Eleni Maria Stea ]
  * PanelView: Don't draw it if the geo doesn't intersect the monitor
    geo (as in ezoom)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 25 May 2016 14:22:42 +0000

unity (7.5.0+16.10.20160517-0ubuntu1) yakkety; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Bumping version to 7.5.0, as per 7.4 release

  [ Andrea Azzarone ]
  * Do not reset the shortcut for icons that have their own shortcut.
    (LP: #1562847)
  * Fallback to "background" class in case no background is specified
    for title bars and top panel. (LP: #1575527)
  * GnomeKeyGrabber: do not activate an action if it's a repeated one.
    (LP: #1572241)
  * Properly calculate array indexes to avoid crashes. (LP: #1570843)
  * Properly remove SoftwareCenterLauncherIcon in case of failure. (LP:
    #1553165)
  * Update ExpoLauncherIcon in case the quicklist is used to switch vp.
    (LP: #1525685)

  [ Marco Trevisan (Treviño) ]
  * DashStyle: ensure LazyLoadTexture disconnects from signals on
    destruction (LP: #1580212)
  * Releasing Unity 7.4.0
  * SwitcherController: don't try to get a window from empty selections
    (LP: #1580211)
  * SwitcherView: close the mouse-selected application on middle-click
    (LP: #1574689)
  * UnityScreen, UnityWindow: cleanup a little the code, and ensure
    overridden CompositeWindow functions get actually called

  [ handsome_feng ]
  * Change the x_offset of expo when launcher position changed. (LP:
    #1573897, #1562348)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 17 May 2016 02:56:22 +0000

unity (7.4.0+16.04.20160415-0ubuntu1) xenial; urgency=medium

  [ Andrea Azzarone ]
  * Do not use pointers to LazyLoadTextures. (LP: #1569100)
  * Fix unity script crash. (LP: #1566565)
  * LockscreenController: Don't use SetActivate(False) for gnome-
    screensaver to prevent unlocking on tty switch. It will not only
    deactivate the screensaver but also unlock the screen. (LP:
    #1552537)
  * unityshell.xml: Fix typo (LP: #1559427)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 15 Apr 2016 05:33:08 +0000

unity (7.4.0+16.04.20160401.1-0ubuntu1) xenial; urgency=medium

  [ Andrea Azzarone ]
  * Improve the "lock on suspend" logic to always keep in sync the
    inhibitor with the lockscreen.

  [ Marco Trevisan (Treviño) ]
  * DecoratedWindow: Just send estimated extents on
    _NET_REQUEST_FRAME_EXTENTS (LP: #1368118)
  * TextureCache: add support for loading themed textures (LP: #903179,
    #1208790)
  * Unity: stop unity7 upstart instance if needed and restart it if not
    clearly requested (LP: #1555633)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 01 Apr 2016 23:11:47 +0000

unity (7.4.0+16.04.20160322-0ubuntu1) xenial; urgency=medium

  * ForceQuitDialog: set client leader

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 22 Mar 2016 15:36:52 +0000

unity (7.4.0+16.04.20160321-0ubuntu1) xenial; urgency=medium

  [ Andrea Azzarone ]
  * ApplicationLauncherIcon: use the starting property to show an icon
    when launched (LP: #676457)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 21 Mar 2016 15:38:22 +0000

unity (7.4.0+16.04.20160318-0ubuntu1) xenial; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * UserPromptView: don't hide local scale property (LP: #1551820)

  [ Sebastien Bacher ]
  * set the gettext domain directly in CMakeLists rather than using
    refering to the project name, the translation template is updated
    during the build by dh_translations which is not clever enough to
    understand the variable (LP: #1557081)

  [ handsome_feng ]
  * Dash: move it down when the launcher is positioned at the bottom.
    (LP: #1552630)
  * Launcher: add Bottom mode, so that the launcher can be positioned
    horisontally (LP: #1552630)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 18 Mar 2016 10:10:42 +0000

unity (7.4.0+16.04.20160310-0ubuntu1) xenial; urgency=medium

  [ Andrea Azzarone ]
  * Add a "Format..." option to volume icons. (LP: #1057008)

  [ Marco Trevisan (Treviño) ]
  * DashView: ensure that we update scaling when monitor changes (LP:
    #1546690)
  * DecoratedWindow: move the shadow under the window if we've a client-
    side decorated window with corners (LP: #1516403)
  * LauncherController: add overlay shortcut to all the
    WindowedLauncherIcon's we have
  * ThemeSettings: add small class for reading gtk settings for theming
    (LP: #1543757, #1288998)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 10 Mar 2016 10:09:34 +0000

unity (7.4.0+16.04.20160223.1-0ubuntu1) xenial; urgency=medium

  [ Andrea Azzarone, Didier Roche ]
  * Gnome-software launcher integration.

  [ Marco Trevisan (Treviño) ]
  * GnomeFileManager: use *WithTimestamp file operations instead of
    using Activate workaround (LP: #1445595)
  * unity.migrations: add 04_unity_update_software_center_desktop_file

  [ Robert Ancell ]
  * Drop unused build-dependency on libgee-dev.
  * Switch from Ubuntu Software Center to GNOME Software. (LP: #1547129)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 23 Feb 2016 22:39:18 +0000

unity (7.4.0+16.04.20160209.3-0ubuntu1) xenial; urgency=medium

  [ Didier Roche ]
  * debian: Recommends session-shortcuts, prodiving easy way to
    shutdown, reboot and logout from dash

  [ Marco Trevisan (Treviño) ]
  * CMake: use GNUInstallDirs with native multi-arch support (LP:
    #1508635, #1485668)
  * Launcher: add FileManager, Trash and Volume icons integration (LP:
    #1524721, #1161323, #1063838, #1063823)
  * SwitcherModel: avoid to access to invalid selection or to divide by
    zero (LP: #1537524)

  [ handsome_feng ]
  * Extend the lockscreen theme for kylin.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 09 Feb 2016 12:21:15 +0000

unity (7.4.0+16.04.20151218-0ubuntu2) xenial; urgency=medium

  * Multiarchify the library packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 17:38:52 +0100

unity (7.4.0+16.04.20151218-0ubuntu1) xenial; urgency=medium

  [ Aneesh Madhavan ]
  * resources: optimize png images (LP: #1023745)

  [ Evan McIntire ]
  * ShortcutHint: Add key shortcut hints for Screenshot and Window
    Screenshot (LP: #1050195)

  [ Marco Trevisan (Treviño) ]
  * CompizShortcutModeller: show menus keybinding can be read from
    settings
  * GnomeKeyGrabber: refcount the actions and remove them only when
    nobody needs (LP: #1525308)
  * LayoutSystem: add ComputeDecorationHeight method to LayoutWindow
    (LP: #1526386)
  * PanelMenuView: ensure that the maximized window is computed when
    setting the monitor (LP: #1526835)
  * SwitcherModel: don't reiterate over windows all the time, keep a
    list and update it (LP: #1526434)
  * TextInput: reduce opacity to warning if only num_lock is enabled
  * Unity: compile a byte regex in order to get proper matching with
    byte cmdline (LP: #1526455)
  * a11y: don't spam the log with warnings when a quicklist is opened
  * a11y: move accessibility stuff to its own directory, adding a
    private lib for building

  [ Michael Vogt ]
  * Display "image-missing" icon in the panel if for some reason a icon
    can not be loaded. (LP: #1525186)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 18 Dec 2015 00:01:39 +0000

unity (7.4.0+16.04.20151211-0ubuntu2) xenial; urgency=medium

  * rebuild against latest libunity to update the list of recommends
    (LP: #1521208)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 15 Dec 2015 09:29:52 +0100

unity (7.4.0+16.04.20151211-0ubuntu1) xenial; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * unity: ensure we use python3 for the launch script and
    python2.7 for autopilot (LP: #1512909)

  [ Andrea Azzarone ]
  * Places(Overlay)VScrollBar: impelement gtk-like overlay scrollbars
    (LP: #1481706)
  * Properly hide shortcut overlay window to avoid unnecessary redraws.

  [ Bryan Quigley ]
  * debian/control: Remove telepathy from recommends

  [ Eleni Maria Stea ]
  * Replaced deprecated calls in tests to get rid of compiler warnings

  [ Marco Trevisan (Treviño) ]
  * ApplicationLauncherIcon: if a new window opens while spreading,
    spread again with proper match (LP: #1517455)
  * ExpoLauncherIcon: add Quicklist to switch workspace and see the
    selected one (LP: #750497)
  * PanelIndicatorEntryView: Activate menus on click, by drawing them as
    active (LP: #1513523)
  * PanelMenuView: ignore leave events when triggered by feeding nux
    manually (LP: #1513496)
  * Places(Overlay)VScrollBar: impelement gtk-like overlay scrollbars
    (LP: #1481706)
  * SwitcherModel: allow to add/remove icons dynamically and update them
    when they require it (LP: #1512349)
  * SwitcherView: Add support to Alt+Key-right-to-tab to close the
    selected app/window
  * Switcher{View,Controller}: close active selection on Alt+q (LP:
    #1468820)
  * TextInput: show warning also when num lock is enabled
  * XKeyboardUtil: add ability to get keycodes from any relative
    position
  * debian/rules: enable unit tests on arm64 again (LP: #1514538)

  [ Sebastien Bacher ]
  * Updated apport hook to include: the compiz and xorg details, not
    only after asking users if the issue is a graphical one (which is
    weird question) the upstart logs for unity/ups/lockscreen some
    gsettings configurations (LP: #1508974)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 11 Dec 2015 12:46:16 +0000

unity (7.4.0+16.04.20151102-0ubuntu2) xenial; urgency=medium

  * No-change rebuild against libglew1.13

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2015 19:49:37 +0000

unity (7.4.0+16.04.20151102-0ubuntu1) xenial; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Bumping version to 7.4.0
  * Fix building in xenial

  [ Didier Roche ]
  * Remove unity2d transitional packages. We are post trusty LTS, they
    are not needed anymore

  [ Marco Trevisan (Treviño) ]
  * ApplicationLauncherIcon: if an app is not running and has no desktop
    file, add QL item to add to dash
  * PanelService: unset the idle ID before removal on callback (LP:
    #1501289)
  * Unity: use compiz cursorCache to get properly updated cursors (LP:
    #1359211)
  * UnityScreen: add SpreadAppWindows option and trigger it on
    Super+Ctrl+[Shift]+W

  [ Stephen M. Webb ]
  * changed the wording of the help message and warning message for the
    --reset option (LP: #1486498)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 02 Nov 2015 13:29:58 +0000

unity (7.3.3-0ubuntu1) UNRELEASED; urgency=medium

  * Releasing Unity 7.3.3

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 26 Oct 2015 15:37:22 +0100

unity (7.3.2+15.10.20151016-0ubuntu1) wily; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Sync changelog with proposed

  [ Andrea Azzarone ]
  * Avoid test failures on jenkins.

  [ CI Train Bot ]
  * UnityScreen: close the session dialog in case it's open and we're
    requested to lock (LP: #1505234)

  [ Marco Trevisan (Treviño) ]
  * LauncherIcon: force lookup icon by scaling it at the requested size
    (LP: #1446081, #1501973)
  * PanelService: ensure that we free the "fake" IndicatorEntry's we
    create for dropdowns (LP: #1503348)
  * ResultRendererTile: consider global scaling when scaling a not-
    squared icon (LP: #1499286)
  * TestDash: Use local results in PreviewNavigateTests instead of
    online ones

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 16 Oct 2015 08:46:34 +0000

unity (7.3.2+15.10.20151002.2-0ubuntu1) wily; urgency=medium

  * GnomeKeyGrabber: Don't allow an action to be grabbed multiple times
    (LP: #1459571)
  * PanelService, DBusIndicators: drop support for EntryShowNowChanged
    signal

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 02 Oct 2015 14:02:10 +0000

unity (7.3.2+15.10.20150921-0ubuntu1) wily; urgency=medium

  [ Andrea Azzarone ]
  * Avoid to open adjacent menu when moving from an indicator icon to
    its dropdown menu. (LP: #552920)
  * Make sure to restore the state before the call to
    glDisable(GL_SCISSOR_TEST). (LP: #1485727)

  [ Iain Lane ]
  * launcher: Always make sure we check the right file when seeing if
    .desktop files have been deleted. Fixes disappearing launcher icons
    when applications are upgraded when we are using glib > 2.44. (LP:
    #1498106)

  [ Lars Uebernickel ]
  * DevicesSettingsImp: dont't feed garbage to gsettings (LP: #1495173)

  [ Luke Yelavich ]
  * Make a copy of a quicklist menu item plain text label
  * Make a copy of a quicklist menu item plain text label

  [ Marco Trevisan (Treviño) ]
  * MenuManager: add a new setting to control the show-now delay (LP:
    #1497915)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 21 Sep 2015 17:44:10 +0000

unity (7.3.2+15.10.20150910.1-0ubuntu1) wily; urgency=medium

  [ Andrea Azzarone andrea.azzarone@canonical.com ]
  * Add unit tests for unity::lockscreen::DBusManager.
  * Add/Update tests for gnome session manager.
  * Do not allow shutdown when screen is locked. (LP: #1460626)
  * Make sure we update the maximized window when "show
    desktop"/"restore desktop". (LP: #1485559)
  * Merge patch from https://launchpadlibrarian.net/216192448/llvm-
    fix.patch (LP: #1491555)
  * Merge patch from https://launchpadlibrarian.net/216276242/low-gfx-
    override.patch (LP: #1491913)

  [ Andrea Azzarone azzaronea@gmail.com ]
  * Properly hide decorations when on "Show Desktop" mode. (LP:
    #1485073)

  [ Marco Trevisan (Treviño) ]
  * UnityScreen: force shell to be on top when there's a window
    fullscreen and we've a menu open. (LP: #591189)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 10 Sep 2015 15:37:46 +0000

unity (7.3.2+15.10.20150825-0ubuntu1) wily; urgency=medium

  [ Andrea Azzarone andrea.azzarone@canonical.com ]
  * Do not handle events coming from viewports not actually containing
    the window. (LP: #1449654)

  [ Chris Townsend ]
  * Also use the Compiz show() method when forcing an unmapped window to
    be visible when clicking on it's active Launcher icon. (LP: #989588)
  * When using keyboard navigation in the Dash, skip category headers
    that are not expandable. Also, do not highlight the category header
    when the mouse cursor is over it. (LP: #1045933)

  [ Marco Trevisan (Treviño) ]
  * ApplicationManager: rely on windows monitor property changes for
    updating Pips (LP: #1027191)
  * Autopilot: modernize some tests, use stronger methods to ensure
    false positive
  * DecorationsForceQuitDialog: override the background of the window
    with transparent color (LP: #1470292)
  * Launcher: Always unfold an active icon (LP: #1472339)
  * PanelMenuView: ensure that we connect to window signals as soon as
    the AppManager knows it (LP: #1472326)
  * PlacesGroup: connect to view changes using a function instead of a
    lambda (LP: #1470298)
  * SessionButton: set button opacity to 75% when pressed (LP: #1301655)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 25 Aug 2015 08:15:56 +0000

unity (7.3.2+15.10.20150819-0ubuntu1) wily; urgency=medium

  [ Andrea Azzarone andrea.azzarone@canonical.com ]
  * Do not handle events coming from viewports not actually containing
    the window. (LP: #1449654)

  [ Chris Townsend ]
  * Also use the Compiz show() method when forcing an unmapped window to
    be visible when clicking on it's active Launcher icon. (LP: #989588)
  * When using keyboard navigation in the Dash, skip category headers
    that are not expandable. Also, do not highlight the category header
    when the mouse cursor is over it. (LP: #1045933)

  [ Marco Trevisan (Treviño) ]
  * ApplicationManager: rely on windows monitor property changes for
    updating Pips (LP: #1027191)
  * Autopilot: modernize some tests, use stronger methods to ensure
    false positive
  * DecorationsForceQuitDialog: override the background of the window
    with transparent color (LP: #1470292)
  * Launcher: Always unfold an active icon (LP: #1472339)
  * PanelMenuView: ensure that we connect to window signals as soon as
    the AppManager knows it (LP: #1472326)
  * PlacesGroup: connect to view changes using a function instead of a
    lambda (LP: #1470298)
  * SessionButton: set button opacity to 75% when pressed (LP: #1301655)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 19 Aug 2015 14:45:18 +0000

unity (7.3.2+15.10.20150803.1-0ubuntu1) wily; urgency=medium

  [ Andrea Azzarone andrea.azzarone@canonical.com ]
  * Enable building unity form source with gcc5.
  * Fixes that enable building unity from sources with cmake3 (wily).

  [ CI Train Bot ]
  * New rebuild forced.

  [ Stephen M. Webb ]
  * unity-shared/DebugDBusInterface.cpp: include <iostream> to fix a
    FTBFS

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 03 Aug 2015 12:35:24 +0000

unity (7.3.2+15.10.20150627.1-0ubuntu1) wily; urgency=medium

  [ Andrea Azzarone andrea.azzarone@canonical.com ]
  * Fix a regression with urgent icons not showing up if launcher is
    hidden. (LP: #1450991)
  * Make sure new icons are added to the model before calling
    SortAndUpdate. (LP: #1458950)
  * This likely could fix
    https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1451613. At
    least the backtraces posted there suggest this. But I think that
    those backtraces are just leftovers of old crashes-on-unloading.

  [ CI Train Bot ]
  * New rebuild forced.

  [ Chris Townsend ]
  * Allow mouse clicks that are not in the visible area of the Quicklist
    to pass through down to the Launcher icon. Fixes a failing AP test.
    (LP: #1456245)

  [ Luke Yelavich ]
  * Implement filter results controls accessibility (LP: #1457071)

  [ Marco Trevisan (Treviño) ]
  * ApplicationManager: add missing features, keep a copy of views
    around
  * DecorationsForceQuitDialog: remove deprecated override style
    functions, use CSS
  * GnomeSessionManager: Request ScreenSaver (de)activation on VT
    changes (LP: #1405349)
  * OverlayWindowButtons: trigger a queuedraw also when a child requires
    a redraw (LP: #1461618)
  * PanelMenuView: connect to target window / application title changes
    (LP: #1418449)

 -- CI Train Bot <ci-train-bot@canonical.com>  Sat, 27 Jun 2015 04:44:56 +0000

unity (7.3.2+15.10.20150522-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Chris Townsend ]
  * Add necessary signaling to set the BFB icon's tooltip and the Home
    Scope's default search string to accurately reflect if searching
    online is enabled or disabled in unity-system-settings. (LP:
    #1202160, #1101662)
  * Enable real page up/page down key navigation in the Dash. When using
    these keys the view scrolls the length of the visible view. (LP:
    #913612)
  * If Spread/Expo is active, then terminate it when entering Launcher
    keynav mode. (LP: #1447810)
  * If dragging an application:// uri type from the Dash to the desktop,
    change it to a file:// uri type so Nautilus can understand the type
    a make a copy of it on the desktop. (LP: #1241972)
  * Wait on Spread to be terminated before showing the Quicklist. (LP:
    #1441626)

  [ Luke Yelavich ]
  * Implement scope bar icon accessibility (LP: #1457073)

  [ Marco Trevisan (Treviño) ]
  * ResultViewGrid: wait for double-click event only if the relative
    result needs the Preview (LP: #1447372, #1291950)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 22 May 2015 13:21:14 +0000

unity (7.3.2+15.10.20150512-0ubuntu1) wily; urgency=medium

  [ Chris Townsend ]
  * Add new signal to tell the Launcher to terminate keynav mode and use
    that signal when a BFB quicklist item is chosen. (LP: #1052024,
    #1444643)
  * Add option to enable and disable Unity low graphics mode on the fly
    in ccsm or via gsettings. (LP: #1412937)
  * Remove code that is no longer needed and broke opening application
    spread while in Launcher keynav mode. (LP: #1445082)
  * Save the active window when showing the Dash so the correct window
    is focused when hiding the Dash. Fixes issue when "Always on Top"
    windows are present. (LP: #1446634)
  * Save the active window when showing the Hud so the correct window is
    focused when hiding the Hud. Fixes issue when "Always on Top"
    windows are present. (LP: #1366583)
  * Send signal to ensure the Dash will show when entering keynav mode
    since the first icon always highlighted is the BFB. (LP: #1444113)
  * When looking for the top-most valid window in a VP, also check if
    the window is focused if the window is set to Always on Top. This
    allows Launcher icon spread to work properly when a window is
    minimized an Always on Top exists in the group. (LP: #1131385)
  * When using the left arrow to exit a Quicklist, Launcher keynav is
    implied and should be active regardless of how the Quicklist was
    opened. (LP: #1444626)

  [ Eleni Maria Stea ]
  * The skydome rendering of the cube plugin was wrong with unity
    because transformation matrices set by the unityshell plugin were
    left in the opengl matrix stacks affecting other compiz plugins.
    Saving the compiz state at the beginning of the unityshell plugin
    rendering functions and restoring it at the end of them fixes the
    problem. (LP: #1446165)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 12 May 2015 13:10:15 +0000

unity (7.3.2+15.04.20150420-0ubuntu1) vivid; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * MenuManager, settings: go back to Global Menus as default (LP:
    #1446256)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 20 Apr 2015 17:02:13 +0000

unity (7.3.2+15.04.20150410.1-0ubuntu1) vivid; urgency=medium

  [ Brandon Schaefer ]
  * When we get a launcher key press (ie. super key). We check if the
    command lens is open. If it is then just switch the lens to the home
    lens. This way we dont close the dash. (LP: #1108956)

  [ CI Train Bot ]
  * New rebuild forced.

  [ Gerry Boland ]
  * SwitcherController: add first selection mode property, to decide
    what to select at first (LP: #998285)

  [ Marco Trevisan (Treviño) ]
  * SwitcherController: add first selection mode property, to decide
    what to select at first (LP: #998285)
  * UnityScreen: terminate spread if active when initiating Switcher
    (LP: #1412001)

  [ Stephen M. Webb ]
  * (Ubuntu packaging) move the session migration scripts to Python3
    (LP: #1440560)
  * fixed the Panel title string expected by Launcher keynav AP tests
    (LP: #1435830)
  * test_wm_keybindings: fix AP failures caused by upstream Compiz
    change (LP: #1294864)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 10 Apr 2015 21:59:12 +0000

unity (7.3.2+15.04.20150330-0ubuntu1) vivid; urgency=medium

  [ Andrea Azzarone ]
  * Do not restore focus if a quicklist is opened during launcher key
    navigation. (LP: #932486)
  * Forward first key event that happens on top of the blank window to
    the lockscreen. (LP: #1308265)
  * Hide launcher to avoid damaging window when not needed. Also make
    sure that pressure effect works fine (previous fix has been reverted
    because of this!). (LP: #1301394)
  * Make sure scope_views_[filter.id] exists before using operator[] on
    it. (LP: #926979)
  * Make sure that signals are auto-desconnected when
    XdndStartStopNotifierImp is destroyed. (LP: #1432231)
  * Release pointer barrier if launcher is in lock_hide state. (LP:
    #1029114)

  [ Sebastien Bacher ]
  * use the new nautilus .desktop name (LP: #1436297)

  [ Stephen M. Webb ]
  * AP tests: accounted for arbitrarily-raised exceptions in checking
    scaled windows (LP: #1436095)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 30 Mar 2015 15:48:47 +0000

unity (7.3.2+15.04.20150324.1-0ubuntu1) vivid; urgency=medium

  [ Stephen M. Webb ]
  * Upstream release 7.3.2.
  * fix AP test failure due to new parameter added to key grabbing (LP:
    #1433648)
  * silenced GCC 5 warnings (LP: #1430784)
  * uses the new upstream .desktop file for D-Bus activated Nautilus
    instances (LP: #1428837)

  [ Brandon Schaefer ]
  * When we quit the quicklist it would check if the mouse was over the
    launcher, if it wasn't it would fold the launcher. We don't need to
    check this if we are in keynav as we want all the icons to be
    unfolded. (LP: #1246891)

  [ CI Train Bot ]
  * New rebuild forced.

  [ Chris Townsend ]
  * Use a 2 second delay before showing the first run shortcut hints to
    workaround a race condition on input handling. (LP: #1313597)

  [ Marco Trevisan (Treviño) ]
  * GnomeKeyGrabber: add timestamp support to accelerators (LP:
    #1433648)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 24 Mar 2015 16:09:14 +0000

unity (7.3.1+15.04.20150227-0ubuntu1) vivid; urgency=medium

  [ Andrea Azzarone ]
  * Draw osk above unity shell. (LP: #1413165)
  * Remove FontSettings.*. Add the possibility to specify the font size
    and the font weight without chaning the default font name. Fix lp
    886478. (LP: #886478)
  * Remove unitydialog plugin.

  [ Luke Yelavich ]
  * Explore children when a view or layout is added (LP: #1066157)
  * Move the unity a11y present environment call
  * Set focus to FALSE on window deactivation (LP: #1066157)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 27 Feb 2015 15:38:19 +0000

unity (7.3.1+15.04.20150219.2-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Marco Trevisan (Treviño) ]
  * Decorations, Panel: add menus for unfocused windows as well

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 19 Feb 2015 19:33:42 +0000

unity (7.3.1+15.04.20150205-0ubuntu1) vivid; urgency=medium

  [ Brandon Schaefer ]
  * Try to set the folder permission otherwise Handle permission error.
    (LP: #1418255)

  [ Andrea Azzarone ]
  * Actually connect to changed::* signal in MenuManager.cpp. (LP:
    #1411620)
  * Actually connect to changed::* signal in UnitySettings.cpp. (LP:
    #1408212)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 05 Feb 2015 17:27:47 +0000

unity (7.3.1+15.04.20150126-0ubuntu1) vivid; urgency=low

  [ Andrea Azzarone ]
  * Force icon size (new gtk requires it). (LP: #1404730)
  * Disable markup accel for VolumeLauncherIcon quicklist menu items.
    (LP: #1413411)
  * Make sure dragged icons are not rendered behind the dash. (LP:
    #1413773)
  * Make unity unlockable if user is in nopsswdlogin group. On super+l
    the screensaver is activated. (LP: #1413790)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Jan 2015 22:42:26 +0000

unity (7.3.1+15.04.20150115-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Andrea Azzarone ]
  * Disable Pointer Barriers during lockscreen. (LP: #1401911)
  * Use std::weak_ptr to avoid referencing an invalid barrier. (LP:
    #1238063)
  * Enable dash and hud if there is a fullscreen window. (LP: #1159249,
    #860970)
  * Show session dialog over fullscreen windows. (LP: #1404486)
  * Avoid running pontentially dangerous code paths when the screen is
    locked. (LP: #1410582)

  [ Marco Trevisan (Treviño) ]
  * MenuManager: make sure menus are always shown when mouse is over
    them or when the always-show-menus option is on (LP: #955193,
    #1390562, #1374942, #1312137)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 15 Jan 2015 15:03:31 +0000

unity (7.3.1+15.04.20150112-0ubuntu1) vivid; urgency=low

  [ Brandon Schaefer ]
  * Remove deprecated code that is no longer supported:
    https://mail.gnome.org/archives/commits-list/2014-July/msg00351.html
    (LP: #1404326)

  [ Andrea Azzarone ]
  * Remove unsed StartupNotifyService.*

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 12 Jan 2015 20:21:23 +0000

unity (7.3.1+15.04.20141216-0ubuntu1) vivid; urgency=low

  [ Stephen M. Webb ]
  * replace the use of static glib with gi glib in AP test cases (LP:
    #1397006)
  * fix AP test failures due to upstream FileRoller .desktop file rename
    (LP: #1402707)

  [ Andrea Azzarone ]
  * Set the correct size for the lockscreen message. (LP: #1384242)
  * Ungrab the shoutdown dialog as soon as possible. (LP: #1398287)
  * skipped the animation of BGHash on startup to prevent unwanted fade-
    in (LP: #1241757)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 16 Dec 2014 13:25:57 +0000

unity (7.3.1+15.04.20141128-0ubuntu1) vivid; urgency=low

  [ Andrea Azzarone ]
  * Unmap all windows during shutdown. (LP: #1370017, #1375271)
  * Make sure GetScreenGeometry returns the correct value. (LP:
    #1374785)

  [ Marco Trevisan (Treviño) ]
  * Decorated Window: still paint decorations if on transformated
    windows in different workspaces (LP: #1383468)
  * DecoratedWindow: make sure we always set a _NET_FRAME_EXTENTS for
    windows that requested it
  * UnityScreen: when filtering out windows in spread, make sure we
    unscale them (LP: #1316265)
  * PanelMenuView: ensure that proper window tiles and buttons are shown
    at the right place (LP: #1384958, #1384910, #1385285)
  * PanelService: inject special key events back to the root window when
    a menu is opened
  * PanelService: use gdbus to notfy upstart of service start/stop

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Nov 2014 12:56:28 +0000

unity (7.3.1+14.10.20141016-0ubuntu1) utopic; urgency=low

  [ Eleni Maria Stea ]
  * LayoutSystem: make sure the exposed open windows are displayed in
    the "correct" order

  [ Marco Trevisan (Treviño) ]
  * DecoratedWindow: make edges independent from borders and properly
    update them on actions changed

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 16 Oct 2014 15:10:30 +0000

unity (7.3.1+14.10.20141015-0ubuntu1) utopic; urgency=low

  [ Iain Lane ]
  * When grabbing keys, try prefixing "XF86" if the key isn't found.
    GNOME gives us unprefixed keys sometimes. (LP: #1302885)

  [ Brandon Schaefer ]
  * Remove bad tests that randomly fail

  [ handsome_feng<445865575@qq.com> ]
  * added support for getting the distro name from /etc/os-release (LP:
    #1329584)

  [ Marco Trevisan (Treviño) ]
  * LockScreenController: wait the primary shield to get the grab before
    setting the session locked
  * GLibSignal: don't call callback function if the object_ value is not
    matching the CB (LP: #1366351)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 15 Oct 2014 12:56:50 +0000

unity (7.3.1+14.10.20140915-0ubuntu1) utopic; urgency=low

  [ Michael Zanetti ]
  * add "items" key to Launcher schema to be used by unity8 (LP:
    #1300650)

  [ Andrea Azzarone ]
  * Use COMPIZ_METAKEY where needed. (LP: #1363534)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 15 Sep 2014 12:35:45 +0000

unity (7.3.1+14.10.20140904-0ubuntu1) utopic; urgency=low

  [ Martin Pitt ]
  * Adjust upstart dependency to upstart-bin. (LP: #1351306)

  [ Brandon Schaefer ]
  * When Show Desktop is active, it will set the tooltip icon as
    "Restore Windows". This is per workspace. So each time show_destop
    bool is updated in PluginAdapter, the Show Desktop icon will update
    its tooltip if needed. (LP: #1237132)
  * Use CONFIG instead of CACHE to store the first_run.stamp

  [ Stephen M. Webb ]
  * update the unity manpage (LP: #1059275)

  [ Andrea Azzarone ]
  * Share lockscreen password entry between screens. (LP: #1308540)

  [ Marco Trevisan (Treviño) ]
  * IconRenderer: draw count texture at proper scaling, built by
    LauncherIcon (LP: #1353070)
  * LauncherIcon: make the Icon count width depending on the text value
    width (LP: #796527)
  * Lockscreen: scale the UI elements based on current monitor scaling
    (LP: #1292218)
  * SwitcherView: set progress on icon render args (LP: #1361679)
  * SearchBar, ActionButtons, IconRenderer: include the font scaling
    when scaling textual items

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 04 Sep 2014 22:12:54 +0000

unity (7.3.1+14.10.20140811-0ubuntu1) utopic; urgency=medium

  [ Michal Hruby ]
  * Split out dconf schemas into separate package

  [ Brandon Schaefer ]
  * Make sure we check if the Quicklist or Alt+F1 key nav is open (so we
    can close them) Bore checking if something as a WM grab. As we cant
    open the hud is in Quicklist or KeyNav anymore. (LP: #1353167)

  [ Stephen M. Webb ]
  * Changed log message on failure to open xpathselect library from an
    error to a warning. The xpathselect library is used for
    introspection during automated test runs. It is not an error for
    this library to be unavailable in normal successful operating
    conditions. (LP: #1345296)

  [ Andrea Azzarone ]
  * Add an arrow activator in the lockscreen. (LP: #1332509)
  * Allow a distinct pam config file for greeter and for lock-screen.
    (LP: #1305440)

  [ Marco Trevisan (Treviño) ]
  * Autopilot, Switcher: use correct right/left scroll buttons for
    next/prev mouse selection (LP: #1353383)
  * UScreen, PanelService: get monitor at position, ignoring pre-
    multipled Gdk scale factor Get monitor position based on absolute
    coordinates, ignoring the pre-multipled scaling factor that Gdk
    applies to all the monitor sizes. In this way we get the proper
    monitor index for absolute coordinates, independently from the
    scaling factor. (LP: #1351591)
  * ApplicationLauncherIcon: make sure we close the dash if DnD is
    accepted And we're about to focus the application window(s) (LP:
    #1350331)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 11 Aug 2014 12:31:11 +0000

unity (7.3.0+14.10.20140731.1-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Brandon Schaefer ]
  * Fixes FTBFS caused by gcc 4.9. Mostly unused functions. (LP:
    #1350052)

  [ Andrea Azzarone ]
  * == Problem == Lockscreen capslock detection doesn't work well with
    remapped capslocks == Fix == Use gdk keymap to get the state of the
    caps lock. (LP: #1347735)

  [ Marco Trevisan (Treviño) ]
  * PlacesOverlayVScrollBar and VScrollBarOverlayWindow: add support for
    scaling Add a new ScrollView class to create ScrollViews with an
    OverlayScrollbar and with scaling support. Using them in dash Scopes
    and Previews. (LP: #1340996)
  * LockScreenShield: Add GrabScreen function and retry to make sure we
    really get grab It might happen that the grab is not possible
    because the PluginAdapter::IsScreenGrabbed request has still not
    being fully processed, and thus nux is not able to grab the
    pointer/keyboard. By doing this we instead try to grab the screen,
    and if this is not happening, we wait a little until we don't get
    the ungrab event. In this way, if we eventually get the grab, all
    will work as expected. Otherwise, we cancel the lock request (very
    unlikely to happen). (LP: #1349128)
  * PlacesOverlayVScrollBar: redirect the mouse wheel scroll events
    coming from the thumb to the scrollview This will make the
    scrollview to handle then and perform the same scrolling action it
    would do otherwise. (LP: #1340992)
  * This has a "soft" dependency on lp:~3v1n0/nux/horizontal-scroll-
    delta/+merge/227070, this means that this code would just work as it
    used to do (except for the SwitcerView fix) if that nux branch is
    not used, while it will support correctly horizontal scroll events
    when both the branches are used. (LP: #1342208)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 31 Jul 2014 18:40:00 +0000

unity (7.3.0+14.10.20140711-0ubuntu1) utopic; urgency=low

  [ Eleni Maria Stea ]
  * Previews: scale the dash preview contents to match current monitor
    scaling Improved also the scaling of search-bar, spinner, categories
    and many other components. (LP: #1339629)

  [ Marco Trevisan (Treviño) ]
  * Previews: scale the dash preview contents to match current monitor
    scaling Improved also the scaling of search-bar, spinner, categories
    and many other components. (LP: #1339629)
  * DashStyle: return RawPixel's instead of integers for sizes, and
    avoid duplication in code
  * FilterWidgets: add support for scaling (LP: #1340171)
  * OverlayRendering: correctly scale the overlays borders and edges to
    match settings DashStyle has been modified to return smart pointers
    of textures that are loaded depending on the scale level. The cache
    will make sure that we don't duplicate the textures and that they
    get removed when not needed anymore. Also thanks to this the
    SearchBarSpinner textures (and the other spinners as well) uses the
    SVGs scaled at the proper size (I desgined a new SVG for the
    magnifier, as we only had a PNG). (LP: #1283415)
  * Hud: scale to match current DPI settings for monitor (LP: #1340477)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Jul 2014 19:59:35 +0000

unity (7.3.0+14.10.20140708-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Stephen M. Webb ]
  * reduce the scope of the kill command when restarting compiz (LP:
    #1324114)

  [ Eleni Maria Stea ]
  * Changed the PreviewStyle.h/cpp to use em sizes (RawPixel).
  * Added scale factor to Preview (base class), preview container and to
    the components they contain.
  * Scaled the ApplicationPreview and the containing widgets and
    components.
  * Scaled GenericPreview and its widgets.
  * scaled ErrorPreview
  * Scaled MoviePreview and widgets

  [ Pawel Szubert ]
  * reduce the scope of the kill command when restarting compiz (LP:
    #1324114)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 08 Jul 2014 14:35:37 +0000

unity (7.3.0+14.10.20140619-0ubuntu1) utopic; urgency=low

  [ Stephen M. Webb ]
  * bump upstream to 7.3.0

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Andrea Azzarone ]
  * Remove cross fade effect during lock/unlocking. A simple fading
    works just fine. (LP: #1312107)
  * Manually emit nux::Area::geometry_changed beucase nux can fail to
    emit it. (LP: #1292391)

  [ Marco Trevisan (Treviño) ]
  * {Panel,Decoration}Style: don't call deprecated
    gtk_style_context_invalidate function in gtk >= 3.11
  * PluginAdapter: pass the state to compiz plugins activations Fixes
    Scale triggering on DnD (LP: #1328615)
  * LockScreenAcceleratorController: do ther configured action on power
    special keys press We finally can suspend, shutdown, hibernate or
    start the screensaver when the screen is locked, using the Suspend,
    Sleep, Hibernate and PowerOff hardware keys. Also the Shutdown
    dialog doesn't allow now to lock the session if it is not allowed by
    settings. (LP: #1306211)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 19 Jun 2014 18:41:55 +0000

unity (7.2.0+14.10.20140607-0ubuntu1) utopic; urgency=low

  [ Chris Townsend ]
  * Fix issue where the number of Launcher icon pips are not always
    properly updated when a new window of an already running application
    is opened. (LP: #1283775)
  * Fix issue where the Panel shadow would get drawn over drop down
    windows in full screen windows. (LP: #1316005)

  [ Andrea Azzarone ]
  * Clear the clipboard when locking the screen. (LP: #1308911)
  * Disable switcher gestures if screen is locked. Fixed a regression.
    (LP: #1321043)
  * Pass the correct options to showLauncherKeyTerminate in
    UnityScreen::OnLockScreen (LP: #1320438)
  * Fix skype indicator blinking. (LP: #1310200)

  [ Marco Trevisan (Treviño) ]
  * PluginAdapter: try to grab the screen to make sure that the screen
    is not grabbed FocusIn event with NotifyGrab mode is not always
    triggered by X when a window takes the grab, then we need to ensure
    that there's no grab by trying to get one. We only care about
    keyboard here, since pointer grabs don't affect us in general. (LP:
    #741869)
  * ShortcutView: use RawPixel's for the size values and convert them to
    match current scaling Plus dinamically allocate horizontal space,
    not to cut the text. (LP: #924840)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 07 Jun 2014 16:27:46 +0000

unity (7.2.0+14.10.20140606.1-0ubuntu1) utopic; urgency=low

  [ Alfred Neumayer ]
  * Restore the launcher position by reversing the animation and
    unsetting the DND_PUSHED_OFF quirk. (LP: #1304882)

  [ Brandon Schaefer ]
  * TextInput: move the warning icon inside the input field, render it
    white (LP: #1307738)
  * ShutdownView: Scale up the Buttons and Text plus Borders of the
    UnityWindowView. (LP: #1308323)
  * Lockscreen warning icon needs a tooltip to say what the warning is
    about! (LP: #1308288)

  [ Marco Trevisan (Treviño) ]
  * ApplicationLauncherIcon: Focus and, in case, Spread the windows on
    DnD After 1 second that an user is over an icon, that icon should
    focus the relative application and Spread its windows if it has more
    than one opened. Correctly handle the DnD scale in launcher, and
    apply glow to the icon under pointer. (LP: #607796)
  * SwitcherView: use RawPixel's for the size values and convert them to
    match current scaling (LP: #1317348)

  [ Chris Townsend ]
  * Fix issue where scaling the edge illumination up and down with the
    size of the Launcher icons would cause the illumination border to be
    offset and smaller than the icon. (LP: #1309739)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 06 Jun 2014 13:55:32 +0000

unity (7.2.0+14.10.20140512.4-0ubuntu1) utopic; urgency=low

  [ Stephen M. Webb ]
  * lockscreen/LockScreenAccelerators.h: added required header for
    std:vector definition
  * disabled precompiled headers on arm64 Ubuntu package builds (LP:
    #1317276)

  [ Brandon Schaefer ]
  * Set the max width, so our static text wraps. So we don't end up
    rendering text out of the view area. (LP: #1312749)

  [ Marco Trevisan (Treviño) ]
  * UnityScreen: toggle activation of all the unity compiz actions when
    locking the screen Also, make sure that the lockscreen views are
    treated as "always-on-front" windows by nux (and this applies to
    both visibility and events).
  * PanelService: emit an invalid EntryActivated signal if the menu
    hasn't actually been shown In addition, if the menu is not visible
    after the first popup call, try to show a menu without keyboard
    focus. This will make possible to see menus also when there's a key-
    grab (although they will be without keyboard support). Finally,
    reset the menu state, if that failed.
  * UnityScreen: always paint the lockscreen above, just add menu and
    onboard as exceptions Some code cleanup, factorizing similar code.
    (LP: #1313280)
  * UnityScreen: don't try to show Dash/Hud if the screen is grabbed
    Also move the dash opening out from LauncherController, and get rid
    of UBus as first initialization source, as it can only slow things
    down here. (LP: #741869)
  * PluginAdapter: make sure we don't try to call an invalid
    initiate/terminate callback function (LP: #1221673)
  * DebugDBusInterface: match properties if they are in the AP array
    form [<type>, <value>] (LP: #1307748)

  [ William Hua ]
  * Add proper support for modifier-only shortcuts on the lock screen.
    (LP: #1291461)

  [ Jinkyu Yi ]
  * Dash: Fix problem at checking blacklisted unicode range (LP:
    #1251193)

  [ Andrea Azzarone ]
  * Add a warning in the session dialog if other sessions are still
    open. (LP: #1281058)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 12 May 2014 22:03:27 +0000

unity (7.2.0+14.04.20140423-0ubuntu2) utopic; urgency=medium

  * debian/control: depends on autopilot-desktop-legacy rather than
    autopilot-desktop.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 01 May 2014 00:32:05 -0400

unity (7.2.0+14.04.20140423-0ubuntu1.2) trusty-security; urgency=medium

  * SECURITY UPDATE: more lock screen bypass issues, and regression with
    shutdown dialog (LP: #1314247)
    - debian/patches/lp1314247.patch: improve popup menu handling in
      lockscreen/LockScreenShield.cpp, lockscreen/LockScreenPanel.cpp,
      services/panel-service.c, plugins/unityshell/src/unityshell.cpp,
      lockscreen/LockScreenController.*, shutdown/SessionController.cpp,
      tests/test_session_controller.cpp.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Apr 2014 11:11:18 -0400

unity (7.2.0+14.04.20140423-0ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: lock screen bypass (LP: #1313885)
    - debian/patches/lp1313885.patch: improve lockscreen logic in
      lockscreen/LockScreenController.cpp, lockscreen/LockScreenShield.*,
      plugins/unityshell/src/unityshell.*.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 28 Apr 2014 22:29:13 -0400

unity (7.2.0+14.04.20140423-0ubuntu1) trusty; urgency=low

  [ Chris Townsend ]
  * When setting the STARTING quirk for Application Launcher icons, only
    do it for the monitor specified in the passed in args. (LP:
    #1291362)

  [ Andrea Azzarone ]
  * Close dash/hud/etc. on signal locked too. (LP: #1308850)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 23 Apr 2014 14:40:24 +0000

unity (7.2.0+14.04.20140416-0ubuntu1) trusty; urgency=low

  [ Andrea Azzarone ]
  * Do not allow to activate twice the same entry! (LP: #1308572)

  [ Marco Trevisan (Treviño) ]
  * UnityScreen: save a locked.stamp file when locking/unlocking, to
    relock on startup This makes unity to relocks if it was locked
    before crashing... (LP: #1308572)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 16 Apr 2014 22:41:19 +0000

unity (7.2.0+14.04.20140414.1-0ubuntu1) trusty; urgency=low

  [ Alfred Neumayer ]
  * Security issue: Gestures on the lock screen allow to peek inside
    running applications. As with keyboard input, gestures should be
    blocked while the screen is locked. (LP: #1303041)

  [ Sami Jaktholm ]
  * Scale: Correctly detect the activation of a scale and set
    scale_just_activated_ to true properly. (LP: #1288789)

  [ Marco Trevisan (Treviño) ]
  * CompizUtils: only shadow-decorate alpha windows that have full
    decorations as well Since alpha windows might have custom shapes,
    it's safer not to shadow-decorate them unless they don't provide,
    for sure, a full decoration. This fixes, between the others, the
    unity force-quit dialog. (LP: #1281825)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 14 Apr 2014 14:22:11 +0000

unity (7.2.0+14.04.20140411-0ubuntu1) trusty; urgency=low

  [ Sami Jaktholm ]
  * Lockscreen: Give proper grabs to the shield before releasing
    blank_window_. (LP: #1306417)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Apr 2014 09:00:46 +0000

unity (7.2.0+14.04.20140410.1-0ubuntu1) trusty; urgency=low

  [ Sami Jaktholm ]
  * Shortcuts: Listen and react to view close requests. (LP: #1297842)

  [ Brandon Schaefer ]
  * When we detect caps lock, or caps lock is pressed, render a warning
    icon to show its on. (LP: #1291737)

  [ Marco Trevisan (Treviño) ]
  * DecorationsGrabEdge, PanelMenuView: perform proper WM action on
    clicks, based on user settings (LP: #1283849)

  [ Alfred Neumayer ]
  * Alt-Tab has always respected the alt-tab-bias-viewport setting, but
    the 3-finger gesture to switch between windows has not, even though
    it does the same thing. They should behave the same way depending on
    the CCSM setting. (LP: #1303060)
  * Launcher: Show and hide the launcher window OnDragUpdate() to fix
    the gesture animations (LP: #1303141)
  * If the dash has not been opened before, a 4 finger tap will result
    in a dash with no selected scope. Instead, set up the window and
    view of the dash by sending DASH_ABOUT_TO_SHOW (same happens when
    hovering the mouse pointer over the BFB icon) and open the home
    scope. (LP: #1303468)

  [ CI bot ]
  * LockScreen: add ability to show without fading in on some system
    calls Also, if locking is not enabled, calling Lock causes the
    screensaver to be initiated. Many cleanups and misc fixes. (LP:
    #1292575)

  [ William Hua ]
  * Enable sound buttons and input source switching under lock screen.

  [ Eleni Maria Stea ]
  * It fixes the quicklist menu appearance. (LP: #1298859)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 10 Apr 2014 17:43:46 +0000

unity (7.2.0+14.04.20140410-0ubuntu1) trusty; urgency=low

  [ CI bot ]
  * GnomeSessionManager: impelement gnome session dbus interface and a
    fader to blank the screen (LP: #1291088)
  * ScreenSaverDBusManager: start/stop gnome-screensaver if we don't/do
    handle the locking This allows to just use the fallback gnome-
    screensaver lockscreen if we need to use it. (LP: #1303712)
  * Session: Don't lock the screen if screen locking is disabled by
    org.gnome.desktop.lockdown disable-lock-screen. (LP: #1292154)

  [ Andrea Azzarone ]
  * LockScreen: add ability to show without fading in on some system
    calls Also, if locking is not enabled, calling Lock causes the
    screensaver to be initiated. Many cleanups and misc fixes. (LP:
    #1292575)

  [ Marco Trevisan (Treviño) ]
  * LockScreen: add ability to show without fading in on some system
    calls Also, if locking is not enabled, calling Lock causes the
    screensaver to be initiated. Many cleanups and misc fixes. (LP:
    #1292575)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 10 Apr 2014 12:45:15 +0000

unity (7.2.0+14.04.20140404-0ubuntu1) trusty; urgency=low

  [ Chris Townsend ]
  * Fix issue where windows that are in Show Desktop mode are selected
    for spread have a blank preview. This fix will Fade Out the window
    for Spread and Fade In the window again when Spread exits if that
    window is not chosen. (LP: #1104236)

  [ Marco Trevisan (Treviño) ]
  * ForceQuitDialog: add a new "sheet style" dialog that is shown when a
    window hangs Listen to compiz toolkit events and prompt a dialog
    that allows to force-quit an hanging application. (LP: #698031)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 04 Apr 2014 21:35:41 +0000

unity (7.2.0+14.04.20140403-0ubuntu1) trusty; urgency=low

  [ Stephen M. Webb ]
  * remove libsyncindicator from services/panel-service.c

  [ Dimitri John Ledkov ]
  * Drop U1 default shortcuts & indicator-sync recommendation. (LP:
    #1300916) (LP: #1300916)

  [ Marco Trevisan (Treviño) ]
  * Launcher: hide the launcher window when in auto-hide mode if it's
    not presented (LP: #1301394)
  * ApplicationLauncherIcon: recompute pips when the screen geometry
    changes (LP: #1024101)
  * UnityScreen: reset decoration::DataPool on destruction, otherwise we
    won't have a valid screen ptr (LP: #1291243)
  * DecorationsGrabEdge: Only perform tookit actions on right-click (LP:
    #1301459)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 03 Apr 2014 11:10:36 +0000

unity (7.2.0+14.04.20140402-0ubuntu1) trusty; urgency=medium

  [ Stephen M. Webb ]
  * Release 7.2.0.

  [ Marco Trevisan (Treviño) ]
  * CompizUtils: only shadow-decorate alpha windows that have full
    decorations as well Since alpha windows might have custom shapes,
    it's safer not to shadow-decorate them unless they don't provide,
    for sure, a full decoration. (LP: #1281825)
  * Panel, Decorations: draw the background under the text glyphs before
    the text itself (LP: #723167)
  * PanelMenuView: use panel style context for painting the panel title
    (LP: #1296866)
  * SpreadFilter: use launcher width, scale on HiDPI, match also
    application names Launcher Width is now considered in setting the
    offset of the scale filter (fixes padding when launcher is in
    autohide mode). The search bar is correctly scaled when in HiDPI
    mode. We use ApplicationManager and thus BAMF to match windows by
    their name or app name. (LP: #1281297)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 02 Apr 2014 11:04:11 +0000

unity (7.1.2+14.04.20140328.1-0ubuntu1) trusty; urgency=low

  [ Robert Ancell ]
  * Call pam_acct_mgmt and pam_chauthtok when unlocking screen (LP:
    #1296443)

  [ Stephen M. Webb ]
  * restart unity-panel-service for only the current session when
    restarting unity from the command line (LP: #777594)

  [ Brandon Schaefer ]
  * When we see an escape in lockscreen prompt, clear the password. (LP:
    #1292647)

  [ Andrea Azzarone ]
  * Fixes the double lockscreen when switching users. (LP: #1291088)

  [ Marco Trevisan (Treviño) ]
  * Tooltip, QuicklistView: use the decoration shadow radius for
    computing padding (LP: #1291407)
  * 02_unity_setup_text_scale_factor: actually make it working, copy the
    gnome value to unity (LP: #1298492)
  * IconRenderer: scale textures when loading them based on the current
    launcher scaling Add SVG textures for tiles and markers (thanks to
    Matthieu James) to replace .pngs, also make them themable. (LP:
    #1297588)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Mar 2014 10:16:02 +0000

unity (7.1.2+14.04.20140321-0ubuntu1) trusty; urgency=low

  [ Andrea Azzarone ]
  * Release the lockscreen_timeout (that we use to get the grab
    properly) on unlock.

  [ Marco Trevisan (Treviño) ]
  * Dash: Use nux properties for scale and cairo device scaling
  * UnitySettings: apply the unity scaling factor to global system
    settings We basically use the integer part of our scaling factor as
    the Gdk scaling factor, while we apply the point scaling to the Gdk
    text-scaling-factor. In this way the readable items will match our
    scaling. (LP: #1295436)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 21 Mar 2014 23:22:23 +0000

unity (7.1.2+14.04.20140320.1-0ubuntu1) trusty; urgency=low

  [ Chris Townsend ]
  * Change the signal for detecting resuming from Suspend from UPower
    (which is unreliable) to logind. (LP: #1210077)

  [ Brandon Schaefer ]
  * Use key_code instead of key_sym for the Super+<Num> shortcut. (LP:
    #1294885)

  [ Andrea Azzarone ]
  * Wait for the grab before showing the lockscreen. (LP: #1291497)
  * Do not lock a guest session. (LP: #1295194)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 20 Mar 2014 23:51:55 +0000

unity (7.1.2+14.04.20140318-0ubuntu1) trusty; urgency=low

  [ Brandon Schaefer ]
  * Update the DPI when we setup the view. (LP: #1292268)
  * Do not avoid rendering the lockscreen when we have a fullscreen app.
    This also removes the old fullscreen + lockscreen fix where we force
    painted our selfs on top. (LP: #1291571)

  [ Chris Townsend ]
  * Add ability to minimize a single window application when clicking on
    the Launcher icon of the application. (LP: #733349)

  [ Andrea Azzarone ]
  * Whitelist "onboard" for rendering during lockscreen. (LP: #1291402)
  * Do not consider minimized windows for cross fade effect. (LP:
    #1291402)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Mar 2014 23:53:51 +0000

unity (7.1.2+14.04.20140313-0ubuntu1) trusty; urgency=low

  [ Brandon Schaefer ]
  * When the lockscreen is locked, force paint it on top. This isn't the
    perfect fix, but it a lot safer of a fix. (LP: #1291571)
  * When we are about to LockScreen(). Hide the Dash/Hud if an overlay
    is open! (LP: #1291383)
  * Clear the tooltips when going into the lockscreen. (LP: #1291503)
  * Cleartool tips when entering alt+tab mode. (LP: #1285889)
  * If the switcher is open when going into lockscreen, hide it! (LP:
    #1292225)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 13 Mar 2014 23:17:29 +0000

unity (7.1.2+14.04.20140312-0ubuntu1) trusty; urgency=low

  [ Brandon Schaefer ]
  * When the monitors change, go through and update all the launcher
    widths for all launchers. (LP: #1291034)

  [ Marco Trevisan (Treviño) ]
  * UnityScreen: show the shortcut hint on first run (LP: #1283619)
  * UnityScreen: use switcher's LayoutSystem to compute the scaled
    windows geometries Thanks to this, both the Alt+Tab and Spread will
    use the same codepath to define the positioning of the scaled
    windows. (LP: #925454)
  * Decorations and Menus: a bunch of various fixes... (LP: #1283156)

  [ CI bot ]
  * fixes the segfault occuring when the scale factor is < 1.0 (LP:
    #1288166)

  [ William Hua ]
  * Unity shell plugin conflicts with gnomecompat. (LP: #1284532)

  [ Chris Townsend ]
  * Remove the test_icon_shows_on_quick_application_reopen Autopilot
    test and make it into a unit test since Autopilot has difficult time
    dealing with this test as the test fails occasionally. (LP:
    #1073990)
  * Add option to allow users to restore the scroll-over-inactive-
    Launcher-icon-to-focus-window behavior. (LP: #1288957)
  * Fix the inconsistent z ordering of windows when using the mouse to
    scroll the Launcher icon of the active application. (LP: #1286784)

  [ Luke Yelavich ]
  * Present a textual description of the state of applications to screen
    reader users when navigating the launcher. (LP: #1266298)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 12 Mar 2014 23:46:36 +0000

unity (7.1.2+14.04.20140311-0ubuntu1) trusty; urgency=low

  [ CI bot ]
  * Lockscreen: Multimonitor support, use greeter settings and don't
    paint popup windows In detail:  - Use proper fonts for text input  -
    Make text cursor to blink as expected (needs
    lp:~3v1n0/nux/textentry-toggle-cursor-visibility)  - Use bullet as
    password char  - Support multi-monitor correctly, switching view on
    mouse movement (as the greeter does)  - Fixed lockscreen not showing
    on newly attached monitors  - Never paint windows that might popup
    under the lockscreen (such as tooltips or notifications)  - Use
    unity greeter gsettings values for painting the Background (support
    color, or disable user bg)  - Don't lock guest sessions

  [ Stephen M. Webb ]
  * Bump Nux build-dep to 4.0.6 for ABI change.

  [ Andrea Azzarone ]
  * Implement the lockscreen in Unity that looks like unity-greeter.
    Also allow to fallback to lightdm + greeter (tty switching) in case
    you need more pam power. (LP: #878836)

  [ Marco Trevisan (Treviño) ]
  * LockScreenPanel: added a light version of PanelView for Lockscreen
    only, using PanelIndicatorsView - Indicators scrubbing using mouse
    works again - Indicators key navigation is supported (Alt+F10
    included) - Indicators will be correctly visible in light themes as
    well - Show hostname (optionally) on the top left side of the panel
    - LockScreenSettings now bind settings from unity-greeter dconf path

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 11 Mar 2014 18:37:36 +0000

unity (7.1.2+14.04.20140305-0ubuntu1) trusty; urgency=low

  [ Chris Townsend ]
  * Fix more Panel Autopilot test failures. (LP: #1287745)

  [ William Hua ]
  * Improve debug logging for gnome key grabber.

  [ Brandon Schaefer ]
  * Allow the launcher_width to be stored per monitor and retrieved per
    monitor. Allowing for correct Dash/Hud offsets. (LP: #1284879)
  * When we update the OverlayWindowButtons geometry, make sure we ask
    the WindowButtons to update their geo as well. (This means poking it
    as if the DPI has changed). This way the overlay window buttons will
    be the correct sides per monitor. (LP: #1285366)

  [ Marco Trevisan (Treviño) ]
  * CompizShortcutModeller: use proper keys for Spread and be dependent
    on workspace setting (LP: #1287825)

  [ Luke Yelavich ]
  * Implement accessibility for the optino buttons in the shutdown
    dialog. Also improve the parent-child relationship between objects
    such that the shutdown message can be read with Orca flat review.
    (LP: #1272168)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Mar 2014 14:18:44 +0000

unity (7.1.2+14.04.20140303-0ubuntu1) trusty; urgency=low

  [ Marco Trevisan (Treviño) ]
  * Panel, Decorations, Launcher, Quicklist, Tooltip: correctly scale
    items based on the monitor settings Adapt elements to match their
    monitor DPI scale settings. We mostly use
    cairo_surface_set_device_scale to easily scale cairo-generated
    textures. (LP: #1283171)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 03 Mar 2014 16:47:47 +0000

unity (7.1.2+14.04.20140228-0ubuntu1) trusty; urgency=low

  [ Chris Townsend ]
  * Use the current Launcher instead of the first launcher when
    determing when to highlight the Launcher tile during keynav. (LP:
    #1285361)
  * Fix Dash/Hud fullscreen Autopilot window test on multi-monitor where
    the tests would fail depending on which monitor has the fullscreen
    window. (LP: #1285367)
  * Fix a couple of Panel Autopilot test failures. (LP: #1285737)
  * Fix a few randomly failing Spread Autopilot tests. (LP: #1285758)
  * Fix corner case depending on where a test window opens, a Dash and
    Hud Autopilot test failure can occur. (LP: #1286143)

  [ Stephen M. Webb ]
  * remove -O3 and replace with -O3 for C++ compiles to prevent
    template-related FTBFS (LP: #1286284)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Feb 2014 19:53:26 +0000

unity (7.1.2+14.04.20140225-0ubuntu1) trusty; urgency=low

  [ Chris Townsend ]
  * Fix some Autopilot test failure regressions due to changes in rev.
    3668. (LP: #1283159)

  [ Eleni Maria Stea ]
  * scaling desktop according to a scale factor (LP: #1282804)
  * removed fonts-scale-factor gsetting from unityshell schema, since we
    now use the ubuntu ui-scale factor to scale the desktop (LP:
    #1282804)

  [ Dimitri John Ledkov ]
  * Fix common buildflags missing. (LP: #1284047) (LP: #1284047)

  [ Marco Trevisan (Treviño) ]
  * PluginAdapter: take in account the window border size when restoring
    it from maximization state Also don't forget about monitor scaling
    when getting data from the decoration Style. (LP: #1276352)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 25 Feb 2014 12:36:17 +0000

unity (7.1.2+14.04.20140220-0ubuntu1) trusty; urgency=low

  [ CI bot ]
  * Add dynamic HiDPI support to the launcher. (LP: #1075417)
  * Add dynamic HiDPI support to the tooltips.
  * Add dynamic HiDPI support to the quicklist.
  * The decor now scales with the DPI value.

  [ Brandon Schaefer ]
  * Remove the nux::Property panel_height; Replace it with a function.
    Now PanelStyle holds up to monitors::MAX panel_height. Now to get
    the panel height for the monitor you just use PanelHeight(int
    monitor). Added a signal panel_height_changed() that will emit the
    new panel height, and the monitor that was changed. Its not
    currently used. (LP: #1075417)
  * UnitySettings: use proper gnome scaling-factor

  [ Marco Trevisan (Treviño) ]
  * UnitySettings: use proper gnome scaling-factor
  * DecoratedWindow: add menu
  * DecoratedWindow: make sure that the top_layout exist when setting up
    the decorations If there's no layout, then we don't need any
    texture. Also this might cause a crash if a window is about to be
    mapped but not yet fully framed. (LP: #1281610)

  [ Sebastien Bacher ]
  * Drop g-s-d override, unity-settings-daemon landed

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 20 Feb 2014 16:25:16 +0000

unity (7.1.2+14.04.20140218.1-0ubuntu2) trusty; urgency=medium

  * Add Conflicts: libunity-core-6.0-8 to facilitate smooth upgrades.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 19 Feb 2014 23:08:03 -0800

unity (7.1.2+14.04.20140218.1-0ubuntu1) trusty; urgency=low

  [ Marco Trevisan (Treviño) ]
  * Panel: Draw blurred in spread mode and show active close button Also
    desaturate the BFB on spread/expo and set an offset on scale when
    the launcher is hidden (so that we get events and we have a proper
    scaled windows geometry). (LP: #1280595)
  * UnityScreen: add a SpreadFilter when in Scale mode, when updated it
    filters the scale results The SpreadFilter is a BaseWindow with a
    SearchBar shown on the top-left corner of the active workspace that
    is hidden by default monitoring key-presses; when some content is
    written, the bar is shown, while is hidden when empty. Thanks to
    this we can finally filter the windows by name in the unity spread!
    (LP: #1281257)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Feb 2014 16:52:44 +0000

unity (7.1.2+14.04.20140217-0ubuntu1) trusty; urgency=low

  [ Luke Yelavich ]
  * QuickListMenuItem: Add GetPlainTextLabel method to better present
    quicklist menu items to screen reader users. When Orca users
    navigate quicklists, they hear something like <b>item name</b>, due
    to the markup for the item being used as the accessible label. Use
    the ACCESSIBLE_DESC property of dbusmenu menu items to provide a
    plain text form of the label. (LP: #1266656)

  [ Sebastien Bacher ]
  * Restore archive change dropped by error, let g-s-d run in Unity
    sessions

  [ Niklas Steger ]
  * Add missing unity-scope-home dependency. (LP: #1233029)

  [ Chris Townsend ]
  * Fix some more AP tests: Redo the Hud query method to account for the
    fact that the Hud button we want may not be the first entry. Fix a
    show desktop test so we get the correct show desktop state after the
    test exits. Fix a Spread test to get the mouse to move to the
    Launcher icon that we want. .

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 17 Feb 2014 14:02:37 +0000

unity (7.1.2+14.04.20140214.1-0ubuntu1) trusty; urgency=low

  [ Sebastien Bacher ]
  * use unity-control-center by default.
  * lists keybinding in unity-control-center. (LP: #1271710)

  [ Brandon Schaefer ]
  * Bump to new libnux from this branch:
    https://code.launchpad.net/~brandontschaefer/nux/xim-preedit-
    support.
  * Adds Super+L to lock the screen, while keeping the older shortcut
    around in g-s-d (Ctrl+Alt+L). (LP: #830709)
  * Do not open the dash/hud on a monitor with a top most window that is
    fullscreen. (LP: #1267210)
  * Implement an EMConveter. This way with default settings such that
    DPI = 96.0f, and font_size = system font size. We can get the
    correct EM value for any pixel size. Once we have the correct EM
    value for any pixel size, the DPI value can be adjusted to the
    current logical one. From here, you can now get the correct pixel
    size based from of the EM value for the logical DPI of the screen.
  * Refactor EMConverter API. Now all thats needed is int
    ConvertPixels(int pixel); This will calculate the correct pixel size
    based on the DPI and font size.
  * Testing that the ibus anthy tests could possibly be causing strange
    issues on the nvidia machine. So skipping them to test if tihs is
    the source of the error.
  * Add Pt to Px function to em converter.
  * Move EMConverter over to unity settings.
  * Add multi monitor support for EMConverter in unity settings. Now you
    can grab a specific converter per monitor.
  * Simple RawPixel class. It adds 2 define literals, ex: 10_em,
    10.0_em. From there it turns them into raw pixels. RawPixels have CP
    (CovertPixel) function which takes in an EMConverter that allows you
    to use a converter specific to a monitor to convert the raw pixel to
    the correct value.

  [ Marco Trevisan (Treviño) ]
  * Don't re-present all of our windows on every frame. Only do that if
    damage intersects it. Use the new APIs exposed by compiz and nux to
    intelligently determine which windows need to be presented per-frame
    and only register damage for those windows. This fixes two things:
    1. BaseWindows being redrawn from scratch every time damage was
    registered over them. That was incorrect and should only be done in
    the case of background blurs. 2. BaseWindows being drawn to the
    screen on every frame, regardless of whether or not they needed to
    be. Now they will only be drawn if some damage intersects beneath
    them. Note that unity will expand the damage region to accomadate
    the base window since nux does not support geometry clipping. So if
    there is a partial intersection of the launcher for example, the
    area of the screen which contains the launcher will be re-painted
    (but the launcher itself won't be redrawn, just its texture) (LP:
    #1080947). (LP: #1080947)
  * Convert compiz regions / rects to nux::Geometry's and back easily.
  * UnityScreen: remove the useless and expensive gl{Push,Pop}Attrib
    calls For some reasons this code was copied by the opengl plugin as
    a workaround to fix the state of our screen after that nux has
    drawn. Actually this is not needed, the only thing we really need to
    do is to fix the current Viewport, because nux seems to leave it in
    a bad state which would lead to flickering menus, fullscreen
    windows, tooltip and missing windows thumbnails in switcher. Thanks
    to Sam Spilsbury for his precious support. (LP: #1251275)
  * Unity: always prefer passing [this] to lambdas than [&].
  * Introspectable: use IntrospectionData class for collecting data from
    children Now each introspectable object is called with an
    IntrospectionData parameter and calling one of its methods it's the
    only way to fill introspection data into unity. As bonus point,
    remove all the unneeded UnityCore/Variant.cpp inclusions. (LP:
    #1227131)
  * DebugDBusInterface: add local::xpathselect::NodeSelector to use the
    dloaded lib.
  * BackgroundEffectHelper: Specify the required blur area before
    drawing so selectively copy it at paint time This means that we
    don't have to waste fragment bandwidth copying the entire backbuffer
    when we could just do parts of it. Now BackgroundEffectHelper
    listens to windows and views geometry changes and updates a list of
    blurred regions that might be copied to the backup texture at every
    repaint that affects them. This avoids to copy large regions
    (especially when using big resolutions or multiple monitors), but
    only the ones we really need to blur.
  * SwitcherView: define a custom GeometryGetterFunc and notify helper
    on changes Thanks to this the switcher won't make
    BackgroundEffectHelper to create a blurred area as big as the
    current monitor (with just a small padding), but an area big enough
    to draw its background. This get updated automagically when the
    switcher view changes its geometry... Also, use nux::AnimateValue
    for switcher animations, making compiz to orchestrate it and only
    redraw the view if an icon changed since the last progress
    iteration. We don't want the switcher to be drawn unless its
    geometry or an icon changes. Also we don't want to redraw the
    switcher multiple times if only a not-animated parameter of an icon
    (such as a pip or the selection glow) has changed. As bonus, reduce
    lots of list copies.
  * {Dash,Hud}Controller: unset the keyfocus area only if one of their
    children has the focus Otherwise we could steal the focus to another
    view (such as the Alt+Tab switcher). (LP: #1252760)
  * IntrospectionData: use forward declaration for nux classes, add
    support to glib::Variant We don't need to repeat the inclusion
    everywhere we want debug introspection. This allows also to add
    glib::Variant adder without the need of any other cast.
  * decorations: added new unity-decorations fully gtk-css-themed inside
    unity. (LP: #691817, #827537)
  * PanelMenuView: show a dropdown menu of indicators, if there's no
    enough horizontal space PanelService: add new dbus method
    ShowEntriesDropdown that when called puts the requested indicator
    entires into a DropDown menu before showing them, also threat
    dropdown menus as special entries when the their geometry has been
    synced. UnityCore: add add ShowEntriesDropdown virtual method as
    well and implement in DBusIndicators, to call the relative method in
    PanelService. Add parents to indicator::Entry, now an entry can have
    one or more parents (that's mostly depending on how many monitors we
    have), and if parented, it notifies active, show_now and geometry
    status to them. API cleanups included, SO-name bumped. PanelView:
    add simpler PreLayoutManagement function, to avoid nux to do too
    many computations that will cause the Menu to relayout too much with
    no need. Added PanelIndicatorEntryDropdownView as new subtype of
    PanelIndicatorEntryView that will show a go-down icon on the
    PanelMenuView that when clicked will show a dropdown menu of
    indicators. This will happen only if there's not enough room to see
    them inline. PanelIndicatorsView: many cleanups, and add
    EnableDropdownMenu that creates a new
    PanelIndicatorEntryDropdownView and uses it to place the entries
    that don't fit the available space, until we don't get some more.
    Added and reworked a bunch of unit tests. (LP: #1274554)
  * DecorationsInputMixer: pass Timestamp to events This might be needed
    to perform some actions, and using CompScreen getCurrentTime() is
    way much more expensive than I thought.
  * MenuManager: add a wrapper for Indicators and KeyGrabber that
    registers mnemonics It also emits signals with accumulators that
    will just stop the emission when a client returns true, and holds
    menu general settings.
  * LauncherDragWindow: set the drag window background to transparent or
    it will be white by default This was causing a quick flickering of
    the icon as soon as it was drawn on the first place. (LP: #1279904)
  * {DecorationsGrabEdge, PanelTitlebarGrabAreaView}: show the
    WindowAction menu on right-click (LP: #1098419)
  * PanelMenuView: we don't need to escape the panel title anymore New
    decorations just use pango text. (LP: #1280077)

  [ Chris Townsend ]
  * Don't re-present all of our windows on every frame. Only do that if
    damage intersects it. Use the new APIs exposed by compiz and nux to
    intelligently determine which windows need to be presented per-frame
    and only register damage for those windows. This fixes two things:
    1. BaseWindows being redrawn from scratch every time damage was
    registered over them. That was incorrect and should only be done in
    the case of background blurs. 2. BaseWindows being drawn to the
    screen on every frame, regardless of whether or not they needed to
    be. Now they will only be drawn if some damage intersects beneath
    them. Note that unity will expand the damage region to accomadate
    the base window since nux does not support geometry clipping. So if
    there is a partial intersection of the launcher for example, the
    area of the screen which contains the launcher will be re-painted
    (but the launcher itself won't be redrawn, just its texture) (LP:
    #1080947). (LP: #1080947)
  * In low graphics mode, only draw the Launcher background as needed
    instead of all of the time, even if the Launcher is hidden. (LP:
    #1179210)
  * Bump the Unity glib build dependency version.
  * Use IsVisibleOnMonitor() instead of IsVisible() for checking to
    close the Hud when clicking the Hud icon. This is due to the icon's
    quirk only being set for the current monitor. (LP: #1255241)
  * Add some introspection vector variables to account for per-monitor
    icon quirks to fix some failing Hud AP tests. (LP: #1244704)
  * Revert most of lp:unity revno. 3509 as the Compiz Grid plugin is a
    better place to handle the Ctrl-Super-Left/Right shortcuts. Expanded
    autopilot test to check for correct window placement when semi-
    maximizing and restoring. (LP: #1251777)
  * Re-enable Quicklist and Tooltip active blurring since it was removed
    due to the performance merge. (LP: #1253740)
  * Fix compile error due to deprecated gtk_widget_get_state() function.
    (LP: #1173219)
  * Fix a bunch of failing AP tests due to changes in Unity. (LP:
    #1244704)
  * Due to a change in xpathselect1.4, this fixes a sorting issue of
    Switcher icons for AP tests. (LP: #1244704)
  * Always set the interval timer to 0 when starting a new urgent
    animation timer. (LP: #1263775)
  * When hiding the Dash & Hud views, zero out the geometry and update
    the blur background size. This fixes the issue where the blur
    background wouldn't be updated when using static blur on subsequent
    opens of the Dash and Hud. (LP: #834777)
  * If the Dash or Hud is opened when entering Show Desktop, ensure they
    are closed. Added some Autopilot tests for this condition. (LP:
    #961890)
  * Add mesa-utils dependency to the unity-autopilot package since some
    of the autopilot tests use glxinfo to gather information. (LP:
    #1267902)
  * Fixes issue where a user places the mouse over a Launcher icon that
    has one unfocused window and then scrolls with the scroll wheel
    would focus that application when it should not according to Design.
    (LP: #1263786)
  * When using the mouse scrollwheel on inactive Launcher icons with
    unfocused windows, the unfocused window should not be focused. (LP:
    #1267888)
  * Add missing Python module declarations for multi-monitor setups.
    Fixes some AP test failures.
  * Fixes most Launcher based Autopilot tests due to the new object list
    sorting in xpathselect1.4.
  * Add back in vertical/horizontal maximized introspection objects
    since some Autopilot tests need them.
  * Removed the ZeitgeistUtils.h as this is no longer needed since
    Zeitgeist in main is now fixed.
  * Fix more Autopilot tests: Base icon center introspection on the
    current monitor instead of the hardcoded first monitor. Fix
    move_mouse_to_icon AP method to work correctly with multi-monitor.
    Fix some scroll tests for multi-monitor. Skip the Launcher only on
    primary monitor/test Launcher functionality on the second monitor
    tests since the tests cannot run in this scenario.
  * More Unity Autopilot Launcher test fixes: When initializing the
    Launcher tests, check whether the Launcher is available on the
    monitor being tested. If not, skip the test. Also, move the mouse to
    the monitor being tested before running the test to make sure the
    correct Launcher is being tested. Skip some Launcher reveal tests
    since the test is no longer valid due to how Autopilot moves the
    mouse now. Fix drag_icon_to_position method. Fix
    mouse_reveal_launcher method.
  * Fix more AP tests: Fix workspace emulator to get viewport info for
    more than the first monitor. Fix some Hud, Dash, and Switcher tests
    for multi-monitor.
  * Add a method to tell the Hud icon when there are multi-monitors and
    only a Launcher on the primary monitor. This will make sure the
    active and visible states for the icon are correct and allow the AP
    tests to pass. (LP: #1274985)
  * Fixes some Autopilot Panel test failures: Emit the signal to call
    OnIndicatorViewUpdated() when the active window position has
    changed. Account for an overlay (Dash/Hud) to be opened when testing
    if the window buttons should be shown in the Panel. This was removed
    some revisions ago and it looks like it shouldn't have been. Fix up
    a Panel test since it was failing in a part that didn't need to be
    ran anyways. (LP: #1277265)
  * Fix a couple of test_panel AP tests: The overlay window buttons did
    not take multi-monitor into account, so now account for that. Fix
    the AP test themselves to actually use the correct introspection
    object.
  * Fix a failing Dash AP test due to too many results being returned
    which caused the position of the Dash icon to be off the screen.
  * Fix where the mouse_disabled_ variable was unintialized which would
    cause the Switcher to not work correctly with the mouse and arrow
    keys. Fix the mouse filter list to account for only motion and
    button click/release so arrow key navigation will still work in the
    Switcher when mouse interaction is disabled. (LP: #1279499)
  * Fix Autopilot test issue where Show Desktop is somehow invoked and
    the recovery from this does not properly get the state back to Show
    Desktop off.

  [ William Hua ]
  * Replace deprecated g_settings_list_schemas with
    g_settings_schema_source_list_schemas.
  * Launcher: Fix GVariant type error in Hud UBus message.
  * Implement the GNOME key grabber interface so that Compiz and gnome-
    settings-daemon no longer have to fight for key grabs. Also, fix the
    global menu bar mnemonics. (LP: #1113008, LP: #1206582, LP:
    #1226962). (LP: #1113008, #1226962, #1206582)

  [ Stephen M. Webb ]
  * add multi-mointor support to a couple of tests where it got misssed.

  [ George Karavasilev ]
  * LauncherIcon: always try to use themed icons first, before falling
    back to UnityTheme.

  [ CI bot ]
  * Flush trunk to Ubuntu

  [ Eleni Maria Stea ]
  * the branch fixes the following compile errors: 1.
    SetReferenceFramebuffer function gets 3 parameters
    (Nux/WindowCompositor.h) 2. RenderInterfaceFromForeignCmd gets const
    reference not pointer as argument (Nux/WindowThread.h).
  * adds virtual destructors to classes with virtual methods to prevent
    memory leaks - ABI break.
  * new gsetting in unityshell.xml.in: fonts-scale-factor.
  * Configuration Parser class for custom gsettings.
  * function that gets the monitor name from the GDKScreen in UScreen.

  [ Andrea Azzarone ]
  * Don't re-present all of our windows on every frame. Only do that if
    damage intersects it. Use the new APIs exposed by compiz and nux to
    intelligently determine which windows need to be presented per-frame
    and only register damage for those windows. This fixes two things:
    1. BaseWindows being redrawn from scratch every time damage was
    registered over them. That was incorrect and should only be done in
    the case of background blurs. 2. BaseWindows being drawn to the
    screen on every frame, regardless of whether or not they needed to
    be. Now they will only be drawn if some damage intersects beneath
    them. Note that unity will expand the damage region to accomadate
    the base window since nux does not support geometry clipping. So if
    there is a partial intersection of the launcher for example, the
    area of the screen which contains the launcher will be re-painted
    (but the launcher itself won't be redrawn, just its texture) (LP:
    #1080947). (LP: #1080947)
  * Alt-Tab, shutdown dialog and shortcut overlay should not be
    transparent in Low GFX Mode. (LP: #1170508)

  [ Sam Spilsbury ]
  * Don't re-present all of our windows on every frame. Only do that if
    damage intersects it. Use the new APIs exposed by compiz and nux to
    intelligently determine which windows need to be presented per-frame
    and only register damage for those windows. This fixes two things:
    1. BaseWindows being redrawn from scratch every time damage was
    registered over them. That was incorrect and should only be done in
    the case of background blurs. 2. BaseWindows being drawn to the
    screen on every frame, regardless of whether or not they needed to
    be. Now they will only be drawn if some damage intersects beneath
    them. Note that unity will expand the damage region to accomadate
    the base window since nux does not support geometry clipping. So if
    there is a partial intersection of the launcher for example, the
    area of the screen which contains the launcher will be re-painted
    (but the launcher itself won't be redrawn, just its texture) (LP:
    #1080947). (LP: #1080947)
  * BackgroundEffectHelper: Specify the required blur area before
    drawing so selectively copy it at paint time This means that we
    don't have to waste fragment bandwidth copying the entire backbuffer
    when we could just do parts of it. Now BackgroundEffectHelper
    listens to windows and views geometry changes and updates a list of
    blurred regions that might be copied to the backup texture at every
    repaint that affects them. This avoids to copy large regions
    (especially when using big resolutions or multiple monitors), but
    only the ones we really need to blur.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 14 Feb 2014 23:06:09 +0000

unity (7.1.2+14.04.20131106.1-0ubuntu4) trusty; urgency=medium

  * Temporally allow running under gnome-settings-daemon, until
    unity-settings-daemon is in main.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 07 Feb 2014 19:18:24 +0000

unity (7.1.2+14.04.20131106.1-0ubuntu3) trusty; urgency=medium

  * Make unity7 job start on started either gnome or unity settings
    daemon.

  * Cherrypick "Removed the ZeitgeistUtils.h as this is no longer needed
    since Zeitgeist in main is now fixed." to fix FTBFS.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 07 Feb 2014 13:18:44 +0000

unity (7.1.2+14.04.20131106.1-0ubuntu2) trusty; urgency=medium

  * Disable errors upon deprecated-warnings.
  * No change rebuild against nux with libglew1.10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 Jan 2014 16:14:05 +0000

unity (7.1.2+14.04.20131106.1-0ubuntu1) trusty; urgency=low

  [ Ted Gould ]
  * Clean up NIH Errors so they don't get reported on exit. (LP:
    #1236720)

  [ Brandon Schaefer ]
  * Workaround for now, replace all blacklisted chars in the results
    name with a '?'. So we can still render all the results with out a
    crash. This needs to be fixed in pango/harfbuzz. (LP: #1239381)
  * Get the current char before moving on to the next char!.

  [ Marco Trevisan (Treviño) ]
  * UnityScreen: also redraw the HudView if it has not been fully
    damaged. (LP: #1240322)
  * OverlayRenderer: only and correctly initialize the BGLayer when not
    on GLSL codepath Make sure we set the initial bg_layer_ value to the
    average color, and do this only if really needed. (LP: #1232726)
  * Launcher: desaturate the inactive icons when in Spread mode. (LP:
    #1238892, #1238638)
  * LauncherIcon: add MultiMonitor quirks support A quirk can be now set
    for all monitors or for just one. (LP: #1051913, #1215738, #1240750,
    #1240737)
  * UnityScreen: CreateSuperNewAction with Shift and Numpad for launcher
    This fixes the bug that caused Super+Shift+KP_x not to work as it
    should. (LP: #1240806)
  * AnimationUtils: add Start, Skip and SetValue methods These allows to
    start an animation, to skip it or to just set its value. The
    templates now are more intelligent and we define the values that can
    assume just once, by specializing a StartValueForDirection function.
  * Support libxpathselect1.4. (LP: #1243529)
  * LauncherIcon: use nux::Animation for each Quirk property Update
    Launcher and Icons code accordingly, get rid of the timespec. Remove
    unneded Quirks, reduce redraws and update tests.
  * Invalidate the Icon Centers when the monitor layout changes, so we
    make sure that if an icon center is set, then the icon is available
    on that monitor. Added GetCenterForMonitor that allows to retrieve
    the nearest valid icon center for a given monitor, and in this way
    we can get the best icon that can handle a window minimization. (LP:
    #767752)

  [ Lars Uebernickel ]
  * panel-service.c: don't warn about unknown image type unnecessarily
    Don't warn about indicators that explicitely don't have an image
    set. However, continue warning when the set image is of an unknown
    type.

  [ Chris Townsend ]
  * Instead of using NeedSoftRedraw(), use QueueDraw() for the Launcher
    and Panel to force a redraw to fix issue where leaving a full screen
    unredirected window would not redraw the Launcher and Panel. (LP:
    #1240595)

  [ Eleni Maria Stea ]
  * Added --compiz-path parameter to the unity startup script. It allows
    us to start unity with custom builds of compiz (not only
    /usr/bin/compiz) like that: ./unity --compiz-path
    custom_compiz_build_directory/bin/compiz --replace ccp.

  [ Francis Ginther ]
  * Reverting support for libxpathselect1.4. (LP: #1245988)

  [ Łukasz 'sil2100' Zemczak ]
  * DebugDBusInterface: add support to libxpathselect-1.4 Some cleanups
    and reworking of glib::Variant and debug::DBusInterface Same as
    lp:~3v1n0/unity/xpathselect-1.4 but with double function removed and
    packaging dependencies added.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3588

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 06 Nov 2013 18:29:25 +0000

unity (7.1.2+13.10.20131014.1-0ubuntu1) saucy; urgency=low

  [ William Grant ]
  * Build with -fPIC on arm64 to fix link failure.

  [ Andrea Azzarone ]
  * Don't ignore Stick command is the icon is already sticky but
    save==true. (LP: #1237359)

  [ Marco Trevisan (Treviño) ]
  * PluginAdapter: set the spread window state before spreading or the
    callback will get a wrong state. (LP: #1238622)
  * PluginAdapter: set the spread window state before spreading or the
    callback will get a wrong state. (LP: #1238622)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3570

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 14 Oct 2013 11:24:03 +0000

unity (7.1.2+13.10.20131011-0ubuntu1) saucy; urgency=low

  [ Stephen M. Webb ]
  * bump upstream version to 7.1.2

  [ Brandon Schaefer ]
  * Remove the ibus workaround, as im-config has been updated to use
    'auto' as its default choice. This means ibus-daemon will start up
    correctly now.

  [ Andrea Azzarone ]
  * Fix rendering of italic text in StaticCairoText. (LP: #1190275)

  [ Marco Trevisan (Treviño) ]
  * Volume: remove FileManager instance, handle opened status in
    VolumeLauncherIcon. (LP: #1236468)
  * VolumeLauncherIcon: copy files to device on DnD Use filemanager to
    perform the copy action. If needed, delay the procedure until we
    don't have the volume mounted (using a magic utility function to
    share the code). (LP: #838731)
  * LauncherIcon: Add monitor parameter to GetTipPosition. (LP:
    #1236631)
  * AP, TestSpread: assertWindowIsNotScaled may fail when getting the
    Xid. (LP: #1236872)
  * ApplicationLauncherIcon: remove the icon when setting a null
    application. (LP: #1237161)
  * SourceManager: add RemoveAll public method.
  * ApplicationLauncherIcon: don't unset the app if the icon has been
    already removed In this case the app is unset when removed, doing it
    twice causes the app->seen flag to be reset and this breaks the
    assumtions of the LauncherController, making it to recreate a new
    app for the same BamfApplication. (LP: #1237182)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3565

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Oct 2013 06:17:18 +0000

unity (7.1.1+13.10.20131004-0ubuntu1) saucy; urgency=low

  [ Brandon Schaefer ]
  * Break the bump detection by moving to the first icon, then down 5
    pixels. Since bump detection needs to move in 3 different
    directions.
  * Move the switcher Alt+<ArrowKey> shortcut handling into nux, from
    compiz. Now nux handles these events instead of compiz. This way its
    makes much more sense code wise and we no longer ungrab the arrow
    gets from X... so Alt+LeftArrow will no longer open the hud. (LP:
    #969039)

  [ Andrea Azzarone ]
  * Fix bad redrawing of dash overlay scrollbar connector. (LP:
    #1233195)
  * Update icon_under_mouse before process mouse movemnt in the tooltip
    manager. (LP: #1172769, #1233666)
  * Hide the tooltip when an app is closed. (LP: #1172769)

  [ Marco Trevisan (Treviño) ]
  * TestIMTextEntry: fix failing tests with IBus, use TEST_F and TEST_P.
  * CairoBaseWindow: only regenerate blur texture when visible and
    damaged. (LP: #1233109)
  * CairoBaseWindow: add fade animator to control both QL and Tooltip
    Removing the animator from LauncherIcon, and handling the tooltip
    animation inside the QL and Tooltip base class.
  * PanelService: close a menu and re-send the keyevent when handling a
    combination Or when we try to open HUD/Dash. Also, close the active
    menu if a new application is opened and focused. (LP: #10905,
    #1234457, #1197071)
  * SimpleLauncherIcon: we need to restore the focus when closing the
    Overlay for activation. (LP: #909870)
  * LauncherIcon: don't try to show again quicklists or tooltip if
    center changed, just move them. (LP: #1234778)
  * AbstractLauncherIcon: add static icon_size property. (LP: #1073103)

  [ Christopher Lee ]
  * Preparing autopilot tests for an upcoming update in autopilot 1.3.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3554

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 04 Oct 2013 05:23:43 +0000

unity (7.1.1+13.10.20130927.1-0ubuntu1) saucy; urgency=low

  [ Michal Hruby ]
  * Add a property to the Scope class
  * Add parameters to Preview::PerformAction
  * Bump ABI version

  [ Brandon Schaefer ]
  * restart the ibus daemon wit hthe right args for tests.
  * Change sleep from 5 to 10, in hopes of appeasing jenkins.
  * If we are switching view ports tell nux to process the events. Even
    though the viewport switcher does grab the mouse, we will still feed
    nux the events so we can correctly update where the mouse is for the
    launcher. (LP: #1231679)

  [ chris.gagnon ]
  * BlackListDriverError moved to Display. (LP: #1227882)

  [ Marco Trevisan (Treviño) ]
  * UBusMessages: remove useless messages (and relative emission).
  * PanelService: set proper priority for floating position-less NG
    indicators. (LP: #1229460)
  * Unity: Use WindowManager average_color property for getting the
    desktop color Having to deal with UBus here was a mess and caused us
    to re-store the same value too many times. Using a nux property
    gives us all the features we need easily while WindowManager is
    already enough shared to be used for this task.
  * VScrollBarOverlayWindow: add quick fade animation on show/hide.

  [ Chris Townsend ]
  * A regression caused by revno. 3515 breaks the recently fixed
    Quicklist and Tooltip active blur. This fixes it by checking if the
    View is a ViewWindow and if so, use QueueDraw() instead of
    NeedSoftRedraw(). (LP: #1228308)
  * The ShowDesktopHandleWindowInterface teardown was missing it's call
    to DeleteHandler() in a recent commit that refactored the handling
    of some Show Desktop code. (LP: #1228915)

  [ Andrea Azzarone ]
  * Don't use sigc::bind with a static value that should be dynamic.
    (LP: #1228965)

  [ Jeremy Bicha ]
  * recommend telepathy-indicator.

  [ Łukasz 'sil2100' Zemczak ]
  * No new recommends/depends now, since at this point of the cycle it's
    not allowed for this project
  * Re-add the telepathy-indicator recommends as it got dropped from
    Main without any valid reasons

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3540

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 27 Sep 2013 12:53:11 +0000

unity (7.1.0+13.10.20130920-0ubuntu1) saucy; urgency=low

  [ Stephen M. Webb ]
  * render the Dash frame all the way to the bottom of the screen (lp:
    #1100120). (LP: #1100120)

  [ Brandon Schaefer ]
  * Ignore mouse movements if the mouse starts over a switcher icon.
    Clicking still works fine, we just wont steal focus from the alt+tab
    work. (LP: #1215630)
  * Make sure we ignore mouse movement over detail icons if the mouse
    starts over it at start. Let the mouse take selection control once
    it moves outside of any icon, vs having to enter a different icon.
    (LP: #1223037, #1223039)
  * Add an option to disable the mouse in the switcher. (LP: #1224048)
  * When the shortcut is open, and we receive a ButtonPress or KeyPress
    hide it. As this causes problems else where, and it really should
    close if the user attempts to do anything (even while holding
    super!). (LP: #932718)
  * Set an upper bound on the amount of icons we go through to check
    tooltips. As the accordion effect was causing the mouse to go
    through the icons to fast, making the test fail.
  * Make sure we move the mouse over the target icon while we are
    dragging the source icon.
  * Get the real shortcut to activate ibus. (LP: #1227056)
  * Only accept focus if the mouse moves in 3 directions on switcher
    start up if the mouse starts over the switcher window. This is an
    attempt to tell the difference between a bump and intentional
    movement. (LP: #1223630)

  [ Marco Trevisan (Treviño) ]
  * DesktopApplicationManager: added new app manager layer so that we
    can emit app events.
  * Application: add desktop_id method, and implement in
    desktop::Application.
  * Launcher: only fade the launcher when in auto-hide and dash is
    opened. (LP: #1223979, #1044926)
  * ApplicationLauncherIcon: log unity zeitgeist events on stick,
    unstick, removal and delete. (LP: #779449)
  * UnityScreen: add support for Super+Arrows shortcuts to manage the
    focused window Super+Arrows shortcut allows to move and maximize /
    restore / minimize the focused window on the screen. (LP: #992697,
    #751050)
  * Launcher: use nux::Animation for all the launcher animations This
    allows to do these when compiz requests to prepare painting, instead
    of using only an idle to perform this. (LP: #1226114, #1224766)
  * ShortcutView: use StaticCairoText instead of StaticText for
    rendering the View Improves the text alignment and visual quality.
  * UnityShell: redraw the dash also if a non-blurred area is damaged If
    the dash is damaged, but not the blurred area, it won't redraw. We
    need to draw it, in order to avoid flickering of its border. Also,
    add the redraw_view_if_damaged utility function to redraw a view if
    really needed. (LP: #1224340)
  * AnimationUtils: add utility functions to handle nux::Animation's
    start and reversion Update the whole code using nux::animation to
    use these facility functions.
  * Launcher: fix style to use postfixed-underscore for private members
    Also remove some tabs and useless members.
  * ShortcutController: fix typo on introspection data.

  [ Lars Uebernickel ]
  * panel-service: fix order when paging through menus with left/right
    keys. (LP: #1183994)

  [ Chris Townsend ]
  * Fixes issue where entering keynav mode may make the BFB icon scroll
    off the top of the Launcher. (LP: #1219636, #1068166)
  * The logic to detect when a Quicklist may be off the screen did not
    take into account the default top size of 4, so any Quicklists near
    the bottom would have blur that was shifted down 4 pixels. (LP:
    #819663)
  * Due to a change libdbusmenu, need to use a fully qualified name for
    the Dbus object name. (LP: #1223561)
  * Move the _compute_blur_bkg bool to the Tooltip::Draw() method since
    the CairoBaseWindow::Draw() method sets this to false causing
    subsequent draws to never update the background texture. (LP:
    #1052782)
  * Move the _compute_blur_bkg bool into the QuicklistView::Draw()
    method to actually get active blur to work. (LP: #873387)
  * Use the first two icons in the Launcher to assure the icons are
    always on the screen for this particular Autopilot test. (LP:
    #1219636)
  * Set the wait timeout to a longer period (1000ms) since many Jenkins
    CI tests are failing in the TestIconLoader tests. (LP: #1224643)
  * Make the mouse movement infinite while loop into a for loop and only
    iterate 10 times w/ a 0.5 second delay between movements. Raise an
    error if the correct icon is not found when the loop terminates.
    Consolidate the autoscroll_to_icon() function into the
    move_mouse_to_icon() function and change move_mouse_to_icon() to
    handle autoscrolling offsets. (LP: #1226639)
  * Increase the wait timeout to 15 seconds since 1 second didn't seem
    to make the unit test failure any better. Also add a timeout to the
    CheckResults method. (LP: #1224643)
  * When dragging and dropping an icon before another icon, the
    calculation to position the drop was off by half an icon which would
    cause some AP tests to fail. (LP: #1227056)
  * It appears that it's not a timeout causing these tests to really
    fail. It seems that Jenkins is unable to connect to GlibDBusProxy
    which leads to the timeout. For now, let's just remove the most
    troublesome tests so we can get automerging to work and then revisit
    the real reason why this is happening. (LP: #1224643)

  [ Andrea Azzarone ]
  * Fix randomly failing AP test. (LP: #1226116)
  * Return a copy of memeber variables of DndData class. Should fix
    lp:1224569. (LP: #1224569)
  * Derive EdgeBarrierController::Impl from sigc::trackable and remove
    the use of c++11 lambdas for callbacks. (LP: #1217560)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3524

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 20 Sep 2013 11:19:05 +0000

unity (7.1.0+13.10.20130903.1-0ubuntu1) saucy; urgency=low

  [ Ted Gould ]
  * Use libupstart for sending Upstart signals.

  [ Stephen M. Webb ]
  * moved to zeitgeist-2.0. (LP: #1197569)

  [ Marco Trevisan (Treviño) ]
  * ApplicationLauncherIcon: make sure we unstick an icon, update its
    URI and resave it in order Also improving a lot the
    SoftwareCenterLauncherIcon code and the install behaviour. (LP:
    #1218504, #1217849)

  [ Chris Townsend ]
  * Fix the code formatting introduced in revno. 3485.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3488

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 03 Sep 2013 06:37:05 +0000

unity (7.1.0+13.10.20130829.1-0ubuntu1) saucy; urgency=low

  [ Brandon Schaefer ]
  *  (LP: #1217592)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3483

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 29 Aug 2013 06:44:00 +0000

unity (7.1.0+13.10.20130828.1-0ubuntu1) saucy; urgency=low

  [ Pawel Stolowski ]
  * Support PERFORM_SEARCH activation response; require libunity>=7.1.0.

  [ Michal Hruby ]
  * Added support for colorizing UnityProtocolAnnotatedIcon.

  [ Chris Townsend ]
  * Do not display the scope bar at the bottom when the Command "Lens"
    is opened as it's not really not a Lens/Scope. (LP: #1168019)

  [ Brandon Schaefer ]
  * Quick fix to enable the compose key which is turned off by default.
    Finding a better fix soon. (LP: #1216979)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3481

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 28 Aug 2013 13:23:28 +0000

unity (7.1.0+13.10.20130822-0ubuntu1) saucy; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * Bump the build dependency on compiz to 0.9.10
  * We now have indicator-keyboard - recommend it along other
    indicators.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3476

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 22 Aug 2013 06:57:29 +0000

unity (7.1.0+13.10.20130816.3-0ubuntu1) saucy; urgency=low

  [ Michal Hruby ]
  * Make sure we emit row_added signals for all rows present in a model
    when changing a model Model::SetModel(). (LP: #1212580)

  [ Andrew McCarthy ]
  * added photo lens shortcut to the shortcuts hint window (lp:
    #1069644). (LP: #1069644)

  [ Stephen M. Webb ]
  * added photo lens shortcut to the shortcuts hint window (lp:
    #1069644). (LP: #1069644)
  * removed debug output thatcould cause a potential security problem
    (lp: #1051921). (LP: #1051921)

  [ Nick Dedekind ]
  * Don't re-add the rows for filters and categories if the model
    changes.
  * Fixed duplicate categories in scope caused by full resync on model
    change. (LP: #1212945)

  [ Chris Townsend ]
  * Fix issue where the same app on different workspaces would not allow
    alt-tab to work properly when trying to switch to the last used app
    on the same workspace. (LP: #1211261)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3473

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 16 Aug 2013 11:47:59 +0000

unity (7.1.0+13.10.20130813.1-0ubuntu1) saucy; urgency=low

  [ Michal Hruby ]
  * Fix a leak in scope activation. Pass the original result if the
    activation fails.

  [ Brandon Schaefer ]
  * Fix ibus-anthy AP tests, due to a failing commit key Ctrl+J being
    changed to now turn off/on the ibus-anthy engine. (LP: #1211464)
  * Attempt to use more canonical words for the ibus AP tests, so we end
    up with a more used word, vs one the might change. (LP: #1211501)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3466

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 13 Aug 2013 06:18:39 +0000

unity (7.1.0+13.10.20130812.1-0ubuntu1) saucy; urgency=low

  [ Brandon Schaefer ]
  * Add ibus.py to the tests/autopilot/unity/emulators from
    lp:autopilot. (LP: #1210661)
  * Don't make the ScopeView/DashView/ScrollView Visible on start up
    (bool wise, causing things to think its ok to render). (LP:
    #1201631)
  * Adds the ability to use the mouse in the switcher. (LP: #824965)

  [ Andrea Azzarone ]
  * Add edge barriers to unity::panel::PanelView. (LP: #931384)

  [ Marco Trevisan (Treviño) ]
  * ApplicationLauncherIcon: Create a local desktop file when sticking
    an app that has not Also make icon sticky only if both the icon
    itself and the inner app is sticky as well. (LP: #1209320, #753305,
    #765466, #754334, #704046)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3462

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 12 Aug 2013 06:49:01 +0000

unity (7.1.0+13.10.20130809.1-0ubuntu1) saucy; urgency=low

  [ Michal Hruby ]
  * Send up-to-date form_factor also after waiting for proxy connection.

  [ Chris Townsend ]
  * Fix yet another regression in revno. 3381 where the Panel shadow is
    not drawn when in Show Desktop mode by using
    PluginAdapter::IsWindowOnTop() instead of the new
    GetTopVisibleWindow(). Remove GetTopVisibleWindow() to get rid of
    code duplication. (LP: #1203097)

  [ Jeremy Bicha ]
  * Adjust to rename of ubiquity-gtkui.desktop to ubiquity.desktop.

  [ Marco Trevisan (Treviño) ]
  * BamfApplicationManager: add support for desktop-file-updated signal
    and use in AppIcon Now an ApplicationLauncherIcon can have its
    .desktop file updated and when this happens it reloads the infos it
    needs and updates the FavoriteStore accordingly.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3456

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 09 Aug 2013 11:50:47 +0000

unity (7.1.0+13.10.20130805-0ubuntu1) saucy; urgency=low

  [ Andrea Azzarone ]
  * Add tests for unity::panel::Controller. These test are quite similar
    to the ones for unity::launcher::Controller. (LP: #1207170)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3451

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 05 Aug 2013 04:03:56 +0000

unity (7.1.0+13.10.20130802-0ubuntu1) saucy; urgency=low

  [ Stephen M. Webb ]
  * Remove incorrect last check in test_unhide_single_app AP test. (LP:
    #1204188)

  [ Brandon Schaefer ]
  * Fix AP tests for IBus 1.5 Fix search bar hint when using preedit.
    (LP: #1203106, #1204215)
  * Remove setting hotkey for ibus using gconf, as ibus 1.5 no longer
    uses gconf.

  [ Marco Trevisan (Treviño) ]
  * SimpleLauncherIcon: remove useless methods and signals, use smarter
    allocation.
  * MultiMonitor: remove the ugly max_num_monitors var, put it inside
    proper namespace.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3449

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 02 Aug 2013 04:04:04 +0000

unity (7.1.0+13.10.20130729-0ubuntu1) saucy; urgency=low

  [ Stephen M. Webb ]
  * upstream release 7.1.0

  [ Andrew Gaul ]
  * PanelService: Disconnect signals connected in panel-
    service.c:on_entry_added. (LP: #1203607)

  [ Chris Townsend ]
  * Change to using ellipsis instead of three dots for the "Installing"
    tooltip. (LP: #1203092)

  [ Andrea Azzarone ]
  * Add show_desktop_key film in unityshell plugin. (LP: #1204664)

  [ Marco Trevisan (Treviño) ]
  * TestPanelService: verify that the entry's label and icon are
    disconnected on removal.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3443

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 29 Jul 2013 04:04:13 +0000

unity (7.0.2+13.10.20130723.1-0ubuntu1) saucy; urgency=low

  [ Marco Trevisan (Treviño) ]
  * debian/control:
    - build-depend on xserver-xorg-video-dummy and libgl1-mesa-dri
    - build-depend on libnux-4.0-dev (>= 4.0.2+13.10.20130718.1)
 
  [ Michal Hruby ]
  * When requesting a channel from scopes, use the DIFF flag, which will
    cause scopes machinery to do a diff between the old and new model
    states, so results that didn't change will stay in the model -
    previously they would be removed and re-added.
  * Reset the connected property when scope disappears.
  * Added getter for content-type property to Category class.
  * Manually merged lp:~mhr3/unity/fix-ap-preview-tests
  * Preload results after removal, as they might got moved into a
    visible position.
  * Fix scope-related tests. (LP: #1199961)

  [ Brandon Schaefer ]
  * Correctly set back the filter scroll views state when
    leaving/entering the scope view. (LP: #1175666)
  * Don't calculate the velocity if dtime is 0. This way we don't get a
    huge velocity on the initial barrier hit. (LP: #1199050)
  * Show desktop now only works for individual workspaces. Also if any
    new windows are opened, or one is restored on that workspace then
    the next Show desktop will minimize those. The only time windows are
    restored are when no new windows have been mapped, and no windows
    have been restored for that workspace only. (LP: #966030)

  [ Marco Trevisan (Treviño) ]
  * CMake: re-enable DBus Tests, excluding TestScope* This exclusion is
    due to lp:1199961 to be fixed ASAP. (LP: #1199961, #1199962)
  * TestGtest: Addedd TestPanelService and new tests to
    TestStaticCairoText, removed test-unit Improved the u-p-s stability
    and refactored a little its initialization to allow testing with
    only mock indicators. (LP: #1200748)
  * GLibDBusServer: set the proper destroy function when resetting the
    InterfaceInfo ptr.

  [ Didier Roche ]
  * Adjust CMake setup to account for new GMock version. . (LP:
    #1185265)

  [ Chris Townsend ]
  * Modify the Launcher icon of an installing app to display
    "Installing..." instead of always saying "Waiting to install". (LP:
    #966189)

  [ Thomas Voß ]
  * Adjust CMake setup to account for new GMock version. . (LP:
    #1185265)

  [ Nick Dedekind ]
  * Removed the legal link and icon from the dash. .
  * Reverted r3415 "remove legal link" -
  * Removed the legal icon, again.

  [ Manuel de la Pena ]
  * Fix the introspection so that QA can work with autopilot. (LP:
    #1185486)

  [ Charles Kerr ]
  * in panel-service.c's load_indicators_from_indicator_files(), plug a
    GDir leak.

  [ Pawel Stolowski ]
  * Activate (installed) applications on single left-click in Home and
    Applications scopes view. (LP: #1189088)

  [ Andrea Azzarone ]
  * Define/Init UnityWindow::cWindow. (LP: #1203129)

  [ Jeremy Bicha ]
  * Drop unnecessary python-gconf dependency.

  [ Łukasz 'sil2100' Zemczak ]
  * Disable the TestAnimationOpacity test, as it's failing on powerpc.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3437

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 23 Jul 2013 13:59:34 +0000

unity (7.0.2+13.10.20130705.1-0ubuntu3) saucy; urgency=low

  * Add a Provides: unity-common-7.0, for packages that depend on particular
    schema interfaces (e.g., unity-lens-applications).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 14 Jul 2013 20:32:12 +0000

unity (7.0.2+13.10.20130705.1-0ubuntu2) saucy; urgency=low

  * Drop unity-common, which is not common at all across versions; instead,
    merge the contents into the shared library package and use
    Conflicts/Replaces against previous sonames of the package.
    LP: #1193120.
  * Cherry pick revision 3419 from trunk: Adjust CMake setup to account for
    new GMock version. LP: #1185265.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Jul 2013 07:23:43 +0000

unity (7.0.2+13.10.20130705.1-0ubuntu1) saucy; urgency=low

  [ Timo Jyrinki ]
  * Bump version number to go with X.org update

  [ Brandon Schaefer ]
  * When the ScopeView changes visibility make sure we update the filter
    scroll view as well. This way we don't get random overlay scroll
    bars appearing when it shouldn't!. (LP: #1175666)

  [ Timo Jyrinki ]
  * Move unity to the new libxi changes, along with the new 1.14
    xserver. Manual merge to be able to migrate together with Xorg from
    -proposed.

  [ Didier Roche ]
  * Revert rev 3404, makes autopilot tests failing as well as keep weird
    filters artefacts in the preview

  [ Marco Trevisan (Treviño) ]
  * ScopeProxy: use glib::SignalManager to manage connections and
    disconnections.
  * Use again glib::Cancellable wrapper in scopes code.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3410

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 05 Jul 2013 12:40:50 +0000

unity (7.0.1+13.10.20130703-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * Depends on the new dconf-cli, we only need the command line tool,
    not the gtk editor.

  [ Marco Trevisan (Treviño) ]
  * ApplicationLauncherIcon: improve the way we override the Quit
    quicklist item If a quit action is defined in static (desktop file
    action) or dynamic way we use it to override the default one,
    placing it to the proper position. Also override more labels by
    default and if a quicklist item has the
    QuicklistMenuItem::QUIT_ACTION_PROPERTY (defined as "unity-quit-
    action") property set to TRUE, then we use this item as the quit
    quicklist item. Factorized the code we use to generate both static
    and dynamic ql items. (LP: #876421)
  * Use connection::Manager to handle the sigc::connection disconnection
    on parent removal.
  * ConnectionManager: add connection::Wrapper to wrap a
    sigc::connection disconnecting it on destruction.
  * Unity: use connection::Wrapper to hold the connections to signals
    and disconnect from them.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3402

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 03 Jul 2013 04:03:31 +0000

unity (7.0.1+13.10.20130702-0ubuntu1) saucy; urgency=low

  [ Michal Hruby ]
  * A few changes to unity-core API/ABI.

  [ Ted Gould ]
  * Fix upstart job to handle legacy case and not duplicate events.

  [ Marco Trevisan (Treviño) ]
  * ApplicationManager: Use nux::ROProperty for Window and Application
    title and icon So BamfApplicationManager connect to {name,icon}-
    changed signals, set getters for properties and
    ApplicationLauncherIcon update icon tooltip_text and icon when App
    title/icon changes. (LP: #751909)
  * BamfApplicationManager: always use std::make_shared and use
    glib::SignalManager::Add Also add some helper constructors.
  * ApplicationLauncherIcon: only use a simple std::vector to cache the
    quicklist entries Remove the ugly std::string indexed std::map.
  * ConnectionManager: add a class container of sigc::connection that
    takes care of disconnection Connections added will be disconnected
    on class destruction on on explicit removal or replacement request.

  [ Lars Uebernickel ]
  * unity-panel-service: call ido_init() and honor indicator's position
    requests.

  [ Chris Townsend ]
  * Fixes some panel shadow regressions caused by rev. 3381. - No panel
    shadow when logging in, ie, no windows are opened. - Indicator drop
    down menus have the panel shadow painted over them. - Notification
    bubbles cause the panel shadow to be drawn on top of everything. -
    Minimizing all windows caused the panel shadow to not be drawn. (LP:
    #1194865)

  [ Didier Roche ]
  * now build-depends on the desktop definition for scopes as libunity-
    common is dead.

  [ Sebastien Bacher ]
  * use correct ellipses.

  [ Andrea Azzarone ]
  * Remove not necessary assert. (LP: #1192503)

  [ Łukasz 'sil2100' Zemczak ]
  * Revert revision 3380. This caused regression of all autopilot tests
    as show_desktop was invalidly detected every time there are no
    visible windows on screen.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3396

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 02 Jul 2013 05:32:40 +0000

unity (7.0.0daily13.06.24-0ubuntu2) saucy; urgency=low

  * services/panel-main.c: manually backport lp:~larsu/unity/call-ido-init
    to unbreak custom indicators (like indicator-datetime), the order
    in the panel is still wrong but that fix can wait for next week
  * debian/control: build-depends on libido3-0.1-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 28 Jun 2013 19:36:49 +0200

unity (7.0.0daily13.06.24-0ubuntu1) saucy; urgency=low

  [ Brandon Schaefer ]
  * Show desktop now only works for individual workspaces. Also if any
    new windows are opened, or one is restored on that workspace then
    the next Show desktop will minimize those. The only time windows are
    restored are when no new windows have been mapped, and no windows
    have been restored for that workspace only. (LP: #966030)
  * When on the bottom row and you press down, the detail index now
    moves right until it hits the last icon in the row.

  [ Chris Townsend ]
  * Draw the full panel shadow when there are windows docked on the
    panel and no focused windows on the screen such as when the desktop
    has been clicked. (LP: #1036614)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3382

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 24 Jun 2013 05:42:36 +0000

unity (7.0.0daily13.06.19-0ubuntu1) saucy; urgency=low

  [ Michal Hruby ]
  * Bump libunity-core SONAME and adjust debian.

  [ Ted Gould ]
  * Make Unity depend on bamfdaemon.

  [ Iain Lane ]
  * Start unity-panel-service using upstart user session jobs.

  [ Brandon Schaefer ]
  * Fixes the use of Alt+` and Right arrow when in detail mode. Now it
    goes to the next window instead of closing detail mode. (LP:
    #1190798)
  * When in detail mode, you are now allowed to use UP/DOWN keys to move
    around. (LP: #1131646)

  [ Chris Townsend ]
  * Add functionality to wiggle urgent icons at certain time intervals
    when the Launcher is hidden. (LP: #893196)
  * Add support to close social previews by clicking anywhere in the
    preview bubble. (LP: #1190007)

  [ Nick Dedekind ]
  * Added check for x-unity-no-preview. Do not preview; send direct
    activation to scope. (LP: #1188705)

  [ Xiao-Long Chen ]
  * SessionView: Fix build when building without precompiled headers.
    (LP: #1191097)

  [ Andrea Azzarone ]
  * Fix failing AP test. (LP: #1191039)
  * Fix failing test. (LP: #1191059)
  * Skip tests if not in desktop mode. (LP: #1191053)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3378

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Jun 2013 04:29:36 +0000

unity (7.0.0daily13.06.07-0ubuntu1) saucy; urgency=low

  [ Ted Gould ]
  * gtk_icon_info_free() is deprecated for g_object_unref().
  * Upstart event for when the indicators are loaded by the panel
    service.
  * Add an upstart job to unity-common.
  * Manage Unity Panel Service's lifecycle with Upstart.

  [ Didier Roche ]
  * add dep on autopilot-desktop.
  * Revert the panel on upstart from ted, it doesn't respawn as expected
    when another service try to communicate with the panel service and
    the consequence is a lot of tests failing

  [ Nick Dedekind ]
  * Uses a gobject weak ref to test for object deletion in the
    GLibObject tests. Previously was checking with G_IS_OBJECT on an
    invalid pointer, which was causing a segfault

  [ Manuel de la Pena ]
  * Adds support for payment previews that will allow users to buy music
    from within the dash. .

  [ Mathieu Trudel-Lapierre ]
  * Increase timeouts for hud functional and search tests.

  [ Francis Ginther ]
  * Handle StateNotFoundError when querying the label of a hud button.

  [ Łukasz 'sil2100' Zemczak ]
  * Now that we're using the new HUD, there have been some changes that
    typically cause test_hud tests to fail. Fix the tests to fit the new
    model. The first one is that generally we do not have indicator
    entries visible in the HUD anymore. Only application menu entries
    are in it now. The second one - the way the results are displayed is
    different. Now, instead of "Menu > Entry" we have "Entry (Menu)"
    etc.
  * Fix two HUD failures related to HUD slow action activation.
  * Fix some autopilot test failures, some related to test_shortcut_hint
    and some to test_scroll in launcher.
  * Modify all the hud_query_check lambdas to be more smart and error-
    checking. Same for the selected_hud_button method in the HUD
    emulator. Also, get rid of the troublesome test_gedit_undo and
    change it into test_gedit_save, which is easier to test and anyway
    tests what we want. Besides that we also now try to handle the
    StateNotFoundError exception in the HUD emulator, another cause of
    some AP failures.
  * Add a flag for -Wno-error=unused-local-typedefs, since this causes a
    FTBFS on ARM

  [ Michal Hruby ]
  * Don't activate a result twice after pressing Enter. (LP: #1188191)

  [ Sebastien Bacher ]
  * Use '%s:' string for preview hints, rather than just appending ':'.
    (LP: #1074038)

  [ Marco Trevisan (Treviño) ]
  * IconRenderer: preprocess an icon if its emblem has been shown/hidden
    In that way we can update its transformation. (LP: #1171476,
    #1171663)
  * UnityWindow: don't draw the panel shadow above a fullscreen window.
    (LP: #1171934)
  * UnityCore: add GtkWrapper to handle GtkIconInfo correctly for
    different GTK versions Fix a memory leak in LauncherIcon. (LP:
    #1180790)
  * SwitcherController: use proper long long types for
    WindowActiveNumber Otherwise an overflow can cause bad window
    selection after long uptime.
  * Unity: "s/unsigned long long/uint64_t/g".

  [ Chris Townsend ]
  * Fixes issue where minimizing a full screen window would not draw the
    Launcher and Panel after minimization. (LP: #1064155)
  * Fixes issue where source files for test-gestures would always be
    compiled even if the original source files did not change. (LP:
    #1039367)
  * Fixes the issue where the filling in of the progress bar over
    Launcher icons does not scale when using smaller or larger icon
    sizes than the default size of 48. (LP: #968680)

  [ Sam Spilsbury ]
  * LauncherDragWindow: defer icon paint until DrawContent rather than
    doing so immediately (LP: #1180174). (LP: #1180174)
  * Add a pkg-config dependency on xpathselect>=1.2 Technically we
    depend on xpathselect>=1.3 in debian/control, however the latest -
    dev package in the distro claims the version is 1.2 and it builds
    just fine with that. (LP: #1185226). (LP: #1185226)

  [ Leo Arias ]
  * Fixed the execute_action_by_id on the dash emulator. (LP: #1181677)

  [ Christopher Lee ]
  * Attempt to fix sporadic failure of TestGLibSource.Running for arm
    builds.
  * Updating Unity autopilot tests to work with the new version of
    autopilot (1.3).
  * Update unity autopilot tests depends.
  * Missed a package depends for unity-autopilot.
  * Updating the dbus introspection to use the new xpathselect
    1.3.libxpathselect-dev.

  [ Pawel Stolowski ]
  * Add ModelIterator-inl.h to the list of installed headers (as it's
    included by ModelIterator.h).
  * Fixes for two autopilot tests.
  * Bumped required version of libunity.

  [ Andrea Azzarone ]
  * Disable detail view for webapp icons. (LP: #1169340)
  * Don't build CoverflowResultView.cpp.
  * Fix crashing tests. (LP: #1182585)
  * Remove AbstractSeparator.cpp (it does not make sense :).
  * Allow alt-tabbing during a dnd operation. (LP: #111939)
  * Reference BamfApplication in GetRunningApplications. (LP: #1181717)

  [ Thomi Richards ]
  * Updating the dbus introspection to use the new xpathselect
    1.3.libxpathselect-dev.
  * Update the unity autopilot test suite to be compatible with the new
    autopilot API for custom emulators.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3365

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Jun 2013 06:43:22 +0000

unity (7.0.0daily13.06.03ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Chris Townsend ]
  * Fixes the issue where the filling in of the progress bar over
    Launcher icons does not scale when using smaller or larger icon
    sizes than the default size of 48. (LP: #968680)

  [ Andrea Azzarone ]
  * Reference BamfApplication in GetRunningApplications. (LP: #1181717)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3355 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 03 Jun 2013 04:04:11 +0000

unity (7.0.0daily13.05.31ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Nick Dedekind ]
  * Keyboard focus lost if trying to navigate while search is ongoing
    (LP: #1170709)
  * Occasional loss of focus in the input text field (LP: #1174488)

  [ Andrea Azzarone ]
  * Search Plugins previews in the apps lens should not display any
    ‘review stars’ (LP: #1170715)
  * [alt-tab] Disable detail view for webapp icons. (LP: #1169340)
  * 'There is no content...' message is missing if there no results when
    opening some lenses (LP: #1170728)

  [ Nick Dedekind ]
  * Nautilus incorrectly highlighted as valid target DND target for lots
    of results (LP: #1170721)

  [ Brandon Schaefer ]
  * Bump libnux to new version 

  [ Łukasz 'sil2100' Zemczak ]
  * Re-bumped libnux to 4.0.2

  [ Ted Gould ]
  * gtk_icon_info_free() is deprecated for g_object_unref().
  * Upstart event for when the indicators are loaded by the panel
    service.

  [ Marco Trevisan (Treviño) ]
  * UnityCore: add GtkWrapper to handle GtkIconInfo correctly for
    different GTK versions Fix a memory leak in LauncherIcon. (LP:
    #1180790)
  * SwitcherController: use proper long long types for
    WindowActiveNumber Otherwise an overflow can cause bad window
    selection after long uptime.
  * Unity: "s/unsigned long long/uint64_t/g".

  [ Francis Ginther ]
  * Handle StateNotFoundError when querying the label of a hud button.

  [ Chris Townsend ]
  * Fixes issue where minimizing a full screen window would not draw the
    Launcher and Panel after minimization. (LP: #1064155)
  * Fixes issue where source files for test-gestures would always be
    compiled even if the original source files did not change. (LP:
    #1039367)

  [ Didier Roche ]
  * add dep on autopilot-desktop.

  [ Leo Arias ]
  * Fixed the execute_action_by_id on the dash emulator. (LP: #1181677)

  [ Christopher Lee ]
  * Updating Unity autopilot tests to work with the new version of
    autopilot (1.3).
  * Update unity autopilot tests depends.
  * Missed a package depends for unity-autopilot.
  * Updating the dbus introspection to use the new xpathselect
    1.3.libxpathselect-dev.

  [ Thomi Richards ]
  * Updating the dbus introspection to use the new xpathselect
    1.3.libxpathselect-dev.
  * Update the unity autopilot test suite to be compatible with the new
    autopilot API for custom emulators.

  [ Pawel Stolowski ]
  * Add ModelIterator-inl.h to the list of installed headers (as it's
    included by ModelIterator.h).
  * Fixes for two autopilot tests.

  [ Mathieu Trudel-Lapierre ]
  * Increase timeouts for hud functional and search tests.

  [ Andrea Azzarone ]
  * Don't build CoverflowResultView.cpp.
  * Fix crashing tests. (LP: #1182585)
  * Remove AbstractSeparator.cpp (it does not make sense :).
  * Allow alt-tabbing during a dnd operation. (LP: #111939)

  [ Sam Spilsbury ]
  * LauncherDragWindow: defer icon paint until DrawContent rather than
    doing so immediately (LP: #1180174). (LP: #1180174)

  [ Łukasz 'sil2100' Zemczak ]
  * Fix two HUD failures related to HUD slow action activation.
  * Fix some autopilot test failures, some related to test_shortcut_hint
    and some to test_scroll in launcher.
  * Modify all the hud_query_check lambdas to be more smart and error-
    checking. Same for the selected_hud_button method in the HUD
    emulator. Also, get rid of the troublesome test_gedit_undo and
    change it into test_gedit_save, which is easier to test and anyway
    tests what we want. Besides that we also now try to handle the
    StateNotFoundError exception in the HUD emulator, another cause of
    some AP failures.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3352 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 31 May 2013 04:06:11 +0000

unity (7.0.0daily13.05.08ubuntu.unity.next-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 3317 (ubuntu-unity/next)
unity (7.0.0daily13.05.01.1ubuntu.unity.next-0ubuntu1) raring; urgency=low

  [ Sebastien Bacher ]
  * Some untranslatable and wrong strings in the previews (LP: #1074038)

  [ Andrea Azzarone ]
  * [alt-tab] Disable detail view for webapp icons. (LP: #1169340)

  [ Marco Trevisan (Treviño) ]
  * Launcher - count label pops out in auto-hide mode (LP: #1171476)
  * Panel shadow is drawn above full-screen windows when notifications
    are shown (LP: #1171934)
  * [regression] Icon count is not shown if the icon is not transformed
    (LP: #1171663)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3315 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 01 May 2013 21:59:17 +0000

unity (7.0.0daily13.04.23ubuntu.unity.experimental.certified-0ubuntu1) raring; urgency=low

  [ Michal Hruby ]
  * HORIZONTAL_TILE results aren't displaying "comment" (LP: #1158840)

  [ Brandon Schaefer ]
  * Command lens does not close when pressing Alt+F2 (LP: #1167466)

  [ Nick Dedekind ]
  * Filters are disappearing and impacting already displayed results
    (LP: #1159814)

  [ Marco Trevisan (Treviño) ]
  * Adding Lens results is more expensive than needed (LP: #1168569)
  * Top Bar, window managment - top bar shadow not falling on restored
    windows that are partially off the top edge of the screen (LP:
    #871758)
  * Opening new-window from quicklist static action does not focus the
    newly opened window (LP: #1164483)
  * Unity makes unneeded copies of Nux DrawList (LP: #1167605)
  * Unityshell uses much of his CPU time only to get tray XIDs from
    PanelController (LP: #1167894)
  * Unity wastes some memory by allocating multiple times the same
    texture (LP: #1166532)
  * Launcher pre-processes icons also when the icons have not been
    changed since last draw cycle (LP: #1168556)
  * Unity is creating multiple instances of DBusIndicators per each
    monitor (LP: #1166550)

  [ Andrea Azzarone ]
  * Dash should only close when a icon is dragged outside of the
    Dash/Launcher area (LP: #1170720)
  * Launcher icons automatically placed in the launcher by USC (or apps
    lens) fail to have running 'pips'. (LP: #1165097)
  * dash preview animation is slow on high resolution screens (also
    fullscreen mode) (LP: #1055126)

  [ Michi Henning ]
  * ResultIterator.h defines functions that return const values (LP:
    #1163705)

  [ Matthieu James ]
  * [UIFe] BFB icon swirl should run clockwise not anti-clockwise (LP:
    #1169238)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3121 (ubuntu-unity/experimental-
    certified)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 23 Apr 2013 07:05:10 +0000

unity (7.0.0daily13.04.18~13.04-0ubuntu1) raring; urgency=low

  [ Manuel de la Pena ]
  * Purchased songs won't download when not logged to U1 (LP: #1168674)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3309

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 18 Apr 2013 05:43:34 +0000

unity (7.0.0daily13.04.17~13.04-0ubuntu1) raring; urgency=low

  [ Marco Trevisan (Treviño) ]
  * Top Bar, window managment - top bar shadow not falling on restored
    windows that are partially off the top edge of the screen (LP:
    #871758)

  [ Matthieu James ]
  * [UIFe] BFB icon swirl should run clockwise not anti-clockwise (LP:
    #1169238)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3305

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 17 Apr 2013 04:07:04 +0000

unity (7.0.0daily13.04.10ubuntu.unity.experimental.certified-0ubuntu1) raring; urgency=low

  [ Didier Roche ]
  * bump build-dep on libunity-dev

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3113 (ubuntu-unity/experimental-
    certified)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 10 Apr 2013 07:16:02 +0000

unity (7.0.0daily13.04.15-0ubuntu1) raring; urgency=low

  [ Brandon Schaefer ]
  * Command lens does not close when pressing Alt+F2 (LP: #1167466)

  [ Andrea Azzarone ]
  * dash preview animation is slow on high resolution screens (also
    fullscreen mode) (LP: #1055126)

  [ Marco Trevisan (Treviño) ]
  * Unity makes unneeded copies of Nux DrawList (LP: #1167605)
  * Unityshell uses much of his CPU time only to get tray XIDs from
    PanelController (LP: #1167894)
  * Adding Lens results is more expensive than needed (LP: #1168569)
  * Opening new-window from quicklist static action does not focus the
    newly opened window (LP: #1164483)
  * Launcher pre-processes icons also when the icons have not been
    changed since last draw cycle (LP: #1168556)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3300

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 15 Apr 2013 04:17:42 +0000

unity (7.0.0daily13.04.10-0ubuntu1) raring; urgency=low

  [ Andrea Azzarone ]
  * Launcher icons automatically placed in the launcher by USC (or apps
    lens) fail to have running 'pips'. (LP: #1165097)

  [ Marco Trevisan (Treviño) ]
  * Unity wastes some memory by allocating multiple times the same
    texture (LP: #1166532)
  * Unity is creating multiple instances of DBusIndicators per each
    monitor (LP: #1166550)

  [ Michi Henning ]
  * ResultIterator.h defines functions that return const values (LP:
    #1163705)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3290

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 10 Apr 2013 04:03:19 +0000

unity (7.0.0daily13.04.08-0ubuntu1) raring; urgency=low

  [ Tigran Gabrielyan ]
  * [UIFe] Window list in right click context menu should indicate the
    focused window (LP: #1152477)

  [ Andrea Azzarone ]
  * Launcher - When a app is automatically placed in the Launcher after
    being installed from the Software Center, it should be in the 'non-
    running' state (LP: #987727)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3283

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 08 Apr 2013 04:02:51 +0000

unity (7.0.0daily13.04.05.2-0ubuntu1) raring; urgency=low

  * Revert r3266 "Don't close the dash when switching from the command lens 
    to the home lens.", it's breaking dash closing for individual lens,
    which also result in a serie of failing tests (lp: #1164915)

  [ Stephen M. Webb ]
  * Bumped released version to 7.0.0


  [ Brandon Schaefer ]
  * Invalid Dnd is not being ingored in the launcher. (LP: #1163473)
  * Dash Overlay scrollbars should allow dragging, until the scrollbars
    themselfs hit the top/end of the track. (LP: #1163616)
  * [regession] Multi-monitor: Mousepointer hangs when passing between
    monitors, although no Launcher is there. (LP: #1161726)
  * The dash closes when trying to switch from Command lens to home lens
    (LP: #1108956)

  [ Chris Townsend ]
  * Need to tweak the icon glow for urgent apps (LP: #1163944)

  [ Andrea Azzarone ]
  * Window management - grab icons appear when using touchpad (LP:
    #1026712)

  [ Marco Trevisan (Treviño) ]
  * compiz crashed with SIGSEGV in
    sigc::internal::slot_call0<unity::launcher::VolumeImp::Impl::Impl()
    (LP: #1161916)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3279

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 05 Apr 2013 14:51:53 +0000

unity (6.12.0daily13.04.01-0ubuntu1) raring; urgency=low

  [ Marco Trevisan (Treviño) ]
  * Launcher starts with default size then jumps to configured one on
    login (LP: #1099815)
  * Launcher - Open Trash window prevents Nautilus being launched when a
    user clicks on the Nautilus Launcher icon (LP: #753938)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3263

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 01 Apr 2013 04:02:55 +0000

unity (6.12.0daily13.03.29.1-0ubuntu1) raring; urgency=low

  [ Brandon Schaefer ]
  * launcher - drag and drop of gedit text windows leaves launcher in
    drop state (LP: #1121045)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3260

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 29 Mar 2013 16:26:36 +0000

unity (6.12.0daily13.03.29-0ubuntu1) raring; urgency=low

  [ Marco Trevisan (Treviño) ]
  * Empty trash dialog sometimes dont have the focus (LP: #807808)
  * Launcher - Trash and Storage device icons in the Launcher should be
    illuminated if folder is being viewed in Nautilus (LP: #1063830)

  [ MC Return ]
  * CompWindow::syncPosition () function is deprecated and was removed
    in lp:compiz, r3639 (LP: #1161285)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3257

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 29 Mar 2013 07:24:06 +0000

unity (6.12.0daily13.03.25.1-0ubuntu1) raring; urgency=low

  [ Martin Pitt ]
  * Add logind support (ConsoleKit and UPower suspend/resume are being
    deprecated) (LP: #1155021)

  [ Chris Townsend ]
  * Urgent apps need higher glow intensity (LP: #1157866)
  * Launcher: Icon Backlight Mode "Edge Illumination Toggles" broken
    (regression) (LP: #1103742)

  [ Paolo Rotolo ]
  * Shutdown dialog should have correct punctuation (LP: #1157927)

  [ Andrea Azzarone ]
  * Launcher tooltips keeps hanging on Desktop (LP: #1158378)
  * Launcher tooltips don't disappear when dash is open (LP: #1158021)
  * Some tooltip AP tests fail (LP: #1158357)

  [ Didier Roche ]
  * Unity/Libunity unit tests broken by latest glib (LP: #1159677)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3252

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Mar 2013 13:10:17 +0000

unity (6.12.0daily13.03.20-0ubuntu1) raring; urgency=low

  [ Stephen M. Webb ]
  * ‘No Image Available’ in previews isn’t translatable (LP: #1106849)

  [ Brandon Schaefer ]
  * Unity unit tests take too long to finish (LP: #1053163)
  * Unity FTBFS xgettext unicode TrashLauncherIcon.cpp:91 (LP: #1156931)
  * HUD's item which is being mouse-hovered is selected, making fast
    typing and clicking Enter unsafe (LP: #1066442)

  [ Marco Trevisan (Treviño) ]
  * Icons edges are not visible on the 13.04 unity launcher (LP:
    #1156698)
  * Clicking on a device (volume) icon doesn't always bring nautilus to
    focus (LP: #1154792)
  * [Regression] No "filter result" label in the dash. (LP: #1155550)
  * Launcher icon edges become invisible when loading an application
    (LP: #1157303)
  * [regression] Tooltip label is not centered (LP: #1155553)
  * Clicking on trash icon doesn't always bring nautilus to focus (LP:
    #1154862)
  * Shutdown dialogue should close the overlays when activated from
    power button (LP: #1155610)
  * New shutdown Dialogs, shutdown/restart should change order. (LP:
    #1154578)
  * Shut Down dialog spells "Shut Down" incorrectly (LP: #1156641)
  * New shutdown dialog had no default option selected (LP: #1155562)
  * alt-tab - the 'pips' the indicate a application has multiple windows
    open look pixelated  (LP: #863331)
  * Log Out dialog spells "Log Out" incorrectly (LP: #1156638)
  * Launching an application from the "Appname" quicklist could not
    bring it to focus (LP: #1155225)

  [ Mathieu Trudel-Lapierre ]
  * gcalctool desktop file got renamed (LP: #1156810)

  [ Chris Townsend ]
  * Launcher - auto-scroll needs to be more progressive (LP: #765732)

  [ Andrea Azzarone ]
  * Tooltip timeout should not be resetted on each mouse movement. (LP:
    #1155659)
  * The sharp white line between dash and launcher is missing (LP:
    #1125346)
  * Reduce launcher tooltip timeout. (LP: #1155665)
  * Launcher tooltips need fade animation on show/hide. (LP: #1155672)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3239

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 20 Mar 2013 04:03:16 +0000

unity (6.12.0daily13.03.13.1-0ubuntu1) raring; urgency=low

  [ Sebastien Bacher ]
  * Launcher - Update the icons used for the Software Centre, Nautilus,
    and Software Updater (LP: #1081691)

  [ Andrea Azzarone ]
  * Nautilus windows don't get the the focus when opened via the dash.
    (LP: #1152733)

  [ Marco Trevisan (Treviño) ]
  * New Shutdown view disables panel shadow (LP: #1152760)
  * Shutdown goodbye text is sometimes partly missing (LP: #1152978)
  * Shutdown view should be closable by escape-key (LP: #1152712)
  * Press Alt+F1, panel’s shadow dissapear (LP: #942965)
  * Long text in previews or dialogs is not properly aligned and/or
    missing (LP: #1152980)
  * Panel Shadow is not drawn properly during workspace switching (LP:
    #1153699)
  * QuicklistMenuItem's do not export the event timestamp on Activate
    (LP: #1154082)
  * [multimonitor] Dash - Opening dash or HUD on one screen removes
    panel shadow on the other (LP: #892718)

  [ Łukasz 'sil2100' Zemczak ]
  * Lenses shortcuts not working in singular cases (e.g. Super+A) (LP:
    #1152517)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3211

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 13 Mar 2013 09:23:11 +0000

unity (6.12.0daily13.03.11-0ubuntu1) raring; urgency=low

  [ Marco Trevisan (Treviño) ]
  * [FFe] Add Unity Style Shutdown Dialog  (LP: #1152374)
  * New unity style shutdown dialogues (LP: #882041)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3202

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Mon, 11 Mar 2013 04:02:43 +0000

unity (6.12.0daily13.03.08-0ubuntu1) raring; urgency=low

  [ Andrea Azzarone ]
  * Launcher, Window Management - More Effective window switching for
    apps with multiple windows using the Launcher (LP: #1081843)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3199

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Fri, 08 Mar 2013 10:34:28 +0000

unity (6.12.0daily13.03.07-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 3194

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Thu, 07 Mar 2013 04:02:28 +0000

unity (6.12.0daily13.03.06.1-0ubuntu1) raring; urgency=low

  [ Didier Roche ]
  * Build-dep on libjson-perl to get debian/scopes-recommends-generator
    parsing the libunity-common json file successfully (and so having
    the recommended scopes… recommended)

  [ Alexandre Abreu ]
  * Web apps - After the user quits a web app that has just been
    installed the icon doesn't stay in the launcher (LP: #1061056)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3190

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Wed, 06 Mar 2013 13:26:28 +0000

unity (6.12.0daily13.03.05-0ubuntu1) raring; urgency=low

  [ Didier Roche ]
  * Need a .json file for having the list of default installed lens and
    scopes (LP: #1137303)

  [ Andrea Azzarone ]
  * [regression] On start up the Hud draws the panel gradient
    incorrectly (LP: #1136447)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3185

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Tue, 05 Mar 2013 04:02:33 +0000

unity (6.12.0daily13.03.01-0ubuntu1) raring; urgency=low

  [ Andrea Azzarone ]
  * unity.tests.test_dash.DashVisualTests.test_dash_position_with_non_de
    fault_launcher_width  randomly fails (LP: #1135628)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3179

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Fri, 01 Mar 2013 04:02:36 +0000

unity (6.12.0daily13.02.28-0ubuntu1) raring; urgency=low

  [ Stephen M. Webb ]
  * unity watchfile is broken (LP: #1121754)

  [ Andrea Azzarone ]
  * Switcher does not focus the last active window in detail mode (using
    alt+grave) (LP: #1133338)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3175

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Thu, 28 Feb 2013 04:02:34 +0000

unity (6.12.0daily13.02.26-0ubuntu1) raring; urgency=low

  [ Andrea Azzarone ]
  * Multi-monitor - Panel and launcher visible on top of multimonitor
    non-focused fullscreen apps (LP: #748539)
  * unity.tests.launcher.test_icon_behavior.LauncherIconsTests.* fails
    randomly (LP: #1131679)

  [ Xiao-Long Chen ]
  * Add timeout before removing launcher (LP: #1119801)

  [ MC Return ]
  * cppcheck reports true positives (LP: #1131152)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3171

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Tue, 26 Feb 2013 04:02:40 +0000

unity (6.12.0daily13.02.19.1-0ubuntu1) raring; urgency=low

  [ Brandon Schaefer ]
  * Multi-monitor: Mousepointer hangs when passing between monitors,
    although no Launcher is there (regression) (LP: #1120223)
  * Sticky edges should only use horizontal mouse movement (LP: #982543)

  [ Marco Trevisan (Treviño) ]
  * Launcher - Workspace switcher should not be in the Launcher by
    default (LP: #868423)
  * [regression] Unlocking a running application, removes it from the
    Launcher (LP: #1122311)
  * Launcher, Workspaces - dragging and dropping the workspaces icon on
    to the trash should switch Workspaces off (LP: #1118271)

  [ Chris Townsend ]
  * webapp: alt-tab gets "stucked" on the browser rather than going to
    the next entry (LP: #1070715)

  [ Nick Dedekind ]
  * Dash - the "Decade" and "Size" dash filter category widgets are
    broken (LP: #841899)
  * Dash Places group is shining on quick mouse over (LP: #1119487)

  [ Lukas Vacek ]
  * Show window list when right clicking an icon in launcher - enables
    quick window switching (LP: #1107866)

  [ Marco Trevisan (Treviño) <mail@3v1n0.net>, Lukas Vacek ]
  * Show window list when right clicking an icon in launcher - enables
    quick window switching (LP: #1107866)

  [ Andrea Azzarone ]
  * unity launcher vanishes when switching to mirrored displays (LP:
    #991637)
  * Opening an app with super+num shorcut doesn't give focus to the app
    (LP: #1125331)
  * Alt+` and detail switcher broken after revision 3153 (LP: #1129372)

  [ Sam Spilsbury ]
  * Unity unnecessarily clears the ShapeBounding shape of windows on
    minimize (LP: #1091600)
  * Can't access minimized window after Unity restarts (LP: #851964)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3163

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Tue, 19 Feb 2013 14:26:14 +0000

unity (6.12.0daily13.02.08-0ubuntu1) raring; urgency=low

  [ Brandon Schaefer ]
  * Multi-monitor - Add 'sticky edges deactivated for number of
    milliseconds after the user breaks the barrier' variable that works
    when the Launcher set to 'auto-hide' and sticky edges set to 'off'
    (LP: #1064945)

  [ Łukasz 'sil2100' Zemczak ]
  * testapp is a bad name (LP: #1089561)

  [ Marco Trevisan (Treviño) <mail@3v1n0.net>, Brandon Schaefer ]
  * Multi-monitor - Add 'sticky edges deactivated for number of
    milliseconds after the user breaks the barrier' variable that works
    when the Launcher set to 'auto-hide' and sticky edges set to 'off'
    (LP: #1064945)

  [ Marco Trevisan (Treviño) ]
  * Alt-Tab switcher should use a very fast fade-in/out effect when
    showing/hiding (LP: #1105058)
  * Multi-monitor - Add 'sticky edges deactivated for number of
    milliseconds after the user breaks the barrier' variable that works
    when the Launcher set to 'auto-hide' and sticky edges set to 'off'
    (LP: #1064945)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3140

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Fri, 08 Feb 2013 04:02:00 +0000

unity (6.12.0daily13.02.07-0ubuntu1) raring; urgency=low

  [ Andrea Azzarone ]
  * make check fails on test-unit (LP: #1117487)
  * Notification area whitelist is obsolete (LP: #974480)

  [ Marco Trevisan (Treviño) ]
  * Switcher - when opening in detail mode (Alt+`) it should not use the
    spread animation (LP: #1116927)
  * Alt-tab sometimes focuses a window that is not in top of the app
    stack (LP: #1115775)
  * Switcher: Opening and closing the detail mode quickly makes unity
    re-enable it (LP: #1116785)
  * Exiting expo mode leaves the BFB quicklist open (LP: #1090565)

  [ MC Return ]
  * unmaximize_window_key instead of unmaximize_or_minimize_window_key
    exposed in g-c-c (LP: #1115128)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3136

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Thu, 07 Feb 2013 06:20:12 +0000

unity (6.12.0daily13.02.04.1-0ubuntu1) raring; urgency=low

  * debian/control:
    - recommends indicator-sync so it gets installed by default 
      (lp: #1053482)
    - recommends indicator-bluetooth as well (lp: #1111314)

  [ Łukasz 'sil2100' Zemczak ]
  * debian/control:
    - bump compiz build-dep due to the last ABI break

  [ Brandon Schaefer ]
  * [regression] Clicking on the indicators when the Dash is open no
    longer closes the Dash. (LP: #1109150)
  * [staging][raring] Dash Maximise/Restore button depends on the
    launcher icon size. (LP: #1101310)

  [ Romain Perier ]
  * The Dash closes when trying to switch to the Command lens (Alt+F2)
    (LP: #1019457)

  [ Marco Trevisan (Treviño) ]
  * Launcher can have smaller size on monitor resolution change (LP:
    #1105382)
  * Dragging down a window from the panel on an external monitor,
    restores it at wrong offset (LP: #1104043)
  * [regression] Alt+Tab/Alt+grave brings other window to the front but
    loses focus entirely.  (LP: #1111620)
  * Quicklist items need a way to be ellipsized (LP: #1111471)

  [ Charles Kerr <charles.kerr@canonical.com>, Andrea Azzarone ]
  * the GObject subclasses in tests/ don't dispose() properly (LP:
    #986875)

  [ Nicolas d'Offay ]
  * Speed up dash blur (LP: #1102410)

  [ Manuel de la Pena ]
  * API changes to FindKeyFocusArea in the Preview class stops more
    complicated previous fom setting the correct focus (LP: #1102387)

  [ MC Return ]
  * Wrong description in Dconf key
    com.canonical.unity.launcher.favorites (LP: #1112560)
  * Keyboard shortcut overlay says Ctrl+Super+Down "minimises" the
    current window, but it doesn't (LP: #966099)

  [ Andrea Azzarone ]
  * unmounting any gvfs-mounted device from unity menu crashes compiz
    (LP: #1111389)
  * compiz crashed with SIGSEGV in async_wrapper_callback() from
    g_simple_async_result_complete() from
    _g_simple_async_result_complete_with_cancellable() from
    unmount_reply() (LP: #1102926)

  [ Łukasz 'sil2100' Zemczak ]
  * SwitcherControllerImpl autopilot test failures in unity -
    6.12.0daily13.01.29.2-0ubuntu1 (LP: #1109192)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3117

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Mon, 04 Feb 2013 09:59:13 +0000

unity (6.12.0daily13.01.25.1-0ubuntu1) raring; urgency=low

  [ Romain Perier ]
  * lp:unity FTBFS on quantal: error: ‘bamf_view_is_user_visible’ was
    not declared in this scope  (LP: #1086276)

  [ Brandon Schaefer ]
  * TestOverlayVScrollBar.TestConnectorResetsDuringScrollAnimation
    segfaults. (LP: #1102699)

  [ Andrea Azzarone ]
  * Removal of 21_correct_timestamp_.. patch  returns focus issues in
    Unity session (LP: #1072566)

  [ Marco Trevisan (Treviño) ]
  * The workspace shortcuts listed in the overlay should be hidden when
    workspaces are disabled (LP: #1103561)
  * Shortcuts hints overlay hides a disabled shortcut without
    relayouting (LP: #1102429)

  [ Manuel de la Pena ]
  * ActionLink does not highlight when selected via keyboard navigation
    (LP: #1103048)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3072

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Fri, 25 Jan 2013 12:29:18 +0000

unity (6.12.0daily13.01.21-0ubuntu1) raring; urgency=low

  [ Marco Trevisan (Treviño) ]
  * Switcher windows spread animation is broken on external monitors
    (LP: #1100055)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3051

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Mon, 21 Jan 2013 04:01:56 +0000

unity (6.12.0daily13.01.18-0ubuntu1) raring; urgency=low

  [ Brandon Schaefer ]
  * HUD does not save the current input focus correctly (LP: #1100962)

  [ Andrea Azzarone ]
  * Unity fails to build on raring: g_io_scheduler_push_job is
    deprecated (LP: #1100658)

  [ Marco Trevisan (Treviño) ]
  * Launcher - Update BFB icon to use a new special asset (and no tile)
    (LP: #1081697)
  * Launcher - Update Launcher tile assets (LP: #1081687)

  [ Daniel van Vugt ]
  * Allow launcher icons smaller than 32px (LP: #930031)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3048

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Fri, 18 Jan 2013 04:02:06 +0000

unity (6.12.0daily13.01.17-0ubuntu1) raring; urgency=low

  [ Brandon Schaefer ]
  * [regression] Scrollbar Overlay still appears after the dash has
    closed. (LP: #1099999)

  [ Christopher Townsend ]
  * Dash - Users should be able to exit the Preview and return to the
    results by right or middle clicking anywhere inside the preview (LP:
    #1046315)

  [ Andrea Azzarone ]
  * Need some 'minimize' autopilot tests (LP: #1089981)
  * TestLauncherController.* fails (LP: #1089900)
  * Windows that start minimized cannot be opened (LP: #1087422)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3043

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Thu, 17 Jan 2013 07:03:58 +0000

unity (6.12.0daily13.01.11.2-0ubuntu1) raring; urgency=low

  [ Didier Roche ]
  * debian/control:
    - bump some missed build-deps
    - bump compiz and nux build-deps for the API and ABI breakages
      (LP: #1095981)
  * debian/rules:
    - disable pch for now as it's not working with -g -02 (LP: #1095978)

  [ Brandon Schaefer ]
  * Ported Compiz to 0.9.9
  * debian/control:
    - bump the build-deps
  * Dash and HUD do not have X event focus, causing XIM to not work.
    (LP: #1086988)
  * Windows losing focus after the start/restart of Unity (LP: #1097368)

  [ Łukasz 'sil2100' Zemczak ]
  * Dash - Update Dash nav bar icons (LP: #1089373)
  * Autopilot tests failing in the test_hud suite due to locale
    dependency (LP: #1076531)
  * Super key not registered if held too long (LP: #1097189)
  * Unity HUD uses wrong icon when switching from the Dash to HUD (LP:
    #1089482)

  [ Marco Trevisan (Treviño) ]
  * Using bleeding edge Mesa drivers causes GL_INVALID_OPERATION error
    in glDrawBuffer / glReadBuffer (LP: #1092550)
  * [Regression] Window buttons / Title doesn't redraw correctly on
    windows with no menus (LP: #1090439)

  [ Nick Dedekind ]
  * Dash - When the Dash preview is open, the ghost images should run
    all the way to the top of the screen as shown in the design (LP:
    #1060948)
  * Dash - When the Dash preview opens, the category headers should be
    expanded and the filters should hide (LP: #1060937)
  * Dash - In the Dash preview, when a user moves to the next or
    previous preview the highlighted ghost image should change (LP:
    #1060941)
  * Dash - As soon as a user starts dragging a .png file from the Dash,
    the file icon changes size (LP: #863412)

  [ Gord Allott <gord.allott@canonical.com>, Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>, Didier Roche ]
  * "unitydashlegalseen" Causing back-up error (LP: #1066646)
  * unity dash should show legal disclaimer (LP: #1065652)

  [ Manuel de la Pena ]
  * StaticCairoText makes NUX get into an infinte loop (LP: #1071327)

  [ Daniel van Vugt ]
  * Minimized windows don't restore, or restore as blank (LP: #1089779)

  [ Andrea Azzarone ]
  * TestOverlayScrollBar.TestScrollDownSignal segfaults  (LP: #1089888)
  * Dash - Update Dash Launcher icon tooltip to say "Search your
    computer and online sources"  (LP: #1090325)
  * TestLauncherController.GetLastIconPriorityUnStickyWithNoIconsAndUri
    segfaults (LP: #1089894)
  * TestDashController.TestShowAndHideDash fails (LP: #1089904)
  * [Regression] Tapping super key shows shortcuts overlay. (LP:
    #1090388)
  * [Regression] Unity fails to restore initially minimized windows.
    (LP: #1097686)
  * launcher does not show minimized update manager while clicked (LP:
    #1003950)
  *  Dash - Update Dash Home search box hint message to say "Search your
    computer and online sources" (LP: #1090327)
  * can't quit a minimized application (LP: #1086366)
  * Unity daily-build (07.01.13) empty space between launcher and dash
    in non default launcher size (LP: #1097184)

  [ Sam Spilsbury ]
  * Fonts get changed to Ubuntu Italic 11 when running make check (LP:
    #1086762)

  [ Gord Allott ]
  * "unitydashlegalseen" Causing back-up error (LP: #1066646)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 3034

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Fri, 11 Jan 2013 13:05:11 +0000

unity (6.12.0daily12.12.05-0ubuntu1) raring; urgency=low

  [ Michael Terry ]
  * debian/control:
    - Update Vcs-Bzr
  * Automatic snapshot from revision 2905 (bootstrap)
    - Hide launcher tooltip once shortcut overlay appears (LP: #1035860)
    - Update shortcut overlay design (LP: #1049601)
    - Don't cut off shadow on launcher icon drag window (LP: #765715)
    - Provide more immediate feedback when clickong on launcher (LP: #893140)
    - Decorate spread windows in switcher (LP: #838222)
    - Make sure to initialize a variable before it can be used (LP: #1073516)
    - Fix FTBFS due to BAMF API change (LP: #1077937)
    - Run gtest during build (LP: #133637)
    - Make shopping lens test more robust (LP: #1077131)
    - Fix some random autopilot test failures (LP: #1078448)
    - Fix autopilot tests for details mode (LP: #1073892)
    - Fix autopilot tests for indicator-session (LP: #1075350)
    - Fix autopilot tests for non-English locales (LP: #1075898)

  [ Didier Roche ]
  * debian/control:
    - adding libgtest-dev and google-mock build-dep now that there are in main
      (LP: #1076763)
    - add libunity-core -> unity-common dep (LP: #1079132)
    - do not have unity-common dep on compiz-gnome: the migration code is only
      ran if compiz-gnome is installed, but compiz-gnome is pulled by compiz
      directly. We don't care if the migration code isn't executed.

  [ bschaefer ]
  * Ported to nux 4.0

  [ Ricardo Salveti de Araujo ]
  * Doesn't need to depend on gcc 4.6 anymore (LP: #1044836)

  [ Nick Dedekind ]
  * Previews loading more than 454 lines of description text crash Unity
    (LP: #1066788)

  [ Brandon Schaefer ]
  * unity::TimeUtil::TimeDelta returns an int value which overflows
    after 24 days of uptime (LP: #806248)
  * Top panel "tooltip" is gone (regression) (LP: #1085045)
  * Dash - Implement *overlay scrollbars* in Dash. Existing scrollbars
    are too thin to grab on to. (LP: #608124)

  [ Andrea Azzarone ]
  * Dash - Regression: Clicking between filter label and 'All' button no
    longer toggles filter label (LP: #1080534)

  [ Didier Roche ]
  * libunity-core fails without the schemas from unity-common (LP:
    #1079132)

  [ Manuel de la Pena ]
  * There is no common ui element that behaves like a url link (LP:
    #1067705)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 2956

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Wed, 05 Dec 2012 09:27:29 +0000

unity (6.12.0-0ubuntu4) raring; urgency=low

  * Really fix cmake now

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 22 Nov 2012 14:51:43 +0100

unity (6.12.0-0ubuntu3) raring; urgency=low

  * Apply 2 upstream patches to fix FTBFS on raring:
    - gettext cmake support change with new cmake
    - include directly iostream needed for std::cout

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 22 Nov 2012 12:31:58 +0100

unity (6.12.0-0ubuntu2) raring; urgency=low

  * debian/control.in: Recommends gnome-control-center-unity

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Nov 2012 19:22:30 +0100

unity (6.12.0-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Includes two already cherry-picked fixes in Ubuntu
    - Unregister gdbus object in the dtor (LP: #1047760)
    - Top panel "tooltip" got out of sync when navigating with the 
      keyboard (LP: #1067358)
    - Fix escaping of _panel_title (LP: #1067357)
    - Fix ALT+Tab switches to incorrect window (LP: #1071298)
    - Stop Unity UI elements from flickering in some cases (LP: #1070735)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 08 Nov 2012 11:10:13 +0200

unity (6.10.0-0ubuntu2) quantal-proposed; urgency=low

  * Cherry-picked from upstream:
    - [SRU Regression] Launcher icon corruption while rearranging
      (LP: #1071813)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 30 Oct 2012 18:00:00 +0100

unity (6.10.0-0ubuntu1) quantal-proposed; urgency=low

  [ Timo Jyrinki ]
  * New upstream release.
    - Gap between the dash gradient and the panel one (LP: #1062375)
    - [regression] Dash closes if the onscreen keyboard is outside of 
      Dash' geometry (LP: #1058705)
    - Dash - Category expander arrow is in expanded mode no matter if 
      category is actually expanded (LP: #1053047)
    - Unity panel does not show the kate menus in the correct order
      (LP: #1062283)
    - compiz crashed with SIGSEGV in g_type_check_instance_is_a() from 
      g_object_unref() from _g_file_attribute_value_clear() from ... from 
      query_info_async_cb() [libgvfsdbus.so] (LP: #1061510)
    - dash's music album previews: can't drag the scrollbar (LP: #1056995)
    - Small chunks of the panel shadow appear individually (and very dark)
      (LP: #1057528)
    - compiz crashed with SIGSEGV on Unity "Unmount" (LP: #1055812)
    - [regression] Dash - 'More suggestions' icons in App Lens are too 
      large (LP: #1052513)
    - BamfLauncherIcon: ensure the icon and name values when the running 
      state changes (LP: #772986)
    - Changes the swapping order of the detail mode. Now the currently 
      active window gets moved to the end, instead of getting swapped 
      with the last used window (LP: #1061229)
    - Fixes GetRegion tex coord maths (LP: #1058391)
    - Fixed fade-in behavior of Unity's showdesktop function (LP: #1063249)
    - Added <feature>showdesktop</feature> to unityshell.xml.in, because 
      the feature showdesktop is provided by unityshell. (LP: #1006429)
      (LP: #1006434) (LP: #1063171)
    - Make HudLauncherIcon::ubus_manager_ "un-static" (LP: #1048274)
    - Fix reference counting problem which leads to memory leaks and a 
      crash in MT grab handles (LP: #1046201)
    - Ensure categories with non-personal results can show up before empty 
      categories with personal results (LP: #1067327)
    - fix a backup error (LP: #1066646)

  [ Łukasz 'sil2100' Zemczak ]
  * Cherry-picked from upstream:
    - Reverted the switch from boost to std which was part of the fix for
      LP: #1046201. The crash is still fixed without this change, so it was
      actually unneeded

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 16 Oct 2012 19:35:02 +0300

unity (6.8.0-0ubuntu2) quantal; urgency=low

  * Cherry-pick a fix for having legal information in the dash. This links
    to a legal html document. The string itself in the dash is picked from
    ubuntu-online-account gnome-control-center integration and so, already
    translated and part of langpacks for 12.10. (LP: #1065652)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 12 Oct 2012 11:47:31 +0200

unity (6.8.0-0ubuntu1) quantal-proposed; urgency=low

  [ Ángel Guzmán Maeso ]
  * debian/unity-crashdb.conf:
    - Update dictionary option for follow latest apport spec 

  [ Łukasz 'sil2100' Zemczak ]
  * New upstream release.
    - unity 6.8 candidate segfaults on "app expose" with low gfx mode 
      (LP: #1060148)
    - [regression] Dash - Left separator is missing (LP: #1057798)
    - unity-panel-service crashed with SIGSEGV in 
      panel_indicator_entry_accessible_get_n_children() from 
      atk_object_get_n_accessible_children() (LP: #913324)
    - [regression] If unity is started with maximized dash, unmaximizing the 
      dash does not wrap rows (LP: #1053116)
    - Dash lens buttons don't work after changing form factor to maximize on 
      desktop (LP: #1053316)
    - Clicking on Workspace Switcher icon when the expo is showing, not always
      closes it 1059759 convert files list deprecated keys (LP: #1059594)
    - Unity through llvmpipe is slow (LP: #1046497)
    - compiz crashed with SIGSEGV in unity::QuicklistView::Show() from 
      unity::QuicklistManager::ShowQuicklist() (LP: #1055995)
    - compiz crashed with SIGSEGV from 
      unity::dash::HomeLens::Impl::LensSearchFinished() (LP: #1054219)
    - [regression] Starting an app & then locking to launcher is not persistent
      across sessions (LP: #1054645)
    - [regression] Dash, Launcher, Menu Bar - Unintended shadows are rendered 
      for the Unity Launcher and Panel, when the dash is open (LP: #1043260)
    - [Unity 6.x] Active blur doesn't update if you disable CCSM > OpenGL > 
      Framebuffer object (LP: #1039999)
    - Alt+Tab/Alt+grave brings other window to the front but loses focus 
      entirely. (LP: #1035628)
    - Spread - Scaling all the windows is too slow (LP: #1055643)
    - Window management - Middle clicking on a window inside the spread should
      close that window (equivalent action to clicking on the close button) 
      (LP: #1052821)
    - Scale window decorations don't have properly rounded corners 
      (LP: #1055610)
    - Scale window decorations text does not match theme style (Radiance) 
      (LP: #1055609)
    - Spread window decorations does not match the theme when changed 
      (LP: #1055605)
    - scaled window decorations are sometimes wider than the window 
      (LP: #1053225)
    - Launcher should not auto-hide after dragging an icon, if mouse is still
      over it (LP: #1053978)
    - unity spread window on second click not working when ibus language panel
      is shown. (LP: #1035895)
    - windows.push_back(<uninitialized value>) in 
      BamfLauncherIcon::GetFocusableWindows (LP: #1053220)
    - Category emblems are blurry (LP: #1056874)
    - Rendering flaws of the dash previews (LP: #1055455)
    - [UIFe] Social Lens doesn't have authorised and meaningful icon 
      (LP: #1056191)
    - [dash] Preview fade out animation hangs occasionally (LP: #1058145)
    - Dash - rendering of ribbons shouldn't be relative (LP: #1057971)
    - Horizontal alignment search box and views below (LP: #1055544)
    - Compiz crashed in cairo_save() from 
      unity::UnityWindow::RenderDecoration() from 
      unity::UnityWindow::scalePaintDecoration() from 
      ScaleWindow::scalePaintDecoration() (LP: #1061396)
    - [regression] Spinner doesn't spin around its center (LP: #1061081)
    - [regression] Graphical glitches in HUD/Dash bottom left and top right 
      corner (LP: #1060532)
    - [Quantal] unity-lens-application does not start on some slow machines 
      (LP: #1058619)
    - [Dash] Rendering flaw of the dash search entry (LP: #1059562)
    - [dash] Rendering flaw of filterbar after scrolling down/scrolling up. 
      (LP: #1059607)
    - Unity launcher doesn't prompt for password to unlock the device when 
      clicking on a encrypted volume icon (LP: #713432)
    - [regression] Unable to add desktop files with spaces in their name from 
      Nautilus into the Launcher (LP: #1055552 )
    - Missing context menus for Qt apps after minimizing the window 
      (LP: #929712)
    - Music preview note image is blurry (LP: #1060195)
  * debian/control:
    - Bumped libnux dependency to 3.8.0

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 04 Oct 2012 18:17:41 +0200

unity (6.6.0-0ubuntu3) quantal-proposed; urgency=low

  * Upload to quantal-proposed for the compiz abi transition

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Oct 2012 19:38:57 +0200

unity (6.6.0-0ubuntu2) quantal; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * debian/unity-common.maintscript:
    - Added routines for removing the unused
      /etc/compizconfig/upgrades/com.canonical.unity.unity.03.upgrade file
  * debian/control, debian/compat:
    - Bumped the debhelper version to the 9 series

  [ Didier Roche ]
  * Fix the above versionning for removing the conffile
  * build-dep on compiz as getting an ABI break.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 01 Oct 2012 14:25:09 +0200

unity (6.6.0-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release.
    - Fixes non-escaped character sequences in dash previews (LP: #1039020)
    - Updated background layer for preview cover-art and details panels
      to be 10% low-light
    - Expand a PlacesGroup if it is the only category that contains results
      (LP: #950710)
    - Update unity autopilot tests to match autopilot API
    - Updated the convert files to fix some typos in the key names
    - Add gmodule dependency
    - Activate proper result if the categories aren't displayed in-order
      (LP: #1040101)
    - Refactor device launcher icons (LP: #713423)
    - LauncherController: make the controller enable the launcher struts,
      based on hide-mode option (LP: #1044005)
    - Launcher: make always possible to drag an icon to the bottom or top
      of its sub list (LP: #1043968)
    - Don't desat bfb/hud icon in DNDReset (LP: #1043963)
    - Progressively adjust the speed of the minimize animation. First
      time it is used is slower, then speeds up the more it is used.
      (LP: #1017510)
    - Implement new ordering of categories for home lens. (LP: #1043915)
    - UnityWindow now implements ScaleWindowInterface (LP: #876017)
    - Launcher: restore an icon position after that the dragging has been
      cancelled (LP: #955561)
    - LauncherDragWindow: cancel drag on window mapped/unmapped
      (LP: #1044723)
    - Now there is a check of an override color in RefreshColor (which is
      called when a PropertyNotify event happens). Also added a check in
      FullySaturateColor to a void division by zero. (LP: #975350)
    - Queue redraw after cover-art texture is updated from a url/file source.
      (LP: #1043947)
    - Fixed ability to delete glib::Source wrapper during its callback
      (LP: #1044823)
    - Close preview when dash is hidden. (LP: #1045298)
    - LauncherModel: rewrite the Reordering functions to keep the icon
      priority deltas (LP: #761155)
    - Make sure we can pass extra hints when activating preview actions.
      (LP: #1046352)
    - UnityWindow: scale window code improved (LP: #1033935)
    - The mouse will now cause the HUD buttons to change selection
      (LP: #1042692)
    - "Alt+Space" shortcut to reveal the window menu is not hardcoded, but a
       Compiz key option. " (Hold)" should also be translated. Made all
       Compiz plug-in names and all Compiz plug-in option names in
       unityshell.cpp static constants.
    - remove unity --reset, it's not anymore really needed now that we are
      in stable days of unity and we moved to gsettings
    - Removed the variables 'oldPrev' and 'oldNext' which got assigned the
      value NULL, but then were never used
    - Fixed the size of the previews to 770x380 pixels. (LP: #1045243)
    - UnityWindow: use smart pointers, use static close_icon (with dynamic
      state) and PanelStyle context (LP: #1033935) (LP: #1045127)
      (LP: #1046124) (LP: #1046126)
    - Remove everything in the #ifndef USE_MODERN_COMPIZ_GL ifdefs and remove
      the ifdefs alltogether. unity now requires compiz 0.9.8.0.
    - Re-add code to draw panel background texture when the dash is open and
      there is a maximized window (LP: #1044460)
    - EdgeBarrierController: Temporary disable the edge barriers also when
      autohide is set (LP: #1020058)
    - a11y: Port unity3d and panel service accessibility init to atk-bridge
      (LP: #1023542) (LP: #1046582)
    - Dash and Hud get drawn correctly no matter which monitor the mouse is in
      (LP: #1002260)
    - Fix minor problem with the Hud/Dash being drawn while closing on a
      different monitor.
    - Extended track play/pause mouse discovery for entire track row.
      (LP: #1043997)
    - Implemented DBus interface for DashController and made HideDash()
      method available via DBus. This is needed by music-preview-player
      codec installation functionality for hiding the dash when codec
      installation starts. (LP: #1043825)
    - Adds the extra_text property to preview Action (LP: #1049008)
    - Fixed a layout flicker when first opening previews (LP: #1038944)
      (LP: #1043277)
    - Update sizing of elements to match designs, update assets (LP: #1049096)
    - Fix crash in unity::dash::CoverflowResultView::Impl::Impl()
      (LP: #1047420)
    - UnityShell: remove scale_highlighted_window_ variable, using scale's
      getSelectedWindow instead (LP: #1046795)
    - Fixed dash dismissal when changing focus to a window on monitor external
      to that of the dash. (LP: #923657) Improved panel update speed when
      opening dash. (LP: #1044086)
    - Added two new special icons for missing album cover; to be used by
      music lens. They don't really fit into unity-asset-pool as they don't
      have regular sizes. (LP: #1049217)
    - Register file delete events in zeitgeist when file is dropped onto Trash
      launcher icon. Added zeitgeist dependency. (LP: #870150)
    - Restore the panel shadow, which has been missing since Unity 6.4.
      (LP: #1045705)
    - Added SocialPreview. (LP: #1049127)
    - Disable the flow renderer (LP: #1049593)
    - Added two new special icons for missing album cover; to be used by
      music lens (LP: #1049217)
    - Updated dash result highlight focus to 106x106 pixels with 20% white
      opacity. Increased dash result file image size to 96x96. (LP: #1049128)
    - Avoid construction of row wrappers. (LP: #1050342)
    - Added extra-text to preview actions (for price tags) (LP: #1049593)
    - Change the IconLoader methods to allow specifying both
      maximum width and height. Updated rendering of the icon
      ribbons. (LP: #1049593)
    - Preview navigation buttons opacity changes on mouse-over.
      (LP: #1049593)
    - Adds a new background gradient to the dash and panel, as well as
      removes some separator lines (LP: #1049593)
    - Fixed a warning emitted by unreferencing an object owned by a smart
      pointer in HudController.cpp. Caused by adopting a new nux::BaseWindow.
    - Removed dash preview background shadow. (LP: #1049593)
    - Raise shortcut overlay on show (LP: #985883)
    - Reduce internal-padding inside filter buttons (LP: #856277)
    - Added left and right click exit to cover art for all previews
      (LP: #1045230) (LP: #1045752) (LP: #1049593)
    - Show the alt-tab on the monitor with the mouse (LP: #1044293)
    - Fix several failing autopilot tests
    - Fix the standalone launcher crash on exit
    - Fix uninitialized and invalid reads as reported by valgrind
    - Enabled focus navigation for dash preview buttons
      (LP: #1045416) (LP: #1049593)
    - Fixed scrolling in music preview
    - Send the current XLib timestamp to applications when we're opening
      them to not confuse them and cause issues like what we have seen
      with Firefox (LP: #1050687)
    - Implemented the loading of the category icon for the application
      category (required for the apps lens) (LP: #1049593)
    - Refactor unity::Settings to use nux::RWPropert (LP: #1044681)
    - LauncherController, FavoriteStore, Launcher, Icons: always use sort
      priority based on favorites to get positioned on launcher
      (LP: #761155) (LP: #858540) (LP: #868423) (LP: #1028927)
      (LP: #1042845) (LP: #1045146)
    - UnityWindow: implements sigc::trackable to fix crash (LP: #1052683)
    - Dash/Hud no longer steal mouse events outside their content area.
      Better draw handling of hud animation (LP: #1049593)
    - add a deprecated --reset option as it seems otherwise to match
      to --reset-icons
    - Slows the animation down when installing applications in the Dash
      Preview and the Software Center (LP: #1045746)
    - Updates the API to match nux trunk and nux/3.0
    - Introduced dash to preview transitions, relying on nux (LP: #1049593)
    - Don't call GraphicsContext::DeactivateFramebuffer which will
      immediately restore the backbuffer. Instead call WindowCompositor::
      RestoreMainFramebuffer to bind either the backbuffer or reference
      framebuffer for reading as that is the one we're drawing to as is the
      most-up-to-date
    - SocialPreview: Don't expand preview_info_hints, it was pushing down
      the comments when there wasn't enough comments to fill the space
    - Show workspace switcher icon always
    - Fix rendering of Dash in maximised mode with redirected textures
      by using the same code-patches as the restored Dash mode for the
      overlay. (LP: #1053092)
    - Fix more unit tests
    - Fix ERROR ... unity.thumbnailgenerator ThumbnailGenerator.cpp:429
      More than one thumbnail generator created.
    - Implement "focus on hover" behavior for preview action buttons
      (LP: #1053014)
    - Clicking on Dash border should not close the dash
    - Remove two manual-tests, that are now obsolete
    - Adds changes to the LauncherController to better handle favourites
      and the expo icon
    - [UIFE][FFE] Install Amazon and Ubuntu One Music Store webapp items
      in the launcher by default (LP: #1046840)
  * debian/control:
    - build-dep on libzeitgeist-dev and libunity-dev
    - bump because of ABI breakage build-dep on compiz and nux
    - now recommends unity-lens-shopping (LP: #1053470)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 20 Sep 2012 16:56:38 +0200

unity (6.4.0-0ubuntu6) quantal; urgency=low

  * Backport a fix for [regression] Dash - Hitting enter after opening
    Lens or searching no longer opens first item (LP: #1041583)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 10 Sep 2012 11:33:32 +0200

unity (6.4.0-0ubuntu5) quantal; urgency=low

  [ Sebastien Bacher ]
  * debian/control: updated some build-depends

  [ Michael Terry ]
  * debian/control: Recommend unity-lens-photos (FFe LP: #1044447)

 -- Michael Terry <mterry@ubuntu.com>  Fri, 07 Sep 2012 11:59:14 -0400

unity (6.4.0-0ubuntu4) quantal-proposed; urgency=low

  * CMakeLists.txt: Make the GL/GLU linking conditional on BUILD_GLES,
    rather than based on uname, so it actually matches GLES settings.
  * dash/previews/CMakeLists.txt: Cargo-cult linking options from other
    modules for both -fPIC and UNITY_STANDALONE_LADD, fixing ARM/GLES.
  * debian/rules: Remove crazy per-arch quilt madness and drop patches.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 02 Sep 2012 18:34:29 -0600

unity (6.4.0-0ubuntu3) quantal-proposed; urgency=low

  * no-change rebuild to pick up nux-dev gles bits on armel/armhf 

 -- Iain Lane <iain.lane@canonical.com>  Sun, 02 Sep 2012 18:17:45 +0100

unity (6.4.0-0ubuntu2) quantal-proposed; urgency=low

  * debian/rules: "foo" really isnt a valid architecture, set 
    gles2_architectures to "armel armhf" so that GLES support gets actually
    enabled on arm builds (...from the stories of the "Doh! Department")
    (LP: #1044709)

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 01 Sep 2012 20:28:01 +0000

unity (6.4.0-0ubuntu1) quantal-proposed; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * New upstream release.
    - Software Center add to launcher icon animation is delayed when the 
      launcher is in auto-hide mode (LP: #1012896)
    - Home lens: Applications show up in Music category (LP: #1040101)
    - WARN unity.hud.hud Hud.cpp:185 Attempted to close the hud connection 
      without starting it (LP: #1039451)
    - Text field textures do not update when maximum width changes. 
      (LP: #1037187)
    - An application is closed if manually removed from favorites on gsettings
      (LP: #1032157)
    - The switcher (Alt+Tab) is showing incorrect windows after using Deskop 
      Wall (Ctrl+alt+<direction>) (LP: #1031959)
    - Dragging icons to reorder -away from launcher causes the dragged icon 
      image edges to fade away(cut off) (LP: #1026247)
    - Screen flickers when changing launcher icon size. (LP: #1024113)
    - Arrow for indicating lenses points empty space on alt+F2 (LP: #998752)
    - [previews] Music album tracks do not have a scroll-bar when needed.
      (LP: #1039462)
    - [USE_MODERN_COMPIZ_GL] With unity scrollbar support enabled, hotplugging
      monitors doesn't work (LP: #1039410)
    - [previews] Track titles aren't escaped (LP: #1039020)
    - Launcher - Edge of tiles (with backlight disabled) is too opaque 
      (LP: #1038138)
    - [USE_MODERN_COMPIZ_GL] Benchmark window appears behind the Unity shell 
      now (LP: #1036609)
    - [GLES] [USE_MODERN_COMPIZ_GL] Unity shell (Launcher and Panel) are 
      missing if framebuffer_object is disabled (LP: #1036569)
    - [USE_MODERN_COMPIZ_GL] Benchmark window is mostly invisible, shrunken 
      and displaced (LP: #1036528)
    - Unity quicklist menu items leak memory (LP: #1036338)
    - Icon resized between 32 - 48 - 64 look jaggy (LP: #1036231)
    - [Regression] Hideous low-res icon when using the HUD with autohide 
      enabled. (LP: #1035951)
    - [regression] Selecting an item of the BFB quicklist when the dash is 
      open, causes it to hide (LP: #1035641)
    - Launcher - Switch on "backlight toggles" mode by default (LP: #1033866)
    - Unity spends 15% of time in PlacesGroup::ComputeContentSize when opening 
      dash (LP: #1033306)
    - Launcher dragged icon is not redrawn when the mouse pointer is not moved
      (LP: #1032700)
    - Bottom - Up key navigation is broken in dash filterbar (LP: #1028810)
    - Launcher - SD card can not be ejected by drag-n-dropping to trash 
      (LP: #960910)
    - Alt-tab - The app name in the integrated menu should not change during 
      Alt-tab switching (LP: #950782)
    - Dash - If only one Category Header is displayed, it should be 
      automatically expanded (LP: #950710)
    - Launcher - Unity mouse wheel scroll too small (LP: #906072)
    - boot moves desktop icons (LP: #886667)
    - Alt-tab - Reduce the spread delay for all items other than the initial 
      item the select lands on after alt-tab opens (LP: #838232)
    - Launcher - Launcher should never autohide when the cursor is positioned 
      over the Launcher (e.g. When a spread ends) (LP: #745707)
    - Dash home opens files by default, should be applications? (LP: #1041583)
    - [BUILD_GLES] Multiple build errors in unity-shared/IconRenderer.cpp
      (LP: #1039453)
    - [USE_MODERN_COMPIZ_GL] [multimonitor] If unityshell is loaded then both 
      monitors are intermittently painted onto the second monitor (squeezed) 
      (LP: #1037949)
    - [USE_MODERN_COMPIZ_GL] [multimonitor] Launcher/Panel only draws on one 
      monitor, not both (LP: #1037408)
    - [GLES] [USE_MODERN_COMPIZ_GL] [regression] Launcher and Panel are drawn 
      on top of fullscreen windows (LP: #1036587)
    - [GLES] [USE_MODERN_COMPIZ_GL] Screen goes black if unityshell is loaded 
      and vertex_buffer_object=OFF (LP: #1036568)
    - [regression] [USE_MODERN_COMPIZ_GL] Launcher overdrawn; transparency lost
      and white line appears. (LP: #1036519)
    - lp:unity FTBFS - Launcher.h:138:11: error: ‘GestureDeliveryRequest’ in 
      namespace ‘nux’ does not name a type (LP: #1036095)
    - Results sorting in the lens model is not reflected in the Dash 
      (LP: #1027811)
    - Launcher - Quicklist menu does not respond to being opened on a new icon
      if already open (LP: #890991)
    - compiz crashed with SIGSEGV in SimpleLauncherIcon::SetIconName() 
      (LP: #763560)
    - Unity crashes on startup with nvidia (LP: #1041123)
    - [staging ppa] unity crashes when running dash autopilot tests 
      (LP: #1040875)
    - lp:unity does not build (missing dash/PreviewMusic.cpp) (regression of
      bug 1038886) (LP: #1040431)
    - Coverflow can crash unity (LP: #1039959)
    - lp:unity does not build (missing dash/PreviewMusic.cpp) (LP: #1038886)
    - lp:unity (USE_MODERN_COMPIZ_GL) FTBFS IconRenderer.cpp:845:5: error: 
      ‘TextureCoord0Location’ may be used uninitialised in this function 
      [-Werror=uninitialized] (LP: #1036514)

  [ Timo Jyrinki ]
  * Cherry-pick fixes from upstream:
    - Launcher: make always possible to drag an icon to the bottom or top 
      of its sublist (LP: #1043968)
    - LauncherController: make the controller enable the launcher struts, 
      based on hide-mode option. (LP: #1044005)
    - Don't desat bfb/hud icon in DNDReset. (LP: #1043963)
    - LensView: fallback to normal renderer (instead of Coverflow) 
      if GLSL unavailable (LP: #1040628)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 30 Aug 2012 23:49:09 +0200

unity (6.2.0-0ubuntu4) quantal; urgency=low

  * debian/control:
    - Depends on compiz-plugins-default rather than on a transitional one
  * tools/convert-files/compiz-profile-(active)-unity.convert:
    - updated to fix some key names typos in the list (lp: #1041631)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Aug 2012 22:05:26 +0200

unity (6.2.0-0ubuntu3) quantal-proposed; urgency=low

  * debian/control:
    - updated compiz gsettings version

  [ Didier Roche ]
  * Backports:
    - the remaining part of the gconf removal from upstream branch
    - the .convert migration scripts
  * debian/control:
    - do not build-dep on gconf anymore
    - build-dep on latest compiz for building gsettings keys
      (part 2 of LP: #1035261)
  * debian/unity-common.install, debian/control:
    - don't ship gconf schemas as not built anymore (the gsettings schema ones
      are already shipped)
    - install the gnome-control-center unity keybinding integration
    - install the .convert files handled by the compiz migration script and
      make unity-common depending on the right version of compiz-gnome (with
      the migration script)

  [ Timo Jyrinki ]
  * Add dbus-glib-1 to UNITY_PLUGIN_DEPS to fix FTBFS 
  * Remove the remaining gconf files from installation
  * Remove gconf-2.0 dependency from services
  * Make sure USE_GSETTINGS is defined
  * Backports:
    - gnome-control-center integration

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 23 Aug 2012 17:58:52 +0200

unity (6.2.0-0ubuntu2) quantal; urgency=low

  * debian/control:
    - create unity-2d transitional packages. Removing unity-2d as it is now
      not supported and won't be transitionned to the necessary gsettings
      changes (part one of LP: #1035261)
    - change some description wording to remove -2d
  * debian/*preinst:
    - removed, useless now
  * debian/profile_upgrade*, debian/unity-common.install:
    - remove old profile upgrade content

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 13 Aug 2012 12:10:54 +0200

unity (6.2.0-0ubuntu1) quantal-proposed; urgency=low

  [ Adam Conrad ]
  * Removed debian/patches/libgeis-rename.patch

  [ Łukasz 'sil2100' Zemczak ]
  * debian/rules:
    - added override for dh_shlibdeps to point it to the private directory of
      libunity-protocol-private.so
  * debian/unity.lintian-overrides,
    debian/libunity-core-6.0-5.lintian-overrides:
    - added override to silence the binary-or-shlib-defines-rpath error, since
      we are forced to use RPATH in our case

  [ Didier Roche ]
  * New upstream release.
    - [nvidia] compiz crashed with SIGSEGV in
      nux::GraphicsEngine::QRP_GLSL_Color() from
      nux::GraphicsEngine::QRP_Color() from nux::BasePainter::PaintBackground
      (LP: #982626)
    - Launcher - when a user starts dragging a item, any folded launcher icons
      that are valid drop receptacles should unfold. (LP: #839717)
    - running applications without an icon use a blank icon (LP: #886778)
    - compiz crashed with SIGSEGV in
      unity::ui::KeyboardUtil::GetKeycodeAboveKeySymbol() (LP: #920258)
    - still some accent issues with unity/nux (LP: #950740)
    - Launcher doesn't autoscroll when holding an icon (can't reach trash)
      (LP: #987223)
    - Purchased items are not being added to the Unity launcher (LP: #925014)
    - [GLES] framebuffer output scaled incorrect in both blur and items above
      shell with multimonitor (LP: #1016789)
    - [regression] [unity 6.0] Fullscreen windows flicker and/or never redraw
      properly if panel_opacity<1.0 or dash is opened. (LP: #1024911)
    - panel and launcher blinks when using libreoffice presenter/spreadsheet
      (LP: #1024459)
    - compiz crashed with SIGSEGV in
      unity::ui::EdgeBarrierController::Impl::OnPointerBarrierEvent()
      (LP: #1020075)
    - Update to 1.6.4 (LP: #1014850)
    - [nvidia] unity crashed in nux::GraphicsEngine::QRP_GLSL_1Tex
      (glDrawArrays)  (LP: #1031554)
    - Dragging image from firefox/chrome to dock causes lagg/freeze
      (LP: #772445)
    - Launcher, Dash - Showing dash, via super key, with a quicklist shown
      doesn't work (LP: #913994)
    - REGRESSION: can't type characters with accent (dead keys) (LP: #961741)
    - Launcher wrongly shows top tooltip when peforming the accordion effect
      (LP: #980942)
    - Unity Launcher Fails To Auto-Hide When Enabled & Installing Commercial
      Software (LP: #1002440)
    - logging out/in with mounted drives causes unity launcher icons to be
      duplicated (LP: #1010714)
    - Mounted volume icons doubled up in launcher (LP: #1010858)
    - Launcher -  when a user starts dragging a item, the launcher icons that
      are *not* valid drop receptacles should be tinted (LP: #1020891)
    - Alt+F4 does not close the hud when Numlock or Capslock are on.
      (LP: #1022801)
    - Unity shortcut overlay needs to include shortcut for video lens
      (LP: #937334)
    - padding between last quicklist item and bottom edge is non-deterministic
      (changes randomly) (LP: #955158)
    - give a way to remove 'Show Desktop' from the Alt-Tab items
      (LP: #1014346)
    - Multi-monitor - Add 'sticky edges deactivated for number of milliseconds
      after the user breaks the barrier' variable (LP: #1020058)
    - Quicklist blocks Hud from opening (LP: #1020246)
    - dash should open when pressing "super" in scale mode (LP: #1023811)
    - Screen flickers when changing launcher icon size. (LP: #1024113)
    - Dragging on a quicklist item highlights the wrong item in the list
      (LP: #1027955)
    - Switcher does not focus the last active window in detail mode
      (LP: #1029215)
    - An application is closed if manually removed from favorites on gsettings
      (LP: #1032157)
    - Support for automation (LP: #685199)
  * debian/control:
    - build on latest nux (ABI break)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 10 Aug 2012 15:01:01 +0200

unity (6.0.0-0ubuntu6) quantal; urgency=low

  * Don't specify a specific destination for the dbus signals, that
    creates issues with the new dbus eavedropping behaviour,
    thanks Neil J. Patel for the fix! Required for the new dbus version.
    (lp: #1014850)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Aug 2012 16:35:04 +0200

unity (6.0.0-0ubuntu5) quantal; urgency=low

  * Update build-deps to lib{geis,grail}-dev for the great library renaming.
  * debian/patches/libgeis-rename.patch: Update CMakeLists.txt for the above.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 30 Jul 2012 16:09:17 -0600

unity (6.0.0-0ubuntu4) quantal; urgency=low

  * debian/control:
    - make unity depending on dconf-tools as the migration script is using the
      dconf binary

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 19 Jul 2012 18:34:37 +0200

unity (6.0.0-0ubuntu3) quantal; urgency=low

  * Add a dconf migration script from /desktop/unity to /com/canonical/unity
    + debian/unity.migrations, debian/control, debian/rules:
      - build-dep on dh-migrations
      - include the upstream migration script (cherry-picked)
 
 -- Didier Roche <didrocks@ubuntu.com>  Thu, 19 Jul 2012 12:49:13 +0200

unity (6.0.0-0ubuntu2) quantal; urgency=low

  * Cherry pick upstream fixes.
    - [regression] [unity 6.0] Fullscreen windows flicker and/or never redraw 
      properly if panel_opacity<1.0 or dash is opened (LP: #1024911)
    - panel and launcher blinks when using libreoffice presenter/spreadsheet
      (LP: #1024459)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Mon, 16 Jul 2012 14:48:14 +0200

unity (6.0.0-0ubuntu1) quantal-proposed; urgency=low

  [ Didier Roche ]
  * debian/rules, debian/control, debian/unity-autopilot.install:
    - install new unity-autopilot package, containing autopilot bindings and
      test for Unity
    - add some python build-dep for executing setup.py
    - use dh_python2 and add some python:Depends dep for automatic python
      version detection
  * debian/control:
    - remove gnome-desktop dependency: not needed upstream anymore
    - unity Breaks older lenses due to path change
    - remove libgdu in build-dep
  * debian/libunity-core-6.0-5.install, debian/libunity-core-6.0-dev.install,
    debian/control:
    - version bump in libunity-core, change soname

  [ Matthieu Baerts (matttbe) ]
  * Update apport hook for python3 ; thanks to Edward Donovan (LP: #1013171)

  [ Łukasz 'sil2100' Zemczak ]
  * New upstream release.
    - compiz crashed with SIGSEGV in get_current_slide() from
      unity::BGHash::OnSlideshowTransition() (LP: #889625)
    - Unity is visible on top of fullscreen apps (LP: #734908)
    - App icon on the Unity Launcher lost track of running instance
      (LP: #772063)
    - unity crashed with NameError in reset_unity_compiz_profile(): global
      name 'GError' is not defined (LP: #778470)
    - compiz crashed with SIGSEGV in CompWindow::id() from getPaintMask()
      [compizminimizedwindowhandler.h] from unity::UnityWindow::glPaint()
      (LP: #851982)
    - HUD - Formatting of text in the auto-complete is wrong (LP: #939436)
    - [regression] Launcher is silent to screen reader users (LP: #949448)
    - still some accent issues with unity/nux (LP: #950740)
    - [regression] [precise] 3D apps run much slower under Unity (LP: #987304)
    - No launcher icon or Alt+Tab entry for Gimp windows (LP: #995916)
    - Locked smuxi launcher icon does not indicate smuxi running status
      (LP: #999820)
    - When number of workspaces is set to 1, the Spread no longer works
      (LP: #996604)
    - Much slower OpenGL frame rates with unityshell loaded, than plain compiz
      (LP: #988079)
    - Port to libudisks2 (LP: #1012000)
    - Desktop, Launcher and menu bar still visible when screen locked
      (LP: #886605)
    - Searching in the HUD freezes unity (LP: #1016239)
    - Dragged icons rendered under dash (LP: #1021541)
    - Regression in Launcher keyboard navigation (with Alt+F1) (LP: #1021549)
    - Unity dash is is much slower/laggy after revision 2469. (LP: #1021665)
    - Dash and Launcher - As soon as a user starts dragging a file from the
      Dash, there is a 'flicker' before the Launcher icons that are valid drop
      receptacles re-saturate (LP: #863230)
    - Dash - when a file is dragged from the Dash (Dash home, file lens, or
      music lens) and dropped on a Launcher icon, the Dash should
      automatically close (LP: #865168)
    - Refreshing active blur makes the dash painfully slow (LP: #874230)
    - Open dash, press Alt+f1 - dash remains open (LP: #919209)
    - application reopens itself when last instance is closed from
      windows/application switcher (LP: #926406)
    - HUD Draws improperly while searching for results (LP: #932531)
    - Spread/Scale should exit if Dash is invoked (LP: #944033)
    - Launcher - Add API to allow apps to override the Launcher tile
      colourisation with a colour of their choosing (LP: #962120)
    - Dash - search field is hidden by tooltips (LP: #978030)
    - Dash: Inconsistent hover/highlight/clickable area behavior (LP: #979686)
    - Black background around after dash is restored (LP: #992516)
    - Unity launcher shows internal partitions after they have been unmounted
      (LP: #994163)
    - Unity r2395 fails to build with libnux 2.12.0-0ubuntu1 (LP: #1010348)
    - Hud flickers when show up. (LP: #1011507)
    - Nothing should be written into the dash/hud searchbar when holding
      super, ctrl or Alt (LP: #1013751)
    - Releasing mouse button outside panel 'close' window button removes
      keyboard focus from Dash & Hud (LP: #1021087)
    - [regression] Unity panel transparency (active blur) not updating
      properly (LP: #865006)
    - When selecting an action from a quicklist after opening the dash the
      dash stays put (LP: #937338)
    - Wrong keyboard focus after opening workspace switcher via keyboard
      navigation (LP: #962408)
    - can't click to dismiss hud in the area where dynamic hud results are
      meant to apper (LP: #962651)
    - launcher reordering "line" doesn't go to the bottom slot (LP: #971421)
    - Tooltips backgrounds are not refreshed (no active blur) (LP: #967112)
    - Dash maximise button changed location (LP: #987674)
    - alt-backtick flickers between windows (LP: #987156)
    - When blur is disabled, shortcuts overlay and alt+tab switcher is
      completely transparent. (LP: #989291)
    - Duplicated applications icons on quick application restart
      (LP: #1003574)
    - [Hud] The result grid is not drawn in proximity of the search entry.
      (LP: #1008603)
    - [hud] The last button is not rounded. (LP: #1008656)
    - 'UnityNETWorkareaRegionWindow::resizeNotify' hides overloaded virtual
      function (LP: #1010303)
    - use of logical '&&' with constant operand (LP: #1010307)
    - Unity/Nux input window titles are too generic (risky to match): "panel",
      "launcher", "Dash" (LP: #1010338)
    - Hud should close with Alt+F4 (LP: #1019440)
    - Dragging windows around is slow/sluggish/laggy when multiple monitors
      are enabled (LP: #874619)
    - No launcher icon or Alt+Tab entry for Scribus windows (LP: #999171)
    - launcher is not refreshed after user session switch (LP: #1016430)
    - Alt F1 keynav mode is not disabled when the Hud is open (LP: #1020808)
  * debian/control, debian/rules:
    - switch to nux-3.0

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 09 Jul 2012 18:07:36 +0200

unity (5.12-0ubuntu4) quantal-proposed; urgency=low

  * debian/control:
    - build on unversionned version of boost (to transition to 1.49 in quantal)
      (LP: #1008219)
    - build-dep on latest compiz-dev version for ABI break
    - Vcs-Bzr: move to canonical branch
    - remove netbook-launcher transitional package and other unsupported
      transition cruft
  * debian/rules:
    - build in parallel
  * Cherry-pick some upstream fixes for the newer g-c-c making previous upload
    FTBFS in quantal
  * as armel/armhf is temporary build with opengl now, build-dep on nux
    2.12.0-0ubuntu2

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 31 May 2012 10:21:46 +0200

unity (5.12-0ubuntu3) quantal; urgency=low

  * Build with gcc-4.6 temporarily while upstream works
    on fixing the build with gcc-4.7 and boost1.49.
  * Rebuild for the libgnome-desktop SOVER bump.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 07 Jun 2012 16:16:44 -0600

unity (5.12-0ubuntu2) quantal; urgency=low

  * Cherry pick upstream fixes.
    - Fix UnityViewWindow background when blur is disabled (LP: #989291)
    - App icon on the Unity Launcher lost track of running
      instance (LP: #772063)
    - No launcher icon or Alt+Tab entry for Gimp windows (LP: #995916)
    - Locked smuxi launcher icon does not indicate smuxi running
      status (LP: #999820)
    - Fix dash search field hidden by tooltips (LP: #978030)
    - Launcher is silent to screen reader users (LP: #949448)
    - Fix 3D apps running much slower under Unity (LP: #987304)
    - Reduced number of calls to ResultViewGrid::QueueDraw
    - Reduced number of calls to BGHash::RefreshColor

 -- Alan Pope <popey@ubuntu.com>  Wed, 23 May 2012 18:10:49 +0100

unity (5.12-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
    - Launcher, Alt-Tab - clicking on launcher item or selecting a app in Alt-
      Tab raises all app windows, not just most recently focused (LP: #959339)
    - [heap corruption?] compiz crashed with SIGSEGV in _int_malloc() from
      g_realloc() from ... from g_dbus_connection_send_message_with_reply()
      from g_object_unref() from unity::dash::HomeLens::Impl::~Impl() from
      unity::dash::HomeLens::~HomeLens() (LP: #931201)
    - compiz crashed with SIGSEGV in _int_malloc() from __libc_calloc() from
      XOpenDisplay() from nux::WindowThread::ThreadCtor() (LP: #947844)
    - Regression: Installing apps causes a terrible visual glitch-- have to
      restart X.org. (LP: #981168)
    - Window management - unity doesn't realise when applications bring their
      windows to the front (LP: #802816)
    - Dash - Clicking on the desktop dash border should do nothing, *NOT*
      close the dash (LP: #839472)
    - [FFe, UIFe] HUD - The HUD does not respect launcher icon size settings
      in autohide mode (LP: #921506)
    - compiz crashed with SIGSEGV in g_volume_get_mount() (LP: #918548)
    - multiple instances or double icons of application detected on bamfdaemon
      respawn (LP: #928912)
    - Panel is transparent when Dash is open; no blur no average BG color
      (LP: #965323)
    - Unity crashes with SIGSEGV when hitting debug DBus interface hard
      (LP: #979429)
    - compiz crashed with SIGSEGV in _int_malloc() from g_object_unref() from
      unity::dash::Model<unity::dash::FilterAdaptor>::~Model() (LP: #941750)
    - indicators menu are sometimes cut off at screen edge (LP: #883317)
    - the shortcut keys in workspace section of the shortcut overlay aren't
      translated (LP: #980828)
    - [regression] Dash keeps repainting unnecessarily (LP: #980924)
    - compiz crashed with SIGSEGV in nux::NTextureData::ClearData() from
      nux::NTextureData::~NTextureData() from nux::Texture2D::~Texture2D()
      (LP: #952378)
    - compiz crashed with SIGSEGV in g_object_unref() from
      unity::dash::Settings::~Settings() from
      unity::UnityScreen::~UnityScreen() (LP: #981764)
    - compiz crashed with SIGSEGV in unity::dash::ResultView::~ResultView()
      from unity::dash::ResultViewGrid::~ResultViewGrid() from
      nux::Object::Destroy() from nux::Object::UnReference() (LP: #942286)
    - compiz crashed with SIGSEGV in
      ends_with_iter_select<__gnu_cxx::__normal_iterator<char const*,
      std::basic_string<char> >, char const*, boost::algorithm::is_iequal>()
      from unity::ui::PointerBarrierWrapper::EmitCurrentData() (LP: #983268)
    - Chinese can't be shown completely in dash filter (LP: #984583)
    - [Unity 5.10] compiz crashed with SIGSEGV in
      unity::hud::HudIconTextureSource::ColorForIcon() from
      unity::hud::Icon::Icon() from emit from unity::IconTexture::IconLoaded
      (LP: #983646)
    - [regression] Close button does not close the dash/HUD (LP: #986264)
    - compiz crashed with SIGSEGV in g_volume_eject_with_operation_finish()
      from unity::launcher::DeviceLauncherIcon::OnEjectReady() from
      (LP: #977762)
    - Launcher - should allow to dnd on any icon (and not just the ones
      matching the type) (LP: #880798)
    - unity confused with chrome/chromium web apps (LP: #692462)
    - App Switcher (Alt+Tab) doesn't display the full title of apps in Chinese
      (LP: #830801)
    - alt-tab - quick alt + tab (before the switcher shows) not consistent
      (LP: #861250)
    - run command (alt+F2): results do not contain the exact match
      (LP: #842108)
    - It's possible to highlight two different Quicklist menu items
      simultaneously (LP: #911561)
    - Hiding the dash from a lens view fades out home view (LP: #914785)
    - Flickering in the dash (LP: #961979)
    - Dash - Card view layout needs fixing (LP: #977817)
    - [regression] Blurred view of the current workspace is shifted down when
      unity dash is in fullscreen mode (LP: #977922)
    - Quicklist key navigation is not consistent with menus (LP: #978926)
    - Quicklist key navigation should skip the disabled items (LP: #979096)
    - Pointer locks up after dragging windows with three touch gesture
      (LP: #979418)
    - Alt-Tab, multimonitor - The Alt-Tab overlay should appear on the display
      which has focus. (LP: #981795)
    - Hud to Dash forgets last focused window on exit (LP: #984639)
    - Remote scopes are not restarted after crash (LP: #984760)
    - compiz crashed with SIGSEGV in unity::dash::DashView::default_focus()
      (LP: #982730)
    - [regression] Launcher should raise all the urgent windows, not only the
      top-most (LP: #986443)
    - Clicking on the quicklist application title doesn't initiate the spread
      when needed (LP: #986461)
    - Hud: spinner keeps spinning long after the query returns (LP: #987781)
    - Dash: Incorrectly scaled icons (LP: #988338)
    - Music Lens doesn't work for albums in Precise with Rhythmbox
      (LP: #970509)
    - New apps on the launcher have no shortcut key until something is being
      closed (LP: #778499)
    - Lens search hint changes to "search" when the entry gets unfocused
      (LP: #887036)
    - don't show disabled shortcut in keyboard shortcut help (LP: #926418)
    - HUD: Can not be closed by clicking on HUD icon (LP: #963918)
    - Show desktop icon should be movable, definitely not on top of BFB
      (LP: #964073)
    - [card view] bottom of results cropped when a category is not expanded
      (LP: #975003)
    - Non closable maximized windows should show a disabled close button
      (LP: #981196)
    - make launcher fails (LP: #983989)
    - Sources filter shouldn't be shown if there's just one item (LP: #940161)
    - Conditional jump or move depends on uninitialised value(s)
      unity::SearchBar::UpdateBackground(bool) (SearchBar.cpp:529)
      (LP: #983333)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 27 Apr 2012 08:33:25 +0200

unity (5.10.0-0ubuntu6) precise-proposed; urgency=low

  * Cherry-picked upstream:
    - Panel is transparent when Dash is open on netbooks; no blur
      no average BG color (LP: #965323)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 17 Apr 2012 18:04:01 +0200

unity (5.10.0-0ubuntu5) precise-proposed; urgency=low

  * Cherry-pick two fixes from trunk:
    - Fix the software-center install animation making the display useless
      on netbooks (LP: #981168)
    - Shortcut keys in workspace section of the shortcut overlay aren't
      translated. (LP: #980828)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 17 Apr 2012 08:09:15 +0200

unity (5.10.0-0ubuntu4) precise-proposed; urgency=low

  * Cherry-pick an additional fix from trunk fixing multiple bugs:
    - alt-tab - quick alt + tab (before the switcher shows) not consistent
      (LP: #861250)
    - Launcher, Alt-Tab - clicking on launcher item or selecting a app in
      Alt-Tab raises all app windows, not just most recently focused
      (LP: #959339)
    - Alt-Tab, multimonitor - The Alt-Tab overlay should appear on the display
      which has focus. (LP: #981795)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 16 Apr 2012 08:35:28 +0200

unity (5.10.0-0ubuntu3) precise-proposed; urgency=low

  [ Oliver Grawert ]
  * Enable subarch specific quilt support
  * add linaros disable_standalone-clients.patch to make unity build with GLES

  [ Didier Roche ]
  * remove a symlink and replace with a real file for
    debian/patches/series.<arch> as not supported  in non v3 (and we don't
    want v3 format with full source upstream derived branch)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 13 Apr 2012 14:34:15 +0200

unity (5.10.0-0ubuntu2) precise-proposed; urgency=low

  [ Ricardo Salveti de Araujo ]
  *  Enabling build with OpenGL ES2.0 support for ARM and disable maintainer
     mode on that arch to avoid -Werror failure (LP: #980544)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 13 Apr 2012 09:13:07 +0200

unity (5.10.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream release:
    - bamfdaemon crashed with SIGABRT in g_assertion_message() (LP: #926208)
    - We are using 1 bad hack for compiz hanging on startup (LP: #963264)
    - GConf backend steals glib events from compiz (LP: #965220)
    - when I closed QupZill brawser it crashed and then and then I sow
      worrning that compiz crashed but fire fox and chrome is estle working.
      gtk-window-decorator crashed with SIGSEGV in max_window_name_width()
      (LP: #948580)
    - compiz crashed with SIGSEGV in std::basic_string<...>::basic_string()
      from unity::launcher::HudLauncherIcon::HudLauncherIcon()::{lambda} from
      unity::UBusManager::OnCallback (LP: #964897)
    - unity-panel-service crashed due to heap corruption in g_free() from
      service_proxy_name_changed() [libindicator/indicator-service-
      manager.c:574] (LP: #969360)
    - Opening dash while an application is maximized makes unity completely
      useless, have to relogin (LP: #975103)
    - unity crash on alt-tab (LP: #975168)
    - Top bar - Menus should be condensed to fit panel/overlay of appmenu
      (LP: #655184)
    - Topbar - window controls for maximised windows in the top bar should
      conform to Fitts's law (LP: #839690)
    - [FFe, UIFe] Dash - When the Dash is open and there is a maximised app in
      the background, the top bar background should not disappear
      (LP: #839480)
    - Dash - The inner bottom left, bottom right and top right corners of the
      desktop dash border are rendered incorrectly (LP: #839476)
    - Showdesktoped window contents invisible in window spread (LP: #877778)
    - Maximized windows can be accidentally closed from wrong monitor.
      (LP: #865701)
    - Unity launcher on-screen corruption on resume from suspend with nVidia
      proprietary driver (LP: #915265)
    - Launcher - Inserting items into launcher makes unnecessary animations on
      other monitors (LP: #925021)
    - Far left character in panel (and launcher popups) distorted
      (LP: #927441)
    - Jenkins build failure: SetAcceptKeyNavFocusOnMouseEnter not declared
      (LP: #938037)
    - super+<unbound key> and sometimes super+<number> keys now cause launch
      to wedge with the key hints shown and retains focus instead of selecting
      the requested window (LP: #934084)
    - three-finger move does not move (Precise) (LP: #940612)
    - compiz crashed with SIGSEGV in std::__detail::_List_node_base::_M_hook()
      from unity::ui::PointerBarrierWrapper::EmitCurrentData (LP: #944217)
    - indicators appear intertwined with global menu (LP: #953868)
    - [5.8 pre staging] "sticky edge" option does nothing visible
      (LP: #961285)
    - HUD: The selection always returns to the first item whenever menus are
      updated (LP: #962984)
    - Multimonitor - Using single launcher, the HUD draws incorrectly on a
      secondary monitor (LP: #963577)
    - Type your command does not appear translated in the HUD (LP: #964074)
    - HUD doesnt receive input after pressing Tab (LP: #964760)
    - compiz crashed with SIGSEGV in g_variant_unref() from
      unity::launcher::SoftwareCenterLauncherIcon::OnPropertyChanged
      (LP: #963718)
    - HUD denial of service (LP: #948820)
    - Application launch time increased with type-to-search in unity 5.8
      (LP: #966417)
    - Weird translation on the shortcut overlay dialog (LP: #971332)
    - compiz crashed with SIGSEV in g_type_check_instance_is_a from
      unity::launcher::DeviceLauncherIcon::ShowNotification (LP: #971345)
    - Launcher - launcher have a weird background if cursor is over it while
      opening dash (LP: #974408)
    - compiz crashed with SIGSEGV in
      unity::hud::HudIconTextureSource::ColorForIcon() (LP: #935307)
    - Compiz: Growing idle memory consumption with latest Nux/Unity (~60
      MiB/h) in unity::PanelIndicatorEntryView::Refresh() (LP: #975801)
    - [nvidia] minimized windows are white in the window spread (LP: #977189)
    - compiz crashed with SIGSEGV in nux::Rect::Rect() from
      unity::launcher::LauncherIcon::OpenQuicklist() from RecvMouseDown() from
      unity::launcher::LauncherIcon::RecvMouseDown() (LP: #954736)
    - Alt-tab - Reduce the spread delay for all items other than the initial
      item the select lands on after alt-tab opens (LP: #838232)
    - Dash - The Dash search box should expand horizontally when the Dash
      switches to full screen mode  (LP: #841907)
    - window selected via ALT+F1 doesn't get focus in unity (LP: #875932)
    - Non square icons don't fill result tiles as much as they should
      (LP: #878015)
    - Dash - the spinner and the 'clear' button (the circle with the X) in the
      Dash is blurry (LP: #891691)
    - Dash - Update the Dash card view so that the implementation conforms to
      the attached designs (LP: #901164)
    - Launcher bar doesn't saturate when focused via keynav when dash opened
      (LP: #913569)
    - Global menu doesn't work with multiple monitors (twinview) (LP: #921918)
    - Number shortcut overlay won't show if mouse hovers launcher bar area
      (LP: #924636)
    - Colour of launcher on second monitor is not restored after closing the
      dash (LP: #925442)
    - [autohide] app icons in HUD are poorly scaled (LP: #931406)
    - Show default HUD icon for Desktop (nautilus) menus (LP: #931548)
    - Hud shows wrong application icon when activated with the dash showing
      (LP: #932371)
    - Window management - Dragging down a maximized window from the panel has
      not predictable results (LP: #934680)
    - Launcher - Properly colorize icons (LP: #938620)
    - lens bar clickable area needs to be expanded (LP: #937193)
    - Multimonitor - hidden menu indicators are shown in the non active
      monitor (LP: #951747)
    - Wrong glib #include in Hud.h (LP: #952117)
    - [FFe, UIFe] New animation for adding launchers for newly installed
      applications (LP: #955147)
    - HUD remembers icon of last used app (LP: #961161)
    - Launcher - window buttons are not horizontally ad vertically aligned
      (LP: #963019)
    - Opening HUD after dash shows window title in the panel (LP: #963134)
    - Dash picking a really odd color with default wallpaper (LP: #963140)
    - HUD overlay has one pixel gap on left side (LP: #964061)
    - Launcher icon indicators doesn't redraw when changing the launcher
      settings (LP: #964851)
    - Dash home results take too long to appear (LP: #965492)
    - Multimonitor - Only the panel that controls the focused window should
      draw its title (LP: #968261)
    - Performing a pinch gesture over a window has no effect (LP: #969554)
    - Dash section header icons are missing (LP: #971233)
    - Unity displays "no search results" with results present (LP: #971430)
    - Pressing Ctrl+Tab from the command lens switches to the wrong lens
      (LP: #971850)
    - PanelMenuView causes gtk assertion to fail (LP: #971947)
    - [regression] The keyboard shortcuts overlay bottom is truncated.
      (LP: #973386)
    - Not minimizable windows have an enabled "minimize" button on the unity
      panel (LP: #936425)
    - HUD maximize button affects Dash (LP: #939054)
    - Panel opacity toggle doesn't quite work  (LP: #940683)
    - Dash is totally broken when disabling the blur effect (LP: #941066)
    - Dash collapsed view has scrollbar (LP: #956500)
    - HUD too many triangles with new transition effect (LP: #961230)
    - Menu bar not transparent when invoking dash with super key whilst HUD
      enabled and vice versa (LP: #962410)
    - Windows controls lost if dash is opened after HUD (LP: #963118)
    - HUD service returning more than 5 entries (LP: #965299)
    - Dash - Search box text is clipped (LP: #966424)
    - IBus Pinyin pup box disappears  in the hud (LP: #968777)
    - Dash and HUD search fields appear in slightly different places
      (LP: #969404)
    - Super+Tab, super, loses focus (LP: #970420)
    - Dash - reduce frosty effect (LP: #978785)
    - HUD doesn't ignore key events while ibus is active (LP: #957927)
    - "Show Dekstop icon" typo in Unity's translation template (LP: #934526)
    - Starting dash or hud with mouse over launcher desaturates all icons
      (LP: #973063)
    - Untranslatable strings in the hints screen (LP: #975815)
    - Dash text input does not get focus (LP: #774447)
    - dash ignore queries done just after session start (LP: #979799)
  * Cherry-pick an additional commit for a crash
  * debian/control:
    - build-dep on latest libnux-2.0-dev for ABI break
    - bump Standards-Version to latest

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 12 Apr 2012 15:22:36 +0200

unity (5.8.0-0ubuntu2) precise; urgency=low

  * Cherry-picked upstream:
    - fix a crash when software-center is installing an application
      (LP: #963718)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 26 Mar 2012 20:19:57 +0200

unity (5.8.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
    - New "push mouse offscreen" feature really difficult to get (LP: #923749)
    - unity-2d-panel crashed with SIGSEGV in
      unity::indicator::DBusIndicators::Impl::RequestSyncAll() (LP: #864737)
    - Pressing "Alt+Enter" causes compiz to crash in CompOption::value() from
      unity::UnityScreen::showLauncherKeyTerminate (LP: #960957)
    - SEGSIGV after unplugging external monitor (LP: #962693)
    - Background colorization should use a different heuristic (LP: #865239)
    - compiz+unity3d generates > 50 wakeups a second on idle system
      (LP: #917210)
    - [FFe, UIFe] HUD - The HUD does not respect launcher autohide or icon
      size settings (LP: #921506)
    - clicking on folders in the file lens does not open nautilus
      (LP: #921665)
    - No text inside multirange filters (LP: #927710)
    - can't alt-tab restore minimized uis which have an instance on another
      workspace (LP: #933397)
    - Ubuntu Software Center Unity launcher integration is not working
      (LP: #932280)
    - The line separator between the launcher and the dash is cleared when
      selecting a category (LP: #941082)
    - unity-panel-service crashed with SIGSEGV in g_hash_table_foreach()
      (LP: #937119)
    - Alt-F10 locks up Unity (LP: #948522)
    - multimonitor, launcher: Provide an option to display either a single
      launcher or a launcher on each display in a multi-monitor environment
      (LP: #950136)
    - multimonitor: Please give me a way to turn off sticky monitor edges
      (LP: #946104)
    - Unity 5.6: key bindings (such as Super) don't work on empty workspace or
      on slow/loaded systems (LP: #953089)
    - Alt+arrows keyboard shortcuts don't invoke Back and Forward navigation
      (LP: #953783)
    - HUD is sending 2 menu signals instead of 1 (LP: #956878)
    - 6th item of HUD not fully visible (LP: #957229)
    - HUD: seems to trigger operations more than once (LP: #960503)
    - Launcher gets always desaturated when using HUD on secondary monitor
      (LP: #961169)
    - [5.8 pre staging] launcher is displayed on the left screen, not the
      primary one (LP: #961281)
    - launcher icons do not re-saturate after dash is closed (LP: #961844)
    - Launcher shows arrows for applications on all workspaces (LP: #961977)
    - Dash - Implement overlay scrollbars in Dash (LP: #608124)
    - [UIFe] Dash - No message displayed when no results are returned in the
      Dash (LP: #711199)
    - Dash - "See more..." line should be base-aligned with section header
      (LP: #748101)
    - Dash - Missing category separator line in dash (LP: #850984)
    - Dash and Launcher - As soon as a user starts dragging a file from the
      Dash, there is a 'flicker' before the Launcher icons that are valid drop
      receptacles re-saturate (LP: #863230)
    - Dash - When multiple results have equal string match relevancy ranking,
      those with equal ranking should be then sorted by frequency of use.
      (LP: #871900)
    - Keyboard shortcut - F10 shortcut is used to show menu and this is wrong
      (LP: #878492)
    - Frozen double icon after launching and dragging at once (LP: #918753)
    - HUD is over gtk-menu (LP: #921305)
    - Files missing from Unity's POTFILES.in (LP: #923762)
    - Hidden menus are not really hidden (LP: #926330)
    - Need to bring back a "reveal border" option (LP: #927523)
    - Unity Panel lose shadow on changing the wallpaper (LP: #930271)
    - Incorrect item count in "See x more results" (LP: #934944)
    - Coverity PW.PARAMETER_HIDDEN - CID 10671 (LP: #938890)
    - Coverity PW.CAST_TO_QUALIFIED_TYPE - CID 10670 (LP: #938895)
    - [Shortcut overlay] Hardcoded value for switching ws (LP: #939517)
    - Dash - Font metrics and colors are wrong (LP: #942508)
    - Alt-tab switcher view should be pre-loaded to improve the startup time
      (LP: #942634)
    - Shortcut hint overlay should be hidden by Escape key (LP: #943422)
    - Dash/HUD - Spinner off-centre, looks drunk (LP: #943656)
    - Unable to restart lens which doesn't do global search (LP: #947301)
    - Launcher Switcher (Super+Tab) selection could be changed by arrow keys
      too (LP: #950404)
    - you have to release alt for alt + F10 working (LP: #943223)
    - magnifying glass is being overdrawn by text in searchbar  (LP: #955160)
    - hud searches don't update properly (LP: #956480)
    - Filters not working (LP: #961338)
    - Panel goes solid if switching from hud to dash or vice versa
      (LP: #962720)
    - compiz configuration options for unity are "fixme" (LP: #877382)
    - Launcher - When Launcher already has keyboard focus, Alt-F1 doesn't exit
      focus (LP: #885304)
    - Dash - dash is not closed with alt+f4 (LP: #891818)
    - Dash Home tooltip should use header capitalization (LP: #924354)
    - Typo in string 149: stoped (LP: #931382)
    - unity should not use dconf to store the average background colour
      (LP: #949277)
    - [UIFE] No HUD keybinding in the shortcut overlay (LP: #942515)
    - The hseparator is drawn also for the final dash category (LP: #955296)
  * debian/patches/series:
    - remove the distro patches in trunk right now
  * debian/control:
    - build-dep on latest nux,compiz and libcompizconfig for ABI breakage

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 23 Mar 2012 12:55:51 +0100

unity (5.6.0-0ubuntu4) precise; urgency=low

  * 02_remove_ungrad_workaround2.patch:
    - part 2 of the patch, enabling pressing alt + keys in some additional
      cases

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 14 Mar 2012 12:42:23 +0100

unity (5.6.0-0ubuntu3) precise; urgency=low

  * debian/control:
    - use right build-dep (libxfixes-dev)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 13 Mar 2012 13:44:53 +0100

unity (5.6.0-0ubuntu2) precise; urgency=low

  * debian/patches/01_remove_ungrab_workaround.patch:
    - remove a workaround which makes alt + keys not passing events to other
      apps (LP: #953783)
  * debian/control:
    - add libxfixes build-dep (versionned as there is an ABI break). No cmake
      file was listing it, will fix that upstream as well. ubuntu4 of libxfixes
      need an unity rebuild to avoid not being able to trigger launcher reveal
      (LP: #953778)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 13 Mar 2012 12:35:47 +0100

unity (5.6.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - compiz crashed with SIGSEGV in g_type_check_instance_cast()
      (LP: #862972)
    - compiz crashed with SIGABRT in __gnu_cxx::__verbose_terminate_handler()
      (LP: #926793)
    - compiz crashed with SIGSEGV in gdk_pixbuf_get_width() (LP: #937421)
    - Unity causes ibus to not work correctly (spaces incorrectly placed)
      (LP: #880876)
    - Dash - update Dash keyboard shortcuts so the 'CTRL + TAB' switches
      between Lenses and 'TAB' by itself moves the focus between categories
      (LP: #891648)
    - HUD - closing a window with <Alt>+<F4> opens the hud (LP: #923410)
    - unity-applications-daemon crashed with SIGSEGV in
      dee_sequence_model_free_row() (LP: #916356)
    - Launcher, Window Management - Launcher reveal should not be triggered
      when dragging a window (LP: #928805)
    - lenses are loaded on start, should be lazy loaded (LP: #929506)
    - Trash icon jumps about when trying to drag an icon onto it (LP: #932365)
    - HUD loses keypresses for the first second after opening (LP: #932906)
    - HUD doesn't give the focus back to the active application after dash/hud
      use (LP: #934061)
    - Launcher - unpinned apps show with empty pips in the launcher as if they
      exist on another workspace (LP: #937898)
    - Unity Dash should support Keywords parameter in .desktop (formerly X
      -GNOME-Keywords or X-AppInstall-Keywords) (LP: #941231)
    - Support FD.o Desktop Actions spec (LP: #942042)
    - Unity hangs when touching my touchpad/trackpad (LP: #942625)
    - [regression] Pressing alt doesn't show the menu title bar in top panel
      (LP: #943194)
    - Alt + F (or other mnemonic) doesn't work in gnome-terminal (LP: #943239)
    - [unity 5.6] Using Alt+F1 or Alt+F2 sends a ";3P" or ";3Q" to the active
      windows (LP: #943456)
    - [unity 5.6] holding alt and pressing a direction opens the alt-tab list
      in a buggy way (LP: #943902)
    - [unity-5.6] can't enter accents (^o->) in the dash since recent updates
      (LP: #944674)
    - Dash - Keyboard navigation for search filters is broken (LP: #844033)
    - Dash - If mouse highlights one icon in grid, keyboard navigation
      highlights another, so there are 2 highlighted icons (LP: #817436)
    - Alt+Tab default delay of 150ms is too long (LP: #888636)
    - Keyboard shortcut - F10 shortcut is used to show menu and this is wrong
      (LP: #878492)
    - Dash - Currently the app lens doesn't show applications that are
      available for purchase (LP: #916121)
    - Chromium is running, but not showing in launcher or alt-tab. 
      (LP: #918474)
    - Dash - Different states of rating stars, and dimensions (LP: #924884)
    - alt-tab confused by a multiple instances of an application on different
      workspaces (LP: #925484)
    - Launcher - Icons are not colorized properly (LP: #930949)
    - Remove glow from Alt-tab edge and Search Field image assets
      (LP: #933578)
    - "Left Mouse Drag" and "Middle Mouse Drag" should be translatable
      (LP: #930510)
    - Launcher switcher should be terminated if a launcher icon keybinding is
      pressed (LP: #943377)
    - dash home lens does not include recent files... (LP: #946980)
    - Alt-tab switcher can't be terminated by Escape key (LP: #948227)
    - Overlay should refer to "Menu Bar" not "Top Bar" (LP: #926213)
    - alt-tab is showing preview even if you have just one instance
      (LP: #933406)
    - When "Bias alt-tab (...)" is switched on, alt+tab and ctrl+alt+tab are
      swapped  (LP: #942677)
    - Numbers on Launcher icons sticking (LP: #942359)
    - The launcher icons shortcuts can be shown during the Super Tab Launcher
      switcher. (LP: #943372)
    - Use title case capitalization "Lock to Launcher" & "Unlock from
      Launcher" (LP: #949636)
  * debian/control:
    - bump compiz-dev and libcompizconfig0-dev build-dep for ABI break
    - bump libnux-2.0-dev build-dep for ABI break
    - bump libbamf req. for new API

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 12 Mar 2012 12:14:28 +0100

unity (5.4.0-0ubuntu2) precise; urgency=low

  * 01_hardcode_new_default_in_hardcoded_values.patch:
    - hardcode the new default value for switching between workspaces and
      moving a window between workspaces. Unfortunatly, this is still a
      harcoding. Opened an upstream bug so that the real values are read
      instead with some guidance.
  * debian/control, debian/rules:
    - add quilt patch handling

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 23 Feb 2012 17:01:16 +0100

unity (5.4.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Unity needs a way to switch (tab) between windows on current workspace
      (LP: #863399)
    - compiz crashed with SIGSEGV in BamfLauncherIcon::NameForWindow()
      (LP: #865840)
    - Gradual degradation in desktop performance. (LP: #888039)
    - compiz (unity) crashes with SIGSEGV when a window is minimized.
      (LP: #918329)
    - FavoriteStore external change support (LP: #681503)
    - Launcher - Make Launcher left of screen reveal more responsive and less
      prone to false positives (LP: #765819)
    - Window auto-maximise functionality should be disabled on monitors with a
      resolution above 1024 x 600  (LP: #797808)
    - Dash: very high latency responding to input (LP: #828582)
    - Dash - Behaviour of the 'All' button in the Dash filters broken in
      several ways   (LP: #841864)
    - alt-tab - The app title in the top left of the top bar should change as
      the alt-tab focus changes (LP: #855516)
    - Keyboard shortcut - Add keyboard shortcut hint overlay that is displayed
      when a user presses and holds the Super key (LP: #855532)
    - Unity crashes when started in an environment without utouch support
      (LP: #860707)
    - Dash - Remove Dash Home shortcut icons (LP: #885738)
    - Dash - Most Frequently Used apps change to Recently Used, without
      Launcher favorites (LP: #893214)
    - Should have a launcher on every monitor (LP: #915944)
    - Launcher autohide behaviour on multi-monitor (LP: #915946)
    - the unity wrapper should kill compiz before restarting it (LP: #919132)
    - Launcher - Implement workspace/launcher cross interactions (LP: #690143)
    - Application icons should only display windows from the current workspace
      in the window spread (LP: #689733)
    - Notification area ("system tray") missing when using dual monitors of
      different sizes, with their bottoms aligned (LP: #778256)
    - Clicking Nautilus launcher icon fails to open a Nautilus file explorer
      window when  copying a file and all other Nautilus windows are closed /
      bamf should skip the taskbar (LP: #784804)
    - Dash - the search box is not aligned correctly relative to the Launcher
      BFB button (LP: #838904)
    - Dash - A expand/collapse arrow is missing from all the filter category
      headers (LP: #841870)
    - Dash - the filter buttons should not have a mouse over state
      (LP: #838901)
    - Dash - the "Filter results" text is the wrong size, wrong font weight,
      and aligned incorrectly in both the vertical and horizontal axis
      (LP: #863240)
    - Add SUPER+TAB switching mode that enables the user to switch
      applications via the Launcher (LP: #891620)
    - Software Centre - automatically add app icon to launcher (LP: #761851)
    - Compiz add transparency to titlebar along with the panel (LP: #912682)
    - The search box is too opaque and dark (LP: #913717)
    - Dash - Make statefulness of Dash Home and Dash Lenses consistent
      (LP: #914759)
    - Unity 5.0: "All" button for filters render as "..." (LP: #915200)
    - Adding an option to the Sources filter from a remote Python scope
      doesn't work (LP: #916758)
    - super+tab switcher shows shortcut overlay sometimes (LP: #918453)
    - SUPER+TAB switcher should be circular (LP: #919018)
    - launcher not hiding in one design-specified case (LP: #919162)
    - The Unity hints overlay should refer to "Trash" instead of "Rubbish Bin"
      (LP: #920529)
    - middle-click pasting in run dialog [Alt]+[F2] doesn't work (LP: #842462)
    - Dash - Genre filter category in the Music Lens should use a 3 column
      layout (LP: #841902)
    - Expo plugin not marked as essential for Unity plugin (in ccsm)
      (LP: #897697)
    - unity log messages in ~/.xsession-errors are NOT identified as coming
      from unity (LP: #908004)
    - Launcher icon progress overlay is drawn incorrectly when using odd icon
      size (LP: #911553)
    - Menus don't hide if moving cursor during alt+tab (LP: #913889)
    - When removing icon from launcher by unselecting "Keep in launcher" in
      the quick, it's super+number shortcut becomes unaccessible until I put
      another icon on the launcher (LP: #914018)
    - It should be possible to escape from SUPER+TAB with Escape key
      (LP: #919019)
    - Clicking on an empty areas makes the dash search bar lose focus
      (LP: #919567)
    - Dash - the options in the "filter results" section are the wrong size,
      aligned incorrectly, and the button outline width is incorrect
      (LP: #863246)
    - clicking filter categories in lenses changes search box hint text.
      (LP: #923988)
    - Dash home screen contains previous search result (LP: #924649)
    - checkbox-unity: test descriptions need an update (LP: #924669)
    - Missing dependency on python-gconf (LP: #923288)
  * debian/control:
    - recommends indicator-printers
    - recommends new unity-lens-video
    - build-dep on latest nux (ABI break)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 17 Feb 2012 13:37:09 +0100

unity (5.2.0-0ubuntu5) precise; urgency=low

  * debian/unity-crashdb.conf, debian/source_unity.py,
    debian/unity-common.install:
    - enabling installing + tag from a ppa
  * debian/control:
    - bump compiz-dev build-dep for ABI break

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 16 Feb 2012 15:16:04 +0100

unity (5.2.0-0ubuntu4) precise; urgency=low

  * debian/control:
    - build-dep on latest compiz-dev and libcompizconfig0-dev for ABI break
  * debian/rules:
    - pick new abiversion file
  * Cherry-pick new gtk_init initialization in unity (not anymore in compiz)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 13 Feb 2012 15:32:01 +0100

unity (5.2.0-0ubuntu3) precise; urgency=low

  * Cherry-pick:
    - additional fix for setting the right strut on startup

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 08 Feb 2012 08:09:31 +0100

unity (5.2.0-0ubuntu2) precise; urgency=low

  * Cherry-pick upstream:
    - a fix for a 5.0 crasher (LP: #916228)
    - default configuration now to "always lock"
  * debian/profile_upgrade/com.canonical.unity.unity.03.upgrade,
    debian/unity-common.install:
    - enabling user profile upgrade installation
    - switcher per workspace is now the default on upgrade
    - launcher is always locked by default, even on upgrade (LP: #928153)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 07 Feb 2012 17:53:27 +0100

unity (5.2.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Unity needs a way to switch (tab) between windows on current workspace
      (LP: #863399)
    - compiz crashed with SIGSEGV in BamfLauncherIcon::NameForWindow()
      (LP: #865840)
    - Gradual degradation in desktop performance. (LP: #888039)
    - compiz (unity) crashes with SIGSEGV when a window is minimized.
      (LP: #918329)
    - FavoriteStore external change support (LP: #681503)
    - Launcher - Make Launcher left of screen reveal more responsive and less
      prone to false positives (LP: #765819)
    - Window auto-maximise functionality should be disabled on monitors with a
      resolution above 1024 x 600  (LP: #797808)
    - Dash: very high latency responding to input (LP: #828582)
    - Dash - Behaviour of the 'All' button in the Dash filters broken in
      several ways   (LP: #841864)
    - alt-tab - The app title in the top left of the top bar should change as
      the alt-tab focus changes (LP: #855516)
    - Keyboard shortcut - Add keyboard shortcut hint overlay that is displayed
      when a user presses and holds the Super key (LP: #855532)
    - Unity crashes when started in an environment without utouch support
      (LP: #860707)
    - Dash - Remove Dash Home shortcut icons (LP: #885738)
    - Dash - Most Frequently Used apps change to Recently Used, without
      Launcher favorites (LP: #893214)
    - Should have a launcher on every monitor (LP: #915944)
    - Launcher autohide behaviour on multi-monitor (LP: #915946)
    - the unity wrapper should kill compiz before restarting it (LP: #919132)
    - Launcher - Implement workspace/launcher cross interactions (LP: #690143)
    - Application icons should only display windows from the current workspace
      in the window spread (LP: #689733)
    - Notification area ("system tray") missing when using dual monitors of
      different sizes, with their bottoms aligned (LP: #778256)
    - Clicking Nautilus launcher icon fails to open a Nautilus file explorer
      window when  copying a file and all other Nautilus windows are closed /
      bamf should skip the taskbar (LP: #784804)
    - Dash - the search box is not aligned correctly relative to the Launcher
      BFB button (LP: #838904)
    - Dash - A expand/collapse arrow is missing from all the filter category
      headers (LP: #841870)
    - Dash - the filter buttons should not have a mouse over state
      (LP: #838901)
    - Dash - the "Filter results" text is the wrong size, wrong font weight,
      and aligned incorrectly in both the vertical and horizontal axis
      (LP: #863240)
    - Add SUPER+TAB switching mode that enables the user to switch
      applications via the Launcher (LP: #891620)
    - Software Centre - automatically add app icon to launcher (LP: #761851)
    - Compiz add transparency to titlebar along with the panel (LP: #912682)
    - The search box is too opaque and dark (LP: #913717)
    - Dash - Make statefulness of Dash Home and Dash Lenses consistent
      (LP: #914759)
    - Unity 5.0: "All" button for filters render as "..." (LP: #915200)
    - Adding an option to the Sources filter from a remote Python scope
      doesn't work (LP: #916758)
    - super+tab switcher shows shortcut overlay sometimes (LP: #918453)
    - SUPER+TAB switcher should be circular (LP: #919018)
    - launcher not hiding in one design-specified case (LP: #919162)
    - The Unity hints overlay should refer to "Trash" instead of "Rubbish Bin"
      (LP: #920529)
    - middle-click pasting in run dialog [Alt]+[F2] doesn't work (LP: #842462)
    - Dash - Genre filter category in the Music Lens should use a 3 column
      layout (LP: #841902)
    - Expo plugin not marked as essential for Unity plugin (in ccsm)
      (LP: #897697)
    - unity log messages in ~/.xsession-errors are NOT identified as coming
      from unity (LP: #908004)
    - Launcher icon progress overlay is drawn incorrectly when using odd icon
      size (LP: #911553)
    - Menus don't hide if moving cursor during alt+tab (LP: #913889)
    - When removing icon from launcher by unselecting "Keep in launcher" in
      the quick, it's super+number shortcut becomes unaccessible until I put
      another icon on the launcher (LP: #914018)
    - It should be possible to escape from SUPER+TAB with Escape key
      (LP: #919019)
    - Clicking on an empty areas makes the dash search bar lose focus
      (LP: #919567)
    - Dash - the options in the "filter results" section are the wrong size,
      aligned incorrectly, and the button outline width is incorrect
      (LP: #863246)
    - clicking filter categories in lenses changes search box hint text.
      (LP: #923988)
    - Dash home screen contains previous search result (LP: #924649)
    - checkbox-unity: test descriptions need an update (LP: #924669)
  * debian/control:
    - dep on python-gconf (LP: #923288)
    - add a version dep from unity to libunity-core-5.0-5 as the ABI
      is breaking a lot and it helps wrong update for the autogenerated
      package from the ppa (especially when people downgrade)
    - build-dep on latest Nux
    - push priority to extra for the transitional package
    - fix a dep on binary:Version
    - build-dep on latest libunity-dev

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 03 Feb 2012 11:37:52 +0100

unity (5.0.0-0ubuntu3) precise; urgency=low

  * rebuild for libindicator7
  * CMakeLists.txt
    - build with -Wno-error=deprecated-declarations

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 25 Jan 2012 10:02:28 -0500

unity (5.0.0-0ubuntu2) precise; urgency=low

  * Rebuild with nux on glew1.6

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Jan 2012 18:28:49 +0100

unity (5.0.0-0ubuntu1) precise; urgency=low

  [ Didier Roche ]
  * New upstream release.
    - compiz crashed with SIGSEGV in __dynamic_cast() (LP: #853038)
    - unity-panel-service crashed with SIGSEGV in panel_service_show_entry()
      (LP: #861144)
    - unity-panel-service crashed with SIGSEGV in
      panel_indicator_entry_accessible_get_n_children() (LP: #869816)
    - Launcher - Launcher icon for Dash does not highlight when the Alt+F1 key
      shortcut is pressed (LP: #849561)
    - compiz crashed with SIGSEGV in unity::PanelTray::FilterTrayCallback()
      (LP: #868868)
    - [regression] Compiz: Visible tearing is worse in 11.10 than 11.04, even
      when "Sync To VBlank" is enabled, but only when Unity is active.
      (LP: #880707)
    - [regression] All apps have a lower frame rate under Unity. (LP: #861061)
    - compiz crashed with SIGSEGV in
      nux::Property<nux::color::Color>::operator=() from
      unity::switcher::SwitcherController::OnBackgroundUpdate() (LP: #887465)
    - DashSearchBarSpinner.cpp:56: Conditional jump or move depends on
      uninitialised value(s) (LP: #901610)
    - quicklist shows in incorrect position when launched from workspace
      switcher (LP: #914251)
    - Build "show me the desktop" mini-app that adds a show desktop button to
      Launcher (LP: #681348)
    - Select quicklist items with just one right click (LP: #688830)
    - cannot change volume by scrolling on the icon when the SoundMenu is
      opened (LP: #722082)
    - [a11y] Unity launcher buttons are not Actionable (LP: #772573)
    - Ubuntu Start launcher item doesn't start dash with keyboard navigation
      (LP: #825037)
    - multimonitor , window management -  Multi-Monitor Maximized Difficulty
      (LP: #843958)
    - [regression] Drag and drop inside dash is very slow with Active Blur
      activated (LP: #851172)
    - Activating an alt-tab icon that holds initially unminimized windows
      should unminimize all windows (LP: #854595)
    - Dash - The Dash category headers are positioned incorrectly
      (LP: #839467)
    - Missing global menu with a semi-maximized window dragged to the right.
      (LP: #861279)
    - Launcher - Dragging and dropping a running application in to the Trash
      should quit the application and (if the app is pinned to the Launcher)
      un-pin the application from the Launcher (LP: #870143)
    - top bar, integrated menu - when a application is first launched, the
      integrated menu should be displayed for 2 seconds before fading out of
      view (LP: #874254)
    - Window control buttons are not shown when an indicator is opened and the
      pointer is over the top-left corner (LP: #890970)
    - Quicklist item using some special chars doesn't show at all
      (LP: #899677)
    - PanelView.cpp:370: Conditional jump or move depends on uninitialised
      value(s) (LP: #901602)
    - unityshell.cpp:1982,1984: Conditional jump or move depends on
      uninitialised value(s) (LP: #901603)
    - Dash Search spinner sometimes doesn't spin at all (LP: #903090)
    - Point of tooltip is misaligned to focused application indicator arrow
      (LP: #702989)
    - Dash - "See more..." line should be base-aligned with section header
      (LP: #748101)
    - right-clicking launcher when choosing a workspace causes quicklists to
      freeze (LP: #791810)
    - Panel should (optionally) go opaque when window is maximized
      (LP: #807891)
    - love handles don't show on windows that cannot be resized (LP: #827566)
    - dconf shows-on-edge setting ignored (LP: #853086)
    - Icon selection stays is Dash after dragging shortcut outside
      (LP: #867548)
    - right click on the dash icon should display a list of the lenses
      (LP: #868452)
    - Top Bar - rename the "Desktop" title in the Top Bar (displayed when no
      window has focus)  to "Ubuntu Desktop" (LP: #869873)
    - Dash should close on "Spread" (LP: #870284)
    - Double-click on the dash top panel is taken effect on the window
      underneith (LP: #870844)
    - Clicking on the panel when the dash is open causes a maximized window to
      raise (LP: #873100)
    - Launcher - the "Keep in Launcher" quicklist option should change from
      the current checkbox option to a two state toggle (LP: #874380)
    - Launcher - Reduce Launcher icon de-coupling delay  (LP: #874410)
    - When ejecting optical discs, the notification displays a USB stick icon
      (LP: #875467)
    - Menus are not shown when an indicator is opened and the pointer is over
      the global-menu area (LP: #888650)
    - Application title on quicklist should be bold (or more visible)
      (LP: #900400)
    - Clicking on a dash category header should not give it keyboard focus
      (LP: #905921)
    - unable to remove the "Apps Available for Download" section from
      Applications Lens (LP: #785101)
    - Global Menu Fade should be configurable (LP: #875472)
    - BaseWindow on UnityRootAccessible shouldn't be added manually
      (LP: #702700)
    - Unity Dash not accessible (LP: #731403)
    - Quicklist items are not yet accessible. (LP: #740698)
    - Unity acts not as a dock for LibreOffice but as a launcher (LP: #741995)
    - Unity accessible support should use AtkWindow (LP: #842033)
    - Alt+tab switcher doesn't works with Orca (LP: #856392)
    - Libreoffice Calc icon does not appear when opened via Writer
      (LP: #861355)
    - Libreoffice and unity integration broken. (LP: #842566)
  * debian/control:
    - add libgdu-dev build-dep
    - remove now uneeded libgnome-desktop-dev and libgtk2.0-dev build-deps
  * debian/control, debian/rules:
    - depends now on the new Nux ABI mecanism
    - bump de dep on Nux 2.0 as well
    - bump libunity-core to 5.0
  * debian/source:
    - remove source 3 format, doesn't play well with UDD and drives crazy
      diff for the release team

  [ Aurélien Gâteau ]
  * debian/control:
    - update build-dep of libunity, libdee and libbamf

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 13 Jan 2012 09:10:59 +0100

unity (4.24.0-0ubuntu1) UNRELEASED; urgency=low

  * debian/control:
    - add libgdu-dev build-dep
    - remove now uneeded libgnome-desktop-dev and libgtk2.0-dev build-deps
  * debian/control, debian/rules:
    - depends now on the new Nux ABI mecanism
    - bump de dep on Nux 2.0 as well
    - bump libunity-core to 5.0
  * debian/source:
    - remove source 3 format, doesn't play well with UDD and drives crazy
      diff for the release team

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 06 Dec 2011 09:45:13 +0100

unity (4.24.0-0ubuntu2) oneiric-proposed; urgency=low

  * Cherry-pick upstream:
    - SRU0-Regression: scrollbar displacement caused dash rows to show less
      icons (LP: #875023)
    - Really reverts the UI change that was still uploaded even if we had
      reverted it…

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 18 Oct 2011 12:47:54 +0200

unity (4.24.0-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release and some cherry-pick:
    - compiz crashed with SIGSEGV in PluginClassHandler<UnityWindow,
      CompWindow, 0>::get() (LP: #864758)
    - unity panel menus don't stay open when clicked on second monitor
      (LP: #869196)
    - (oneiric) menu bar in wrong place and invisible (LP: #845856)
    - Lens range widgets do not function correctly (LP: #862996)
    - Cannot raise window from panel after minimize (LP: #863114)
    - unity-panel-service crashed with SIGSEGV in g_closure_invoke()
      (LP: #843280)
    - Windows get corrupted sometimes when semi-maximizing them. (LP: #865177)
    - Automaximization happens on unminimize (LP: #868930)
    - compiz crashed with SIGSEGV in nux::ROProperty<std::string>::operator
      std::string() (LP: #869109)
    - Dash - horizental divider line in between categories incorrectly drawn
      (LP: #841750)
    - F10 opens a random menu item when it should open the first one
      [regression] (LP: #862849)
    - Switching desktops after using showdesktop can cause hidden windows to
      become "active" (LP: #864503)
    - Clicking blank space on top panel doesn't raise maximized window to
      front (LP: #864708)
    - unity launcher loses track of deja-dup windows (LP: #865051)
    - Dash - App Lens 'Rating' filter behaves incorrectly (LP: #865482)
    - Launcher does not show on "Show desktop" (LP: #867959)
    - ibus character selection window not drawn (LP: #867885)
    - the dash's entry get wrongly colored on left or right key use
      (LP: #868434)
    - [ibus] Pressing down when ibus is active moves focus (LP: #872730)
    - Double-click on the dash top panel is taken effect on the window
      underneith (LP: #870844)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 17 Oct 2011 09:20:09 +0200

unity (4.22.0-0ubuntu3) oneiric; urgency=low

  * Cherry-pick upstream:
    - Resize the _gradient_texture (in PanelMenuView::Draw) if needed
      (LP: #863068, #868293, #869028)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 07 Oct 2011 09:03:50 +0200

unity (4.22.0-0ubuntu2) oneiric; urgency=low

  * Cherry-pick upstream:
    - fix minimize windows not showing when clicking on a launcher icon
      (LP: #868185)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 05 Oct 2011 12:04:39 +0200

unity (4.22.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - unity 3d firefox window borders disappear (LP: #861143)
    - Desktop drawn with offset (LP: #862743)
    - Crash when selecting Evolution in alt-tab (LP: #859431)
    - unity-panel-service crashed with SIGSEGV in g_type_check_instance_cast()
      - with a11y enabled (LP: #829367)
    - compiz crashed with SIGSEGV in
      unity::switcher::SwitcherController::~SwitcherController() (LP: #863302)
    - compiz assert failure: *** glibc detected *** compiz: double free or
      corruption (!prev): 0x00007fa248593900 *** (LP: #862938)
    - Onboard can cause unity to crash (LP: #863693)
    - compiz crashed with SIGSEGV in LauncherIcon::SetHasWindowOnViewport()
      (LP: #863652)
    - Dash opens the wrong application after scrolling in the application list
      (LP: #863555)
    - Categories "Applications" and "Files and folders" are untranslated
      (LP: #865430)
    - focus nautilus desktop to get focus at startup (LP: #863037)
    - The 'Desktop' label isn't shown if you use "Show desktop" in alt + tab
      (LP: #863129)
    - UIFe: Remove Ubuntu logo again from desktop title (LP: #865150)
    - compiz assert failure: *** glibc detected *** compiz: free(): corrupted
      unsorted chunks: 0x0000000004a1d390 *** (LP: #863303)
    - Fix a mem leak
    - compiz crashed with SIGSEGV in unity::dash::LensView::~LensView()
      (LP: #863191)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 04 Oct 2011 15:45:58 +0200

unity (4.20.0-0ubuntu2) oneiric; urgency=low

  * Merge trunk:
    - Desktop drawn with offset (LP: #862743)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Sep 2011 07:30:20 +0200

unity (4.20.0-0ubuntu1) oneiric; urgency=low

  * New upstream release + cherry-pick:
    - compiz crashed with SIGSEGV in PluginClassHandler<UnityWindow,
      CompWindow, 0>::get() (LP: #835259)
    - dash does not scroll down during keyboard navigation (LP: #852506)
    - compiz crashed with SIGSEGV in _XFreeEventCookies() (LP: #851472)
    - compiz crashed with SIGSEGV in g_object_unref() (LP: #847512)
    - compiz crashed with SIGSEGV in nux::WindowCompositor::MouseEventCycle()
      (LP: #831678)
    - compiz and X can disagree on the stacking order (LP: #845719)
    - compiz crashed with SIGSEGV in unity::dash::LensView::OnResultAdded()
      (LP: #855252)
    - CCSM crashes Unity (LP: #861643)
    - compiz crashed with SIGSEGV in PrivateWindow::addWindowStackChanges()
      (LP: #862115)
    - Touch - When dragging a window with a 3 touch, dragging to the top
      should show the maximize gesture preview. (LP: #750316)
    - compiz crashed with SIGABRT in raise() (LP: #750386)
    - Launcher - Spread should not affect the state of window (LP: #764673)
    - [UIFe] Add system setting icon to Launcher (LP: #764744)
    - compiz crashed with SIGABRT in raise() [Merely unchecking the Unity
      plugin is enough to crash Compiz...] (LP: #823386)
    - Launcher - does not hide if revealed from top 24px  of the left edge of
      the screen (LP: #835989)
    - Clickable areas of previously active window remains on 'Show Desktop'
      (LP: #836325)
    - Cannot search for some apps in Dash (LP: #837075)
    - Dash - Search box cursor not responding correctly to focus (LP: #839704)
    - Multi-display: Application menu only showing on primary screen
      (LP: #845212)
    - Ellipsized values in size filter (LP: #851359)
    - (oneiric) dash result expansions don't display icons (LP: #854615)
    - run the wrong command if enter is hit before the view is refreshed
      (LP: #856205)
    - Java application windows cut-off/truncated/not displayed properly
      (LP: #857201)
    - compiz crashed with SIGSEGV in sigc::signal_base::impl() (LP: #831769)
    - Minimizing a window should switch focus to the windows underneath it
      (breaks restore) (LP: #859885)
    - Ratings filter allows ratings > 1.0 (LP: #861255)
    - Serious Unity problem stuck in spread when dragging icons back to the
      dash (LP: #862045)
    - Must use hardware keyboard to perform search for applications in Unity
      (LP: #739812)
    - Files lens should also search Downloads (LP: #748915)
    - The dash crosses the monitor boundary when resolution is 1152x864 or
      lesser width (LP: #765338)
    - Dash - dragging a file outside of the Desktop Dash should close the Dash
      (LP: #764641)
    - Text in Dash search text box overflows and doesn't crop with longer
      strings; RtL input starts in wrong place (LP: #834765)
    - Where the average background colour is either very light or dark, adjust
      this value to darken/lighten in order to preserve readability
      (LP: #837993)
    - Dash does not resize when I connect to an external display and mirror
      displays (LP: #838132)
    - wrong workspace is activated (LP: #838766)
    - [oneiric] Clicking the maximize/restore button for the dash window loses
      the keyboard focus (LP: #850467)
    - Non-square dash items are stretched to a 1:1 ratio (LP: #851196)
    - Dash - 'Shortcuts' arrow should be removed (LP: #852130)
    - Dash - reflections should be fixed on the centre of the viewport, *NOT*
      the centre of the entire page including occluded areas (LP: #838925)
    - Dash - horizental divider line in between categories incorrectly drawn
      (LP: #841750)
    - Dash - whenever there is a search query in the search box and the search
      is no longer running, the circle with the X inside should be displayed
      in place of the magnifying glass (LP: #841760)
    - Top bar - Pressing F10 as second time should close the top bar app menus
      (LP: #856468)
    - Dash - Dash should support drag and drop to external applications
      (LP: #857431)
    - (oneirc) default placement of windows is behind panel (LP: #857214)
    - FFe : Add option to make alt-tab easier to use for workspace users
      (LP: #860622)
    - Clicking a filter removes keyboard input focus from search entry
      (LP: #861251)
    - UIFe: Desktop should be titled (LP: #732016)
    - Dash - clicking inside the Dash search box should remove the search hint
      and display a blinking carete (LP: #764859)
    - Minimizing a maximized Qt app leaves nothing in focus (LP: #821601)
    - unmaximizable windows still show orange glow but fail to maximize
      (LP: #827560)
    - UIFe: scrollbar in unity dash should be rounded (and with glow)
      (LP: #836656)
    - Dash - alt-f2 have 'Filter results' which does nothing (LP: #838127)
    - Alt-tab - Alt-tab should ellipsis long application names (LP: #850400)
    - Super+number shortcuts don't work with numpad (LP: #850792)
    - Dash should close when an app is launched from the messaging menu (or
      any other indicator) (LP: #853300)
    - Dash - In the App lens filters, users should only be able filter by
      'star' rating in one star increments (LP: #839759)
    - Dash - When the Dash is re-opened and statefully displaying a previous
      query, it should be possible to add to the query by pressing the 'right
      arrow cursor key' (LP: #841828)
    - Dash - When a result is selected or in the mousover state (white box
      highlight), the casted shadow should be hidden. (LP: #841831)
    - text in searchbar keeps getting bolder/darker (LP: #861487)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 29 Sep 2011 19:07:09 +0200

unity (4.18.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Screen corruption when resuming from suspend/hibernate (LP: #676166)
    - unity-panel-service crashed with SIGSEGV in bamf_factory_view_for_path()
      (LP: #764024)
    - Dash and launcher appear underneath windows (LP: #805087)
    - unity-panel-service crashed with SIGSEGV in g_type_check_instance_cast()
      (LP: #811401)
    - [Oneric] unity-panel-service crashed with SIGSEGV in getenv()
      (LP: #817691)
    - compiz crashed with SIGSEGV in unity::FilterBar::RemoveFilter()
      (LP: #845732)
    - crash on closing a window (LP: #856015)
    - Cannot open a window that starts iconified (LP: #732997)
    - Launcher - When useing Alt F1 launcher keyboard navigation, Launcher
      should not scroll until top or bottom of Launcher is reached 
      (LP: #765749)
    - Stacking problem when switching between apps with multiple windows
      (LP: #802527)
    - Pull panel to de-maximize window occasionally not working in a secondary
      screen (LP: #802651)
    - Window under Dash gets focused if it opened later (LP: #830730)
    - Clickable areas of previously active window remains on 'Show Desktop'
      (LP: #836325)
    - A minimized window 'remains' behind on the desktop if
      /apps/compiz-1/plugins/unityshell/screen0/options/show_minimized_windows
      is set to true (LP: #847967)
    - a11y support on Unity is broken (LP: #851103)
    - compiz crashed with SIGSEGV in dee_model_get_tag() (LP: #840758)
    - crash when looping paint list in preparePaint (on closing windows)
      (LP: #853807)
    - Alt-Tab should not preview windows at excessively large sizes
      (LP: #854740)
    - Clicking on a tweet/message link sometimes does not work (LP: #790565)
    - Dragging a launcher icon makes it squashed (LP: #855761)
    - unable to unminimize gedit windows where more than one window where one
      has a dialog open (LP: #856030)
    - (oneiric) alt-tab UX doesn't work well on multi-monitor (LP: #855364)
    - Launcher shows on the primary monitor instead of the left most monitor
      (LP: #857668)
    - Keynav - pressing down key causes launcher items to jump up and down
      (LP: #858469)
    - Windows creep cross the screen with ALT+TAB (LP: #722830)
    - Minimize animation flickr when for maximized apps (LP: #737125)
    - All unity windows are invisible (panel, launcher, dash) (LP: #745996)
    - Dash "See 97 more results" has ~1 second of latency (LP: #731158)
    - Windows cannot be dragged down from panel if banshee closed to sound
      menu (LP: #781215)
    - no menu bar on top, compositing bug? (LP: #806358)
    - Launcher - a spread can accidentally be triggered during the 'dragging
      and dropping behind the Launcher' interaction  (LP: #832988)
    - Impossible to navigate between panel menus when the mouse cursor is over
      the panel (LP: #834065)
    - Pressing alt on maximized window does show menu but not window controls
      (LP: #836274)
    - Application name drawn under Dash controls when window opens under Dash
      (LP: #838176)
    - Start dragging a maximized application title causes it to re-decorate
      (LP: #838923)
    - Dash loses focus after switching windows or desktops (LP: #842466)
    - ccsm crashed with KeyError in compizconfig.Plugin.ApplyStringExtensions
      (src/compizconfig.c:6780)(): '\xd0\t\x9b\n\x01' (LP: #832458)
    - No feedback when trying to drag&drop an icon that’s already in the
      launcher (LP: #851619)
    - Dash - the search box is not aligned correctly relative to the Launcher
      BFB button (LP: #838904)
    - Dash - Shape and positioning of most of the elements in the Dash need
      adjustment (Part 3) (LP: #852030)
    - minimizing a window with a modal dialog is broken (LP: #855068)
    - Dash - Dash missing 'streak of reflected light' in the top left corner
      (LP: #844030)
    - alt-tab - When the ALT key is pressed, there should be a very short
      delay before the app menu is exposed in the top bar (LP: #855521)
    - holding down super while dash is open resaturates launcher but super-
      key-shortcuts don't appear (LP: #855909)
    - Panel Titlebar double click is emitted for any mouse button
      (LP: #736491)
    - unity panel shadow opacity does not match panel opacity (LP: #747682)
    - maximising via dragging to panel and unmaximising leaves faded panel
      title (LP: #761228)
    - Sometimes dragging down from the panel just stops working (LP: #774121)
    - Shadowless panel in multi monitor setup (LP: #815454)
    - Window buttons in the panel have no indication of the "pressed" form
      (LP: #823353)
    - Activating a menu item or clicking outside area menu doesn't hide the
      application menu (LP: #843670)
    - Using menus with only one click doesn't work as expected (LP: #844309)
    - Showing menu of a maximized application via dragging needs an extra
      movement (LP: #845772)
    - Restored windows dragged down from the panel still shows their menu
      (LP: #845774)
    - When the dash is shown, "dragging behind launcher" interaction should
      not be triggered (LP: #851185)
    - Make the dash darker (LP: #851243)
    - Dash unmaximize/maximize button is mismatched with actual window size
      (LP: #852984)
    - Alt-tab - Add missing dots to alt-tab border (LP: #838113)
    - Expo centering need to change when launcher size changed (LP: #856112)
    - unity confused with chromium web apps (LP: #692462)
    - alt-tab on multimonitor doesn't work well (LP: #791198)
    - Unity need gtk_render_icon and therefore gtk+ 3.2 (LP: #846447)
    - Panel shouldn't be dragged when the dash is showing (LP: #858815)
  * Cherry-pick:
    - Dash - dragging a file outside of the Desktop Dash should close the Dash
      (LP: #764641)
    - Cherry-pick another fix for home dash text height not being cut
  * debian/control:
    - build-dep on gtk 3.1 and latest nux

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 26 Sep 2011 14:43:35 +0200

unity (4.16.0-0ubuntu2) oneiric; urgency=low

  * com.canonical.Unity.gschema.xml:
    - add Update-notifier to the whitelist (LP: #779382)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 20 Sep 2011 08:17:34 +0200

unity (4.16.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - compiz crashed with SIGSEGV in nux::GpuDevice::GetGpuInfo()
      (LP: #765375)
    - F10 doesn't start keyboard navigation to the panel (LP: #839628)
    - Change on the at-spi accessibility-toolkit can affect also Unity
      (LP: #844927)
    - compiz crashed with SIGSEGV when a lens is shutting down (LP: #848675)
    - [UIFe] Radiance panel icons are unreadable and ugly when panel goes
      transparent with Dash (LP: #828862)
    - window switcher stuck (not only, but can be triggered with Onboard)
      (LP: #832033)
    - Window titlebar is click through after raising a minimized window
      (LP: #840285)
    - Alt+Shift+` does not work in symmetry with Alt+` (LP: #843250)
    - UIFe: Alt-Tab: Update layout behavior to make previews larger and
      outline active preview (LP: #847944)
    - windows clipped on resize (LP: #848962)
    - Alt-tab - Add orange border to selected window in alt-tab window spread
      (LP: #838114)
    - Launcher - the direction the Launcher is scrolled with the mouse wheel
      is inverted (LP: #839703)
    - Launcher - the rendering of the BFB and Lens squircle does not match the
      design (LP: #838708)
    - Alt-Tab - In the app window spread, all windows should have the same
      height, only the width should vary (LP: #838110)
    - Launcher - the background of the Launcher should be tinted using the
      average colour of the wallpaper (LP: #850068)
    - Alt-tab - It is currently very difficult to see pips in the left of the
      app icon for the currently selected app (LP: #838134)
    - Launcher - Auto scroll missing from the top of the Launcher
      (LP: #838744)
    - Scope searches blocks the lens (LP: #850816)
    - Shortcuts SUPER+1...9 doesn’t work until opening a window (LP: #768076)
    - Dash closes prematurely when dragging apps into the launcher
      (LP: #773892)
    - Dash - As soon as a user starts dragging a .png file from the Dash, the
      file icon turns into a grey question mark (LP: #764447)
    - Dash shows an empty icon for some applications. (LP: #830887)
    - Windows are click through after restore from minimize (LP: #834034)
    - Dash - No keyboard shortcuts for switching lenses (LP: #842086)
    - Dash search for files states "two more results" but doesn't display them
      (LP: #840005)
    - <meta>+<shift>+<launcher #> to start a new instance of a program doesn't
      work anymore (LP: #842977)
    - Alt-tab - Cross interactions between Alt-tab and Dash are broken 
      (LP: #844021)
    - UIFe: Dash - Shape and positioning of most of the elements in the Dash
      need adjustment (Part 2) (LP: #844889)
    - Alt-Tab - make pause to spread default alt-tab behaviour. Upgrade
      existing installs as well. (LP: #838075)
    - Do not install unity-preference (LP: #847599)
    - Update unity --distro to latest plugins installed (LP: #847799)
    - off by one error in count of additional results in a category
      (LP: #848218)
    - UIFe - Launcher - The background of the BFB, Workspace Switcher, Lens,
      and Trash launcher icons tiles needs to use the average background
      colour of the wallpaper (LP: #838688)
    - dragging a window to the top while maximized gives it double borders
      (LP: #850985)
    - Launcher does not show if the cursor is placed 1px away from the left
      edge and then moved to the edge (LP: #801320)
    - [alt-tab] [wishlist] Use Alt-` as a keyboard shortcut to switch between
      multiple windows of the same app (LP: #825467)
    - compiz crashed with SIGSEGV in nux::Size::SetWidth() (LP: #815864)
  * debian/unity.install:
    - remove /usr/share/applications as unity-preferences no longer exist

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 15 Sep 2011 18:53:02 +0200

unity (4.14.2-0ubuntu2) oneiric; urgency=low

  * Cherry-pick a fix for remapping minimized window correctly (LP: #840285)
  * debian/control:
    - bump build-dep for latest compiz-dev ABI break

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 12 Sep 2011 08:12:54 +0200

unity (4.14.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - unity crashed with AttributeError in reset_unity_compiz_profile(): 'str'
      object has no attribute 'get_string' (LP: #809378)
    - Trying to minimize Unity Dash to make it fit on a 1024x768 screen makes
      Unity freeze and then, after I log out by killing X, never start again
      (LP: #839200)
    - unity-panel-service crashed with SIGSEGV in main_arena() (LP: #817477)
    - UIFe: Panel - Indicators should be orderable regardless of their parent
      IndicatorObject (LP: #823061)
    - 'Show Desktop' fails to hand focus to desktop (LP: #836315)
    - Dash - Functionality of top left close, minimise and maximise/restore
      window decorations is confused (LP: #838875)
    - unity-panel-service Leaks Memory (LP: #779185)
    - Missing lens shortcuts (Super-A, Super-F) (LP: #834078)
    - Unity window switcher takes over <alt> key (LP: #835699)
    - update assets for window buttons (topleft) with dash opened
      (LP: #836655)
    - Where the average background colour is either very light or dark, adjust
      this value to darken/lighten in order to preserve readability
      (LP: #837993)
    - Applications don't have priority over other results (LP: #839518)
    - task tray icons are misaligned and badly sized (LP: #839354)
    - UIFe: Dash - Shape and positioning of most of the elements in the Dash
      need adjustment (LP: #841945)
    - Cannot drag applications from dash to desktop (LP: #756614)
    - systray icons still visible on each desktop in expo mode (LP: #759129)
    - transparency on unity panel broken (LP: #827012)
    - Window buttons and application menu don't autohide if left edge is
      touched (LP: #835637)
    - 'Filter results' should be right indented as in the mockups(and unity-
      2d) (LP: #838118)
    - window title should not appear until cursor leaves the menubar
      (LP: #838759)
    - Window title is not redrawn on leaving global-menu from buttons
      (LP: #839488)
    - In the dash, main text field can not be edited, except at the end
      (LP: #840862)
    - Quicklist can't be correctly hidden (LP: #843425)
    - After double clicking on the panel to restore a window, the menus won't
      be hidden on mouse-out (LP: #838021)
    - After restoring a window the application title doesn't fade-out and it
      goes below the menus (LP: #838479)
  * debian/control:
    - build-dep on latest libunity-dev for ABI/API break, nux
  * debian/rules:
    - bump shlibs, remove tweak for garantuing the version as the ABI
      is considered stable until finale now.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 08 Sep 2011 20:07:50 +0200

unity (4.12.0-0ubuntu2) oneiric; urgency=low

  * Build-depend on libxcb-icccm4-dev instead of libxcb-icccm1-dev.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Sep 2011 13:50:57 +0200

unity (4.12.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - P3: [natty] Cannot click on indicators (LP: #819202)
    - Icons not visible in the launcher or alt-tab switcher (LP: #833905)
    - [dash] Search field in Unity can not support iBus (LP: #663776)
    - [dash] preferred applications are not stored in GConf anylonger
      (LP: #805063)
    - SysTray icons have a white square background in Unity. (LP: #823407)
    - new dash does not fit a normal netbook screen (LP: #825370)
    - Dash picks random weird colors (yellow, green), fonts invisible (with
      blur en- or disabled) (LP: #828363)
    - Music Lens doesn't display items until you search (LP: #824892)
    - Dash - Adjustments to stateful behaviour  (LP: #838667)
    - Dragging from dash to launcher still doesn't work (LP: #824833)
    - Click on 'More Apps' et al closes the dash (LP: #824842)
    - cannot paste into dash (particularly relevant for alt+f2) (LP: #736222)
    - Ctrl X doesn't cut selected text in Dash search field (LP: #737731)
    - Ctrl+C doesn't copy selected text in Dash search field (LP: #737732)
    - The indicators shows a big white square when systray whitelisted
      (LP: #822672)
    - ARM FTBFS fix (LP: #834576)
  * debian/control:
    - build on latest nux
  * debian/rules:
    - bump shlibs

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 01 Sep 2011 17:33:06 +0200

unity (4.10.2-0ubuntu2) oneiric; urgency=low

  * Backported some fixes from trunk:
    - build fix for armel (lp: #834576)
    - dnd from the application lens to the launcher work
    - small screen dash improvements

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 26 Aug 2011 18:21:49 +0200

unity (4.10.2-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - fix the launcher don't dodging sometimes when it should
    - correctly set the focus when selecting a lens
    - fix launcher and switcher icons not showing on some video cards

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Aug 2011 23:27:16 +0200

unity (4.10.0-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - unity task switcher (alt-tab, alt-down) shows empty spaces for iconified 
      windows in window detail mode (lp: #828348)
    - compiz crashed with SIGSEGV in 
      unity::DeviceLauncherIcon::OnStopDriveReady() (lp: #824093)
    - Dash performance issues with 'Active Blur' enabled (lp: #824890)
    - compiz crashed with SIGABRT in raise() when setting background 
      to full color (lp: #829049)
    - Dragging from dash to launcher still doesn't work (lp: #824833)
    - .desktops dragged on to unity launcher will not be added to 
       com.canonical.Unity.Launcher favorites unless moved in the launcher
       (lp: #830536)
    - application's menu shown when the cursor is a little left 
      to window controls (lp: #820293)
    - Ubuntu Start launcher item should always start the dash with 
      the Home screen (lp: #825034)
    - search spinner does not stop hence nothing can be launched with 
      the Return key (lp: #824836)
  * debian/control: updated nux requirement
  * debian/rules: updated shlibs

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Aug 2011 15:40:18 +0200

unity (4.8.2-0ubuntu4) oneiric; urgency=low

  * Backport another trunk commit to fix an alt-tab segfault

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 19 Aug 2011 18:53:28 +0200

unity (4.8.2-0ubuntu3) oneiric; urgency=low

  * Update to current trunk to get closer from an usable version, including
    - improvements to the alt-tab switcher, fixing the performances issues
      on intel cards, thanks Jason Smith
    - reworked dnd code fixing launcher showing when dragging text(lp: #773028) 
      or widgets (lp: #724986), the expose slowness (lp: #821538) and other
      bugs as well, thanks Andrea Azzarone
    - the dash text is selected by default allow to type directly a new command
      (lp: #826904)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 19 Aug 2011 18:04:19 +0200

unity (4.8.2-0ubuntu2) oneiric; urgency=low

  * debian/control: really update the nux requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 19 Aug 2011 10:58:49 +0200

unity (4.8.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Dash shows random solid color on first launch of 'active blur' 
      enabled Unity (lp: #824886)
    - Unity crashes if you select a gradient as wallpaper (lp: #825091)
    - If the wallpaper file is deleted, Unity/Compiz crash on Oneiric 
      (lp: #827579)
    - Unity 4.8 Dash is no longer keyboard accessible (lp: #824966)
  * debian/control.in: updated nux requirement
  * Backported a leak fix and a fix for small screens from trunk

  [ Didier Roche ]
  * debian/control:
    - add libdee-dev to the unitycore dev package as fixed in trunk
      (put in the .pc file)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Aug 2011 18:43:12 +0200

unity (4.8.0-0ubuntu3) oneiric; urgency=low

  * Backport r1373 to fix a segfault happening on theme updates (lp: #825587)
    (lp: #741652)
  * Backport r1380 to fix an alt-tab switcher segfault (lp: #825148)
  * Backport r1381 to fix a session start compiz segfault (lp: #825040)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Aug 2011 11:21:50 +0200

unity (4.8.0-0ubuntu2) oneiric; urgency=low

  * Backport r1371 to fix launcher autohidding issues

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Aug 2011 11:24:31 +0200

unity (4.8.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - store kde4 applications in a gio-friendly way (LP: #741129)
  * Take and make some additional post-release adjustement
  * debian/control:
    - add libjson-glib-dev
    - now build depend on libunity-dev
    - make libunity-core-4.0-dev dep on libunity-dev even if not in .pc file
      (seems to leak the API)
    - build-dep on latest nux
    - now recommends lenses, not places and add music lens as a recommends
  * remove patched plugins/unityshell/src/BGHash.cpp for replacing dark with
    real dash color
  * debian/rules:
    - bump libunity-core-4.0-4 shlib for ABI break
  * remove 01_revert_removed_function_for_unity2d_to_build.patch:
    - incoming unity-2d upload has the needed bits
  * debian/unity-common.install:
    - install new assets and json scripts

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Aug 2011 19:47:19 +0200

unity (4.6.0-0ubuntu4) oneiric; urgency=low

  * debian/control:
    - remove the recommends on ubuntuone-control-panel-gtk now that
      ubuntu-desktop recommends it.
    - transition to boost 1.46
    - dep on latest compiz-dev for boost transition

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 10 Aug 2011 11:56:56 +0200

unity (4.6.0-0ubuntu2) oneiric; urgency=low

  * debian/rules:
    - remove networkarea and unitydialogs .so files are they are not in use for
      now

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 04 Aug 2011 14:55:09 +0200

unity (4.6.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - compiz crashed with SIGSEGV in __strlen_sse2() (LP: #814619)
    - PlacesHomeView::PlacesHomeView leaks memory (LP: #818450)
    - PluginAdapter::MaximizeIfBigEnough leaks memory (LP: #818477)
    - Launcher - Make Launcher left of screen reveal more responsive and less
      prone to false positives (LP: #765819)
    - Launcher - clicking on a App launcher icon incorrectly un-minimizes
      windows (LP: #783434)
    - Unity doesn't get any mouse wheel scroll event in Indicators InputArea
      (LP: #814574)
    - Unity launcher gets cluttered when having multiple partitions and/or
      external volumes attached (LP: #713423)
    - Unity panel menus and indicators slow to respond. Too much lag.
      (LP: #742664)
    - In Unity the distinction between GVolume, GDrive and GMount is a bit
      confusing. (LP: #799890)
    - Launcher - When a item is deleted by dragging to Trash, the trash should
      pulse once before the Launcher disappears (LP: #750311)
    - ccsm needs an option to change launcher opacity (LP: #815032)
    - add a ccsm option to hide volumes in launcher (LP: #794707)
    - scale plugin doesn't work as desired when "Click Desktop To Show
      Desktop" is true (LP: #810315)
    - mute/unmute sound when user clicks on sound applet using scroll button
      or middle mouse button (LP: #609860)
    - Secondary activate (i.e. middle click) support for indicators advanced
      usage (LP: #812933)
  * debian/control:
    - dep on latest libunity-misc
    - dep on latest nux
    - add build-dep on libgnome-desktop-3-dev
  * debian/rules:
    - bump libunity-core-4.0-4 shlib for ABI break
    - don't ship unity dialogs right now. Not ready for alpha quality
  * distro-patch the grey to darker grey (until the blur is done in nux)
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/patches/01_revert_removed_function_for_unity2d_to_build.patch:
    - revert a removed API making unity-2d not building

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 01 Aug 2011 19:53:15 +0200

unity (4.4.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - moving a launcher icon around generates lots of disk write activity
      (LP: #733425)
    - compiz crashed with SIGSEGV in sigc::signal_base::impl() (LP: #762801)
    - Drag and drop a USB key into the trash should eject the USB key
      (LP: #764905)
    - unity window decorator needs to support different metacity frame types
      (LP: #795048)
    - Don't switch title to menu when hovering window buttons (LP: #691808)
    - spacing between indicators should be 5 pixels (LP: #734010)
    - Dash: highlight box is mis-aligned with smaller icon (LP: #761465)
    - Merge libindicator scroll signals (LP: #804618)
    - unity: Dead code in Launcher.cpp: "mask | (Button1Mask & Button2Mask &
      Button3Mask)" (LP: #805327)
    - TrashLauncherIcon::UpdateTrashIconCb  is leaking (LP: #806984)
    - Title fade effect no longer works (LP: #809907)
    - Accessibility support not initialized on Oneiric (LP: #810033)
  * debian/control:
    - build-dep on libnotify-dev
    - bump libnux-1.0-dev dep for ABI break
  * debian/rules:
    - bump libunity-core-4.0-4 shlib for ABI break

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 21 Jul 2011 18:41:15 +0200

unity (4.2.0-0ubuntu5) oneiric; urgency=low

  * debian/control:
    - build-dep on latest compiz-dev for ABI bump

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 19 Jul 2011 08:05:40 +0200

unity (4.2.0-0ubuntu4) oneiric; urgency=low

  * debian/control
    - Dropped recommends for indicator-me
    - Added recommends for indicator-power
  * services/panel-service.c
    - Removed libme.so and added libpower.so

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 14 Jul 2011 15:16:20 -0400

unity (4.2.0-0ubuntu3) oneiric; urgency=low

  [ Chow Loong Jin ]
  * plugins/unityshell/src/PlacesHomeView.cpp: update banshee-1 to banshee in
    _music_alternatives (LP: #805938)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 13 Jul 2011 08:22:38 -0500

unity (4.2.0-0ubuntu2) oneiric; urgency=low

  * Upstream fixes:
    - don't leak in the indicator code (lp: #806485)
    - use the new libindicator
  * debian/control:
    - drop libgnomeui-dev build-depends, it doesn't seem required
    - updated libindicator requirement
  * services/CMakeLists.txt: don't use Werror to workaround new gcc being picky

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 08 Jul 2011 16:36:53 +0200

unity (4.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/control:
    - breaks against older compiz (those not doing gtk_init)
  * debian/rules:
    - ship the unitydialogs plugin (not networkarearegion as it seems to do
      weird artefacts)
